far2l-core (2.7.0-1) unstable; urgency=low

  * Merge pull request #3016 from tempergate/master
  * some versioning fixes
  * Update far2lOverlays.nix
  * fix hexitor crash (fix #3015)
  * Bump version to 2.7.0
  * some fixes
  * readme: move far2lOverlays.nix to packaging/NixOS
  * fix changelog.md autoversioning
  * move far2lOverlays.nix to packaging/NixOS
  * Merge pull request #3011 from m32/master
  * Merge pull request #3013 from mitya57/remove-vpython3
  * fix build under old macos
  * Remove vpython3 shebangs
  * Merge pull request #3009 from akruphi/hexitor
  * Merge pull request #2998 from spnethw/desktop-fix
  * Merge pull request #3005 from tempergate/master
  * Merge pull request #3007 from spnethw/openwith_plugin
  * Merge pull request #3003 from unxed/help_update
  * Merge pull request #3010 from tempergate/patch-4
  * useless code, CTRL+TAB workt without it
  * OpenWith: refactor; significantly speed up bulk file processing
  * proper order of checks
  * forward keys to framemanager
  * forward keys to framemanager
  * Update README.md
  * Update README.md
  * Update README.md
  * added Note about use Wayland and OSC 52 under Wayland
  * hexitor - minor: "Screen" label for F12 and help improvement
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * minor
  * minor
  * Fixed several problems found by @russiandesman
  * minor
  * minor
  * Help refinement WIP, 2/n, en and ru sync, Windows artifacts removal
  * Major help refactoring. 1/n, en
  * replace %U with %F in Exec= keys of .desktop files
  * Merge pull request #2997 from akruphi/readme
  * trying fix non-latin input (touch #2995 )
  * readme
  * Merge pull request #2980 from exkrexpexfex/vs16
  * Merge pull request #2986 from unxed/vt_lines_fix
  * fix Ctrl+O in editor etc (fix #2992)
  * Merge pull request #2995 from unxed/ibus_workaround_fix
  * Merge pull request #2987 from spnethw/openwith_plugin
  * Merge pull request #2993 from akruphi/misc
  * Merge pull request #2991 from m32/master
  * Made detection of IME events more precise
  * OpenWith: lazily cache MIME types to improve F3 dialog performance
  * OpenWith: more robust multi file aware app detection
  * OpenWith: don't filter multi file aware apps
  * OpenWith: help files style
  * OpenWith: help and localization minor fixes
  * Misc refactoring - Fix some PVS-Studio warnings (from far2m)
  * hilight: make "Hardlinks > 1" disabled by default
  * far:about: more accurate show win size
  * OpenWith: rearrange localized messages
  * OpenWith: show OnlyShowIn/NotShowIn in Details; minor help update
  * not used
  * implemented save_as Shift+F2 in editor
  * OpenWith: add "Disable ranking (sort alphabetically)" XDG option
  * OpenWith: minor
  * OpenWith: minor
  * OpenWith: add "Confirm opening if file count exceeds..." option
  * Fix #2981
  * Handling Zero Width Joiner
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2985 from barracuda156/macos
  * OpenWith: follow-up for macOS < 10.10
  * Merge pull request #2984 from barracuda156/arclite
  * arclite: define __STDC_FORMAT_MACROS prior to including inttypes.h
  * Merge pull request #2978 from spnethw/openwith_plugin
  * Merge pull request #2979 from Mi-Walkie-Talkie-by-Darkhorse/arclite-bugfix
  * Merge pull request #2983 from barracuda156/macos
  * OpenWith: fix build on macOS < 11 and with gcc
  * Handling emoji presentation sequence
  * OpenWith: more configurable MIME type extension
  * Merge branch 'elfmz:master' into master
  * Use correct 64-bit values formatting
  * Use UInt64 data type for file position related values
  * OpenWith: added option to load MIME type subclasses
  * Merge pull request #2973 from spnethw/openwith_plugin
  * OpenWith: some simplifications
  * OpenWith: added the ability to select multiple files
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2966 from ctapmex/build_warnings
  * warning from clang-20
  * arclite: fix warnings
  * hexitor: clang warn
  * hexitor: remove unused variable
  * fix gcc warn for unknown arg
  * Merge pull request #2970 from ctapmex/colorer
  * Merge pull request #2967 from ctapmex/ci
  * update colorer schemes
  * fix "select region"
  * workflow: add gcc 15
  * workflow: add clang-20 build
  * Merge branch 'elfmz:master' into master
  * workflow: add macos 15
  * workflow: update excludes
  * fix #2961
  * Merge pull request #2962 from unxed/hexitor
  * Merge branch 'elfmz:master' into master
  * minor fixes
  * Merge pull request #2963 from akruphi/hexitor
  * Merge pull request #2964 from spnethw/openwith_plugin
  * OpenWith: settings dialog is now accessible from the app selection menu
  * [hexitor] revert in Find dialog hex mask and history for other fields
  * Add UTF-8 cursor movement, correct character editing, and better highlighting support in Hexitor
  * Merge pull request #2957 from akruphi/info
  * Merge pull request #2958 from exkrexpexfex/multibeauty
  * Carraige return for multiline commands
  * Info
  * Merge pull request #2956 from spnethw/openwith_plugin
  * OpenWith: more accurate and spec-compliant launch command construction
  * OpenWith: adapt "Details" dialog (F3) width to the far2l window width
  * file not used
  * Merge pull request #2955 from m32/master
  * color is 64-bit long - for save/restore SetULL/SetULL should be used
  * Merge pull request #2953 from akruphi/from_far2m
  * Merge pull request #2951 from m32/master
  * Misc refactoring (from far2m)
  * stop using instance data when close dialog was executed
  * preserve color settings when dialog is cancelled
  * Merge pull request #2949 from m32/master
  * Merge branch 'elfmz:master' into master
  * handle esc key as cancel operation
  * mouse wheel as scroller
  * fix #2945
  * Merge pull request #2948 from unxed/hex-utf8
  * proper utf8 input
  * cosmetic
  * Merge pull request #2946 from unxed/hex-utf8
  * basic utf-8 support
  * Merge pull request #2944 from tempergate/master
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Merge branch 'master' of github.com:elfmz/far2l
  * make CmdLine::ShowBackground to paint directly into ScrBuf
  * Merge pull request #2943 from unxed/cosmetic
  * fix some possible flickering reasons (touch #2937)
  * a more correct formulation
  * Merge pull request #2942 from akruphi/changelog
  * Merge pull request #2936 from akruphi/from_far2m
  * Merge pull request #2930 from unxed/xubuntu_cyr
  * Merge pull request #2940 from unxed/viewer_home
  * changelog: added vt improvements info
  * Merge pull request #2905 from Dazzar56/new_color_settings
  * Merge pull request #2935 from akruphi/farabout_ibus
  * Merge pull request #2938 from unxed/fix_osc52_read
  * Merge pull request #2928 from spnethw/openwith_plugin
  * cosmetic and minor optimization
  * Reset search position to the beginning of a file on Home key press
  * OpenWith: more UI tweaks
  * Fix clipboard erasure on OSC52 read attempt
  * OpenWith: minor UI tweaks
  * OpenWith: improve mime type aliases logic
  * keyboard.cpp - Fix some PVS-Studio warnings (from far2m)
  * OpenWith: add MIME type aliases support
  * far:about: show typical ibus environment variables
  * cosmetic
  * Fixed cyrillic input on xubuntu with ibus active Fixes #2929
  * OpenWith: show associations source; improve the ranking algorithm; fixes
  * Merge pull request #2923 from m32/master
  * better keyboard handling.
  * Merge pull request #2926 from Mi-Walkie-Talkie-by-Darkhorse/arclite-uclibc
  * Make arclite plugin compatible with uClibc-ng
  * hexitor as a non-modal dialogue
  * default color for overflow arrow
  * sane default colors for menu prefix
  * Merge pull request #2916 from spnethw/openwith_plugin
  * Merge pull request #2917 from exkrexpexfex/master
  * fix crash in VTLog in debug builds (wich STL checked containers
  * Avoid errors on multiline paste execution due to trailing empty lines
  * OpenWith: improve CheckExecutable()
  * OpenWith: fix missing command line escaping in the macOS implementation
  * Merge branch 'master' of github.com:elfmz/far2l
  * fixing #2909
  * Merge pull request #2915 from akruphi/readme
  * Merge pull request #2912 from spnethw/openwith_plugin
  * Merge pull request #2910 from akruphi/farabout_scrxy
  * Readme - correction about ppa
  * OpenWith: help update
  * far:about: show ScrX and ScrY
  * Merge pull request #2908 from anta999/bigfix
  * some fixes for attribues (touch #2906)
  * A version too
  * Fixed: non-working panel plugins on Big Endian.
  * Merge pull request #2904 from spnethw/openwith_plugin
  * Merge pull request #2907 from akruphi/openwith_plugin_help
  * OpenWith: new help section with tips
  * disable debug logging
  * VT: history log now limited by memory usage instead of lines count, also log lines kept in compressed form in memory
  * add config for menu prefix and edit OverflowArrow
  * OpenWith: more accurate Exec parsing; show MIME type if app not found
  * Merge pull request #2902 from exkrexpexfex/tahoe
  * Fix crash on startup on macOS 26 Tahoe
  * Merge pull request #2901 from anta999/bigfix
  * fix memleak and cursor position glitches on resize
  * J
  * Merge branch 'master' of github.com:elfmz/far2l into bigfix
  * conflict fix
  * minor tweaks for #1099
  * Big endian colors fix
  * Merge pull request #2894 from m32/non-modal-dialog
  * Merge pull request #2878 from m32/master
  * Merge pull request #2897 from spnethw/openwith_plugin
  * Merge pull request #2898 from exkrexpexfex/overfix
  * minor
  * refactor for #1099
  * Merge pull request #2899 from unxed/hightlight_crash_fix
  * minor
  * Fixed some more crashes
  * OpenWith: various optimizations & style
  * Fixed crash
  * No text overflow marks for fixed length edit controls
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * minor
  * Merge pull request #2896 from unxed/cyr_kb_fix
  * rm unneeded
  * refactor and some fixes for #1099
  * OpenWith: refactor; help update
  * Use VK_NONAME instead of 0 to fix cyrillic input on Mint 21 and in some other setups. Fixes #2895
  * backward compatible with the API, not with the feature list in farplug-mb.h
  * prevent flickering due to ShowBackground
  * Merge pull request #2876 from akruphi/openwith_plugin
  * Merge pull request #2893 from akruphi/version
  * Merge pull request #4 from spnethw/openwith_plugin
  * OpenWith: refactor
  * Merge branch 'non-modal-dialog' of github.com:m32/far2l into non-modal-dialog
  * I forgot about this file
  * vorget to commit
  * non modal dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge pull request #3 from spnethw/openwith_plugin
  * OpenWith: some optimizations
  * Add Command line switch --version
  * Merge pull request #2 from spnethw/openwith_plugin
  * Revert "OpenWith: minor"
  * more fixes for #1099
  * Merge pull request #1 from spnethw/openwith_plugin
  * OpenWith: minor
  * OpenWith: merge Linux/BSD app providers into XDGBasedAppProvider
  * VT: more fixes for #1099
  * todo less
  * Merge pull request #2 from anta999/addgetcolor
  * Merge pull request #1 from unxed/hexitor
  * some simplifications yet fixes (touch #1099)
  * some fixes and refactor in back screen save
  * improve background screen save/restore
  * dont lose things
  * fix artifacts in editor
  * OpenWith: hot keys in dialogs + Launch button in details dialog
  * cosmetic
  * Merge pull request #2863 from unxed/work_better_without_ime
  * Merge pull request #2866 from m32/master
  * Merge branch 'master' into master
  * Merge pull request #2858 from exkrexpexfex/master
  * Merge pull request #2862 from exkrexpexfex/dialogseditoverflow
  * Merge pull request #2864 from exkrexpexfex/nrctrlenter
  * Merge pull request #2865 from exkrexpexfex/cmdeditesc
  * Merge pull request #2869 from spnethw/openwith_plugin
  * Merge pull request #2868 from unxed/kitty_locks
  * Merge pull request #2856 from akruphi/hist_except_only4cmd
  * Merge pull request #2871 from exkrexpexfex/littlebig
  * Merge pull request #2874 from barracuda156/apple
  * improvements for #1099
  * add missing semicolon->colon trick parts
  * fix colors in log
  * alternative solution for #1099
  * add new OpenWith plugin
  * Adjust colors for big-endian
  * displaynotify.mm: add a fallback to fix build on < 10.8
  * Use -fobjc-arc only with Clang
  * Fix -force_load flag on macOS
  * Allow using pre-defined wx config on macOS
  * Add GetColor to PluginAPI
  * proper codepage conversion
  * proper source codepage when converting to utf-8
  * proper return value
  * According to the spec, we should report num and caps always
  * Merge branch 'master' of github.com:m32/far2l
  * info about new plugin - hexitor
  * Fixed Russian charset. This file should have been converted as CP1251->UTF8, not CP1252->UTF8
  * Merge pull request #83 from m32/master
  * utf8 encoding
  * fix utf-8 encoding
  * include and enable hexitor in main build
  * hexitor inside main repo
  * Merge branch 'master' of github.com:m32/far2l
  * ported hexitor from far3
  * Update README.md
  * open escaped path with edit: and view: via cmdline
  * Always prepend filename with ./ whe pasting to cmd line
  * Do not lose virtual key code while handling KeyDown events with IME disabled
  * fix rendering of delete confirmation for long filenames with wide chars
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * fix dropdown menu rendering artifacts on wide chars
  * Show » « symbols when edit text overflows
  * Add support for pasting and executing multiline commands
  * Exceptions apply only to command history
  * Merge pull request #2855 from spnethw/dumper-updates
  * Merge pull request #2854 from exkrexpexfex/cmdblanks
  * debug dumper: stacktrace minor fixes, improvements and refactor
  * Treat whitespace-only input as empty in command line
  * Merge pull request #2849 from exkrexpexfex/netrocks
  * Merge pull request #2845 from anta999/arclite2
  * Merge pull request #2847 from exkrexpexfex/1
  * Merge pull request #2846 from exkrexpexfex/master
  * Merge pull request #2850 from exkrexpexfex/macsamba
  * Merge pull request #2853 from exkrexpexfex/relnbrk
  * panel update fix
  * Line breaks in regex replacement
  * netroks: enable smb on macOS
  * No prompt opening remote directories from folders history
  * multiarc: unrar 7.13
  * multiarc: unrar 7.13
  * fix mouse selection beyond left border of an edit
  * fix
  * conflict
  * bug fix, more logs
  * Merge branch 'master' of github.com:elfmz/far2l
  * refactor recent changes
  * Merge pull request #2844 from spnethw/dumper-updates
  * debug dumper: cosmetic
  * debug dumper: add atos for macOS; improve command grouping; refactor
  * minor improvement for crash.log
  * Merge branch 'master' of github.com:elfmz/far2l
  * remove temporary change
  * Merge pull request #2842 from exkrexpexfex/master
  * Merge pull request #2841 from akruphi/changelog
  * crash.log improvements: better symbols, input backtrace
  * proper magic constants for 32 bit FNV-1a hash
  * Merge pull request #2838 from spnethw/dumper-stacktrace
  * debug dumper: minor
  * debug dumper: add stacktrace support and update DUMPER.md
  * changelog after #2840
  * Merge pull request #2840 from exkrexpexfex/master
  * multiarc: 7zip 25.01
  * multiarc: 7zip 25.01
  * Merge pull request #2833 from akruphi/arclite
  * Merge pull request #2835 from unxed/fix_alt_enter
  * Merge pull request #2836 from ctapmex/optimize-logging
  * update changelog
  * fix read hex params
  * optimize background process
  * update FarColorer logger
  * update colorer library
  * Arclite: type & chain in PluginInfo (for Info Panel) + help
  * Now multiple Enter presses while holding Alt work correctly
  * Fix unneeded Alt+Enter triggering then using quick search (fixes #2834)
  * ctrl+pgdn
  * Always update Info panel when change directory inside plugin
  * Merge pull request #2821 from exkrexpexfex/master
  * Merge pull request #2829 from akruphi/minor
  * Merge pull request #2832 from anta999/arclite2
  * Merge pull request #2830 from spnethw/dumper-updates
  * Merge pull request #2828 from ctapmex/clean-build
  * debug dumper: update DUMPER.md
  * debug dumper: let's make it configurable; also some tiny fixes
  * fix2
  * fix
  * Add ability to revert through archive chain and fix bugs.
  * readme minor
  * use tabs; correct snprintf
  * fix warning for macos
  * fix python warning
  * fix clang warning
  * disable warning about unknown flags; add clang flags
  * disable warn for unrar
  * disable warn for smb plugin
  * disable warnings for scp plugin
  * change deprecated api
  * Merge pull request #2822 from ctapmex/arclite-res
  * Merge pull request #2826 from tempergate/master
  * Merge pull request #2824 from spnethw/dumper-updates
  * Merge pull request #2818 from anta999/arclite2
  * Merge pull request #2815 from ctapmex/crash-settings
  * Merge pull request #2811 from akruphi/actualization
  * Merge pull request #2817 from m32/master
  * mini fixes3
  * fix
  * more DEB open
  * fix3
  * fixes2
  * Merge branch 'elfmz:master' into master
  * Update README.md
  * Update far2lOverlays.nix
  * Merge branch 'elfmz:master' into master
  * several fixes
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Changelog, Readme, Help actualization
  * Merge pull request #2827 from ctapmex/colorer-schemes-update
  * update changelog
  * update license
  * update colorer schemes to 1.2.0.90
  * remove unused in far2l files from schemes
  * Update README.md
  * Update far2lOverlays.nix
  * Update README.md
  * Update README.md
  * Update README.md
  * Create far2lOverlays.nix
  * debug dumper: update DUMPER.md
  * debug dumper: file attributes and Unix mode decoding enhancement
  * Faster edit at the end of very large line
  * arclite: monitoring changes in auxiliary files;
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * more readable
  * Faster edit at the end of very large line
  * use letters for clarity
  * limited to letters
  * Fixed x86 build, symlinks in tar p7zip
  * Infinite file enum bug fixed
  * bring Ctrl-Q functionality back in editor
  * fix crash on close settings after change
  * Merge pull request #2810 from exkrexpexfex/master
  * Merge pull request #2670 from anta999/arclite2
  * Remaining issues on a line starting with zwsp
  * disabled by default
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Merge pull request #2809 from exkrexpexfex/master
  * multiarc: fix saving archiver switches
  * fixing freebsd cirrus
  * Merge pull request #2808 from exkrexpexfex/master
  * Settings list to configuration editor
  * Merge branch 'elfmz:master' into master
  * Settings list to configuration editor
  * Merge pull request #2807 from exkrexpexfex/master
  * Fix hotkeys for new menu items
  * Fix hotkeys for new menu items
  * Merge pull request #2806 from akruphi/NoGraphics_CheckMark
  * Merge pull request #2805 from spnethw/dumper-updates
  * fix build under macos elcapitan
  * Use '*' as checkmark in NoGraphics mode (-ag or -an)
  * debug dumper: minor changes to DUMPER.md
  * debug dumper: replace Russian comments with English translations
  * debug dumper: log boolean values using alphanumeric format
  * debug dumper: replace std::codecvt_utf8 with Wide2MB()
  * Merge pull request #2798 from tempergate/patch-2
  * Merge pull request #2803 from akruphi/cmdhist_opts
  * Merge pull request #2799 from rampitec/fix-title-overflow-in-viewer
  * Merge pull request #2802 from ctapmex/copy_py
  * Merge pull request #2795 from akruphi/fix_ma
  * Merge pull request #2796 from exkrexpexfex/master
  * Merge pull request #2797 from tempergate/patch-1
  * Actions recorded in Commands History configurable in AutoComplete & History dialog
  * Update trash.sh
  * monitoring changes in auxiliary files;
  * Merge pull request #2800 from m32/master
  * Merge pull request #2801 from ctapmex/fix_cross
  * Update README.md
  * fix draw cross
  * changelog update after July 5-6 mergers
  * Merge branch 'elfmz:master' into master
  * search/replace in editor after (Ctrl|Alt|Shift)+F3
  * after installing plugin can be opened like uedreplace
  * sort on any column
  * fix undefined variable
  * Fix title overlow in disabled viewer support code. NFC.
  * Update trash.sh
  * Update trash.sh
  * Update README.md
  * Update trash.sh
  * explanation supported trash tools
  * verbose logging for libssh2
  * Fix ma due github CodeQL warning
  * Merge pull request #2793 from ctapmex/custom_base
  * Merge pull request #2790 from mitya57/wx-icons
  * Merge pull request #2788 from mitya57/no-links-in-metainfo
  * Merge pull request #2792 from exkrexpexfex/master
  * update changelog
  * add attribute 'global' for internal packages;
  * fix typo
  * update help about logging
  * update help files
  * optimize and fix memory leak
  * update lang and help files
  * new setting - user hrs settings file
  * set order for load colorer base
  * use core methods for settings load
  * fix build on new lib
  * update colorer lib
  * Visual glitches on a line starting by zwsp
  * README: Add icons to the backends table
  * Add separate icons for WX versions of far2l and far2ledit
  * Merge pull request #2783 from zoomosis/fix-missing-header
  * Visual glitches on a line starting by zwsp
  * Merge pull request #2789 from exkrexpexfex/master
  * Merge pull request #2787 from ctapmex/colorer-schemes
  * Merge pull request #2786 from takacsd/Fix_AWS
  * Merge pull request #2782 from akruphi/misc
  * Merge pull request #2768 from unxed/macro_keys_fix
  * Merge pull request #2791 from mitya57/update-manpages
  * version_bump_patch.sh: Update version and date in the man pages
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * generate_metainfo: Remove links, keep only their text
  * update far2l changelog
  * colorer schemes v1.2.0.76
  * Remove size calculation for folders.
  * Implement AWS pagination.
  * Fix nomacro
  * Correct Y1 in Message() to favor higher positioning (from far2m)
  * Add missing header file. Fixes the build using Xcode 14 on MacOS.
  * Refactoring (from far2m)
  * help minor
  * Merge pull request #2778 from akruphi/help
  * fix clipboard confirmation not painted (fix #2777)
  * help minor
  * attempt to fix xlat (touch #2632 )
  * Update macro.cpp
  * Merge branch 'elfmz:master' into macro_keys_fix
  * Merge pull request #2774 from akruphi/from_far2m
  * Merge pull request #2772 from akruphi/MacroKeysConfig
  * Merge pull request #2776 from spnethw/fix_2775_far2l_crash_vertical_block_selection
  * Merge pull request #2765 from exkrexpexfex/dark
  * Merge pull request #2764 from exkrexpexfex/master
  * Merge pull request #2763 from Dazzar56/master
  * Merge pull request #2762 from unxed/win32-input-debug
  * Merge pull request #2760 from akruphi/readme
  * Panel modes can be changed from "Edit panel modes" menu (from far2m & Far3) and Add the "Reset" button to the panel mode edit dialog  from: https://github.com/shmuz/far2m/commit/fd58e0a9b8feeef677969b4d7ec615dd7eec9eb2  & https://github.com/shmuz/far2m/commit/959ee02f4a0cfe93bff384174299c180c2d346e3
  * fix 2775: far2l crashes when attempting to select a vertical block
  * help
  * Macro Keys configurable via ini-file or far:config (from far2m & far3)
  * cosmetic
  * Recognize Ctrl+Dot with Shift also. Fixes #2767
  * Renaming black and white to dark
  * macOS WX: junk control chars on Ctrl-Q
  * group "src" was split to "<build>,<cfg>,<code>"
  * added new group for configuration files
  * update default mask groups
  * sync with far3
  * readme & changelog actualization
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * F_ASYNC removed
  * Added debug message
  * Merge pull request #2660 from Dazzar56/debug_dump
  * Merge pull request #2759 from akruphi/from_far2m
  * add far2l-cd.sh wrapper to enable external directory change to far2l's when it exit (touch #2758)
  * CheckShortcutFolder: refactorig, improve, remove legacy (from far2m)
  * Merge pull request #2736 from ujos/get_git_branch
  * cosmetic
  * cosmetic
  * cosmetic
  * TTY/revive: filter dead instances before showing list of "lost" far2l-s (touch #2601)
  * * Git branch: Removed dependency of LIBGIT2
  * + Added 'z' command prompt variable that returns the "{current git branch} " string
  * Merge pull request #2739 from ctapmex/cmake
  * Merge pull request #2750 from unxed/kittykb
  * Merge pull request #2751 from m32/master
  * Merge pull request #2754 from ctapmex/colorer-ref
  * refactoring
  * set editorinfo local, not global
  * refactoring
  * refactoring
  * change raw pointer
  * move settings to struct
  * move local variable from heap to stack; using std::array
  * init variables
  * some optimize
  * init class members
  * remove unused function
  * warn in CerrLogger
  * remove redundant cast
  * remove empty statement
  * reformat code
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix depends
  * monitoring changes in auxiliary files
  * set cmake version in root CMakeLists only
  * fix warning about Policy CMP0175
  * smal fixes
  * Switched back to using shifted key value if unshifted is undetectable, as recommented by spec author in https://github.com/kovidgoyal/kitty/issues/8620#issuecomment-2878530117
  * Merge pull request #2746 from akruphi/from_far2m
  * Refactoring
  * Merge pull request #2738 from ctapmex/pvs-warn
  * Merge pull request #2742 from unxed/kittykb
  * Merge pull request #2747 from unxed/fix_2744
  * Merge pull request #2748 from ctapmex/colorer-update
  * Merge pull request #2749 from ctapmex/colorer-truemod
  * use 57610 instead of 0 for unshifted key code if it can not be reliably determined. explained in comment. fixes #2743 (at least before we find better way)
  * cosmetic
  * final polishing based on recent github talks
  * better approach, cosmetic
  * Correct GetDialogTitle() (from far2m)
  * enable truemod since 8-bit console color palette
  * update changelog
  * colorer schemes v1.2.0.68
  * update colorer_lib
  * fix #2744
  * fixed a typo
  * - all set of us keyboard text input keys are now generate correct values in "base layout key" field (if far2l backend generates correct key events) - use more relevant value for cases then we can not determine virtual key code correctly - make code blocks sequence more logical - better debug messages - cosmetic
  * FAR API: fix crashing on invalid dialog coordinates (from far2m & Far3)
  * some fixes
  * Merge pull request #13 from spnethw/debug_dump
  * Update DUMPER.md: add output example
  * Our implementation of the Kitty protocol is still not fully compliant with the specification. One of the discrepancies was that when the Shift key was pressed, the unicode-key-code field contained values that didn't conform to the spec for all keys except alphabetic ones. After this commit, that field will contain 0 in such cases — which is not ideal, but still better than providing incorrect values. In any case, for character codes, applications should rely on the "shifted key" or "text-as-codepoints" fields that provide chars taking in mind Shift state, so this change should not affect real-world application behavior (tested it in the kitty mode of far2l and also in turbo).
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * add p7zip support
  * Excessive type casting: string -> char * -> string.
  * object was created but was not utilized
  * It is more efficient to seek character rather than a string.
  * Merge pull request #2737 from randolf/patch-5
  * Update WinPortMain.cpp
  * Update WinPortMain.cpp
  * Merge pull request #2734 from akruphi/from_far2m
  * Merge pull request #2735 from lieff/netrocks_changelog
  * mc fix
  * NetRocks: update chengelog
  * FAR API: add event DN_DROPDOWNOPENED (from far2m & Far3)
  * Don't allow moving cursor beyond combobox text (from far2m & far3)
  * Merge pull request #2732 from akruphi/fix_dialog_combobox_empty
  * Merge branch 'master' into fix_dialog_combobox_empty
  * Merge pull request #2725 from akruphi/tmppanel_groups
  * Merge branch 'master' into tmppanel_groups
  * Merge pull request #2733 from akruphi/infolist_tuning
  * Merge pull request #2730 from akruphi/cmd_remove_trailing_spaces
  * Merge pull request #2729 from lieff/netrocks_proxy_command
  * Merge pull request #2722 from exkrexpexfex/master
  * Merge pull request #2719 from unxed/wx327fix
  * Update infolist.cpp
  * Merge pull request #2713 from akruphi/readme
  * Merge pull request #2715 from m32/master
  * describe info about GNOME keybindings from https://github.com/elfmz/far2l/issues/2731
  * Fix crash when a plugin doesn't fill Text in combobox items (from far2m)
  * refactoring (from far2m)
  * revert last symbol only if odd number of symbols '\\'
  * describe Exclusively hotkeys Wayland problems
  * Remove trailing spaces from commands and commands history (from far2m)
  * NetRocks: add support of libssh SSH_OPTIONS_PROXYCOMMAND option
  * move to src dir
  * describe in help panel mode type character 'U' for group
  * tmppanel: show file groups
  * export GetFileGroup() to plugins
  * dateformat and def_button fix
  * bring changelog entry back
  * Revert "- try to fix #2714"
  * - try to fix #2714 - added changelog entry
  * Real cells count for correct extension alignment
  * fixes https://t.me/far2l_ru/42883
  * omitted change when refactoring
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Do not show update dialog when 7s.so is absent
  * conflict fix
  * add details about switches --x11 and --wayland in help and in man
  * simplification of installed files
  * simplification of installed files
  * readme minor
  * Merge pull request #2712 from exkrexpexfex/master
  * fix progress bar
  * Move cursor to the right on a line that starts with a non-printable character
  * Merge pull request #2709 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2708 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2704 from m32/master
  * Merge pull request #2706 from mitya57/version-bump-patch
  * Merge pull request #2707 from mitya57/cmake-minimum-required
  * Bump required CMake version to 3.5
  * version_bump_patch.sh: Also update changelog
  * logged text in case of failure
  * ClipboardAllocate should allocate as many bytes as the clipboard size, not one more. Then ClipboardSize used to allocate the destination buffer adds one byte to the buffer size
  * without manipulating the clipboard size
  * Merge pull request #2703 from mitya57/update-changelog
  * Merge pull request #2702 from yurikoles/macOS
  * changelog.md: Set release date for v2.6.5
  * ci: install macOS dependencies with brew bundle
  * doc: use current macOS marketing name
  * doc: actualize python version for brew formula
  * The patch is disabled by default, and the first patch method is disabled
  * Fixed process priority in ProgressMonitor
  * 128 to 64
  * Support for nested tar archives
  * fix err
  * fix stdf plugin order
  * Merge pull request #12 from spnethw/debug_dump_work
  * debug dumper: improve hex dump format
  * debug dumper: add std::pair support
  * debug dumper: improve DCONT backend
  * debug dumper: simplify static arrays support via ContainerWrapper
  * debug dumper: add static C++ arrays alongside STL containers
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix defaults
  * Merge pull request #11 from spnethw/debug_dump_work
  * config update
  * debug dumper: a few optimizations
  * debug dumper: minor
  * debug dumper: EscapeString() uses lookup table with lazy initialization
  * debug dumper: minor
  * fix9
  * add ver2
  * winport for cp
  * debug dumper: update FARString.cpp
  * debug dumper: refactor
  * debug dumper: implement direct containers support (including nested)
  * fix2
  * fix1
  * Merge pull request #10 from spnethw/debug_dump_work
  * fix0
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Patch7zCP updated
  * debug dumper: minor DUMPER.md fix
  * debug dumper: fix style and mistakes in DUMPER.md
  * debug dumper: more accurate single char/wchar_t handling
  * Merge pull request #9 from spnethw/debug_dump_work
  * debug dumper: Update DUMPER.md
  * debug dumper: Update DUMPER.md
  * debug dumper: dumper.md
  * debug dumper: minor
  * debug dumper: minor
  * debug dumper: add support for dumping binary data buffers
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: redesign the GetNiceThreadId() logic
  * debug dumper: refactor
  * Merge pull request #8 from spnethw/debug_dump_work
  * debug dumper: add (bitmask) flags support
  * Merge pull request #7 from spnethw/debug_dump_work
  * debug dumper: fix clang error for GetNiceThreadId() function
  * Merge pull request #6 from spnethw/debug_dump_work
  * debug dumper: optimize GetNiceThreadId() function
  * Merge pull request #5 from spnethw/debug_dump_work
  * uncomment cfg code
  * fix extracting symlinks
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: more renames according to CODESTYLE.md
  * debug dumper: style
  * debug dumper: minor renames
  * debug dumper: implement thread id logging
  * debug dumper: renames according to CODESTYLE.md
  * debug dumper: improve dumpv() optimization + arguments handling
  * сommented out in CMakeLists.txt
  * fix4
  * fix3
  * fix2
  * fix1
  * fix0
  * hello arclite
  * Merge pull request #4 from spnethw/debug_dump_dumpv
  * debug dumper: some more renames
  * debug dumper: DMSG wraps text in std::string to avoid trailing '\0'
  * debug dumper: rename some variables
  * debug dumper: replace strftime() with std::put_time()
  * debug dumper: ensure parsed names equal argument count in dumpv()
  * debug dumper: refactor + null pointer access handling + tiny
  * debug dumper: fix variable transfer ​​through DUMPV + tiny
  * debug dumper: handling of conversion errors
  * debug dumper: char/wchar_t arrays support + tiny refactor/fix
  * debug dumper: handling of conversion and null pointer access errors
  * debug dumper: add static arrays and iterable containers support
  * debug dumper: add DUMPV for vars only log + refactor + improvements
  * Merge pull request #3 from spnethw/debug_dump_handle_all_output_at_once
  * debug dumper: logging string buffers using (pointer, length)
  * debug dumper: add mutex
  * debug dumper: minor cleanup
  * debug dumper: refactor to handle all output at once
  * Merge pull request #1 from spnethw/debug_dump
  * debug dumper: escape special characters in strings
  * initial version of debug dump

 -- elfmz <fenix1905@tut.by>  Sun, 26 Oct 2025 11:39:52 +0300




 -- Kate <kate@tempergate.co.uk>  Sun, 26 Oct 2025 08:19:52 +0000

far2l-core (2.6.5-1) unstable; urgency=low

  * Bump version to 2.6.5
  * Del key now clears input in elevation dialog
  * Merge pull request #2701 from ctapmex/schemes-update
  * update changelog
  * colorer schemes v1.2.0.62
  * support paste from clipboard in elevation dialog (fix #2688)
  * Merge branch 'master' of github.com:elfmz/far2l
  * stricter unix socket servers permissions
  * Merge pull request #2700 from exkrexpexfex/master
  * Handling mulribyte characters on path abbreviation
  * refactor recent changes
  * yet more tweaks for libarchive detection under mac
  * wx: fix 1sec input reaction delay after adhoc text copying
  * Merge branch 'master' of github.com:elfmz/far2l
  * multiarc/libarch: check if unicode precomposed versions of names matching when comparing filenames for extraction (touch #2613 #2696)
  * Merge pull request #2695 from exkrexpexfex/master
  * Merge pull request #2694 from akruphi/show_uid_gid
  * fix (yet again) libarchive detection on macos
  * Setattr: ability to show "uname"/"gname" or "uid: uname"/"gid: gname"
  * Reapply VMenu filter on Show() if enabled
  * Merge pull request #2692 from spnethw/fix_2588_more_accurate_adjustment_of_LeftPos_in_Viewer
  * Merge pull request #2691 from akruphi/highlighting
  * fix #2588: more accurate adjustment of LeftPos in Viewer
  * Refactoring AddDupWrap() via StrSizeOfCells()
  * Add view by F3 with wrap long line of masks for "Groups of file masks"
  * Arrange elements of dialog "Highlight files - Marking" more logically
  * Files highlighting tuning after #2690
  * Merge pull request #2690 from akruphi/highlighting_def_use_groups
  * Merge pull request #2686 from ctapmex/ubuntu2004-deprecated
  * Merge pull request #2685 from ctapmex/colorer_up
  * Merge pull request #2684 from mitya57/screenshots
  * Merge pull request #2683 from unxed/revert
  * Show in Files highlighting brief dialog with file masks after expand all masks groups
  * new ExMessager::AddDupWrap() for dumb wrap long string
  * Use Mask Groups in defaults of Files highlighting
  * ci: change gcc7 build test
  * update changelog.md
  * Add screenshots also to the README
  * Add screenshots to AppStream metadata
  * fix base catalog search
  * sync colorer with upstream;
  * Revert #2643
  * Merge pull request #2631 from mitya57/metainfo
  * Merge pull request #2679 from spnethw/hlf_update_and_cleanup_4
  * Merge pull request #2681 from m32/master
  * Merge pull request #2678 from mitya57/gcc-15
  * Merge pull request #2682 from akruphi/readme
  * readme + minor
  * proper value
  * in sync with far
  * sending information about keys state should be invisible for marco recording
  * hlf: update and cleanup (4)
  * Add missing <cstdint> include for uint16_t, to fix build with GCC 15
  * Add AppStream metainfo file
  * Merge pull request #2627 from akruphi/changelog
  * Merge pull request #2676 from atolismesh/master
  * Merge pull request #2675 from m32/master
  * Merge pull request #2677 from akruphi/cosmetics
  * Cosmetics help & menu
  * refactoring, use runlike library to recover command line
  * refactoring and bugs
  * refactoring
  * missing loop
  * Fix issue #2668: Multiarc ignores archives if the archive file name does not have an extension - update arcread.cpp
  * refactoring
  * Merge pull request #2673 from akruphi/prevent_blinking
  * prevent blinking in attributes and flags dialogs
  * Merge pull request #2651 from Dazzar56/auto-locale-fix
  * Merge pull request #2671 from Syutkin/patch-1
  * actualization after 15-16 Feb
  * Fix copy/paste AWSSDK_FOUND
  * Merge pull request #2621 from versus-13/netrocks-awss3-plugin
  * Merge pull request #2656 from spnethw/setattr_bugfixes
  * Merge remote-tracking branch 'upstream/master' into auto-locale-fix
  * Merge pull request #2643 from unxed/homekey
  * Merge pull request #2633 from akruphi/fix2082
  * Merge pull request #2619 from spnethw/ConfigClassicHotkeyLinkResolving
  * Merge pull request #2669 from mitya57/fix-duplicate-line
  * Merge pull request #2649 from unxed/kitty_plus
  * build.yml: Remove duplicate libarchive-dev line
  * Merge pull request #2645 from unxed/xterm_shift_fix
  * Merge pull request #2667 from m32/master
  * Merge pull request #2626 from spvkgn/inside
  * try fix ci
  * TTY|F: fix clipboard access dialog missing repaints (fix #2634)
  * Enable C++17
  * Merge pull request #2650 from unxed/multiarc_fix
  * Merge pull request #2612 from spnethw/fix_2605_files_highlighting_and_sort_groups_bugs
  * Merge pull request #2614 from akruphi/misc
  * Update HACKING.md
  * using api for panels
  * utility functions
  * inadequate function name
  * api for editor functions
  * progressdialog
  * testing ID generator
  * using panel api class
  * handlink keditor input callback
  * Fix build on my system
  * can be open also in dialgs
  * correct function declaration
  * correct function declaration, api for panel functions
  * some functions from libc.so
  * python api for panel handling
  * keyboard state for full screen dialogs like hexeditor
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge branch 'kitty_plus' of https://github.com/unxed/far2l into kitty_plus
  * minor fix
  * inside: minor
  * Merge pull request #2620 from akruphi/size_column_width_revert_to_6
  * Merge pull request #2635 from michaellukashov/internal-command-line-improvements
  * Merge pull request #2624 from spnethw/config_cpp_supported_tweaks_fix_wrong_flag
  * Merge pull request #2637 from m32/master
  * Merge pull request #2652 from atolismesh/master
  * Merge pull request #2611 from peter15914/fix_clipboard_null_deref
  * Merge pull request #2610 from spnethw/hlf_update_and_cleanup_3
  * Merge pull request #2609 from akruphi/readme_help
  * Merge branch 'elfmz:master' into homekey
  * Merge branch 'elfmz:master' into xterm_shift_fix
  * Merge branch 'elfmz:master' into multiarc_fix
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge pull request #2600 from anta999/colortest2
  * SetAttr: fix recursive file attributes/flags changing
  * add info about Shift fix in vanilla PuTTY
  * Add AWS S3 protocol support to NetRocks plugin
  * SetAttr: fix recursive file owner changing + wrong group mark indicating
  * far:about: show PRETTY_NAME from /etc/os-release
  * some more fixes
  * misc and cleanup
  * Update NetRocks CMakeLists.txt
  * Update NetRocks lbnfs 6.0.x compatibility
  * VTMouse now resets previously released keys
  * vt mouse refactoring
  * far:about: more about build platform
  * one more fix
  * some more fixes
  * better following spec
  * comment
  * minor
  * cosmeitc
  * minor fixes, cosmetic
  * minor fixes, cosmetic
  * fix #2615
  * fix build
  * cosmetic
  * cosmetic
  * cosmetic
  * better kitty protocol support
  * Chattr / chflags: minor
  * improvement: internal command line: edit:file: view:file: take into account the presence of special character `~` (Home directory)
  * Shift+Letters are not working in xterm if it is started as xterm -fa 'Monospace' -fs 12 -xrm '*modifyOtherKeys:2' -xrm '*formatOtherKeys:1' this commit fixes that
  * Allow using Ctrl+' as an alternative to Ctrl+`
  * Add changelog only with significant changes as user-readable text
  * close dialog after mouse click
  * refactoring, save functionality
  * save logic on ESC
  * F5=goto
  * flags in popup
  * editing and saving the file, marking places for further work TODO
  * simpler position calculation, undo buffer
  * fix elements numbering
  * hex editor plugin - WIP
  * colors from far, cursor size,  validating goto,
  * removed references to debugpy which may not be installed
  * numbering elements, dialog without border
  * buffer is too big
  * describe new functionality
  * Fix #2082 A fix for overlapping menus with panels (from far2m)
  * changelog.md: fix typo
  * readme & help + arrange keys in menu
  * Add changelog only with significant changes as user-readable text
  * inside: Dynamic section
  * fix wrong flag check
  * hlf: update and cleanup (3)
  * Revert default of Size column to 6
  * Chattr / chflags dialog: warning if try symlink
  * Bring back symlink resolving via hotkeys, as in FAR2/3
  * Chattr / chflags dialog: add Reset button and more accurately changes in List
  * New Chattr / chflags dialog
  * rgb comments
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * minimized color parser
  * setattr (Ctrl-A) count devices + disable attributes/flags if was error
  * Save errno after flags operations
  * new function ExMessager::AddMultiline() & tuning after #2576
  * fix #2605: files highlighting and sort groups bugs
  * fix potential NULL dereference in clipboard.cpp
  * Merge pull request #2599 from unxed/iterm_fix
  * Merge pull request #2597 from mitya57/issue2596
  * Merge pull request #2594 from spnethw/hlf_and_lng_update_and_cleanup_2
  * Merge pull request #2602 from m32/master
  * Merge pull request #2604 from unxed/mac_numbers_fix
  * hlf & lng: update and cleanup (2)
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * copying files via clipboard - gnome files/nautilus is supported
  * clear up
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * move far colors to farcolors.ini
  * fixed iterm2 cursor shape esc sequences see https://iterm2.com/documentation-escape-codes.html
  * Rename far2l-wx.desktop → far2l.desktop
  * Rename far2l.desktop → far2l-tty.desktop
  * show all characters
  * Merge pull request #2590 from spnethw/hlf_and_lng_update_and_cleanup
  * Merge pull request #2592 from unxed/comment_fix
  * Merge pull request #2591 from Dazzar56/auto-locale-fix
  * - removed irrelevant comment (it was screen tool related, not FreeBSD kernel console related) - added relevant comment (links to resources related to cursor shape modification escape sequences)
  * check was way too high :)
  * moved to the highest! also remove double call  setlocale()
  * moved locale check even higher
  * fix PANIC caused by ConfigOptSave() too early
  * fix incorrect interface locale on first render
  * hlf and lng: update and cleanup
  * Merge pull request #2583 from akruphi/qview_crash_fix2581
  * Merge pull request #2586 from akruphi/size_column
  * Merge pull request #2589 from m32/master
  * Merge pull request #2582 from spnethw/fix_2581_far2l_crash_in_quick_view_when_try_show_broken_symlink
  * Merge pull request #2580 from spnethw/netrocks_hlf
  * Merge pull request #2577 from akruphi/link_in_menu
  * Merge pull request #2576 from unxed/osc52prompt_ru
  * Merge pull request #2573 from mitya57/wx-desktop-files
  * WX: add as custom draw unicode range 1fb00 1fb3b; refactor
  * position in dialog, selected character and its unicode value
  * log.exception requires message
  * unused variables, prevoius label
  * Merge branch 'master' of github.com:m32/far2l
  * version with VBuf
  * old version
  * assign parameters to variables
  * Calc width taking into account also SymLinkNames
  * minor
  * Make #2452 feature with adjust column width to text more customizable
  * Adjust column width to "folder" text only if in mode it width = 0
  * Fix qview crash on broken symlinks
  * fix #2581: Far2l crash in Quick view when try show broken symlink
  * NetRocks: add Russian hlf + minor fixes in English hlf
  * refactoring
  * Merge branch 'elfmz:master' into master
  * Link item in File menu (backport from far3)
  * - auto select Russian language if system locale is ru_RU on first start - show Getting Started and OSC52 confirmation in Russian in such cases
  * Merge pull request #2575 from unxed/wiki_help
  * Add a link to community wiki to Getting Started help topic.
  * Merge pull request #2572 from unxed/cursors
  * Merge pull request #2569 from michaellukashov/minor-fix-typos
  * Merge pull request #2570 from mitya57/source-date-epoch
  * Merge pull request #2568 from michaellukashov/fix-help-current-path-info
  * Add System and FileTools categories to far2l desktop files
  * Use separate desktop files for TTY and GUI versions
  * Merge branch 'elfmz:master' into cursors
  * better cursor shaping support
  * Add support for SOURCE_DATE_EPOCH environment variable
  * Merge branch 'elfmz:master' into master
  * minor: Fix typos
  * minor: .hlf.m4: fix info about "Current Dir"
  * VT: reset _focus_change_expected upon command completion
  * Merge pull request #2567 from elfmz/tty-focus
  * Update keyboard.cpp
  * Update vtshell_ioreaders.h
  * Update vtshell_ioreaders.cpp
  * Update vtshell.cpp
  * Update vtansi.cpp
  * Update IVTShell.h
  * Update wxMain.cpp
  * Update TTYOutput.cpp
  * Update TTYInputSequenceParser.h
  * Update TTYInputSequenceParser.cpp
  * Update TTYBackend.h
  * Update TTYBackend.cpp
  * Merge pull request #2566 from elfmz/fix-new-nfs
  * fixing build with recent libnfs
  * Merge pull request #2564 from unxed/konsole_fix
  * Merge pull request #2565 from akruphi/infolist_editorconfig
  * Merge branch 'elfmz:master' into master
  * Show EditorConfig block in Info panel
  * Konsole 24.12 / KDE Plasma 6.2.4 / X11 generates \x1b[[E on F5
  * Merge pull request #2560 from spnethw/far2l_help_corrections
  * far2l hlf: add few cross references
  * far2l hlf: special commands, ui backends, panel view modes, env. vars
  * Merge pull request #2558 from akruphi/osc52_welcome_explain
  * revert back use of target-independent icu for ICU_MODE=BUILD
  * rewrite English
  * More details about OSC52 at 1st run
  * Merge pull request #2556 from michaellukashov/fix-optional-ability-to-use-icu
  * Merge pull request #2552 from spnethw/tmppanel_refactoring
  * tmppanel: remove unused isDevice() function
  * improvement: optional ability to use icu available on build system or target
  * hlf: add info regarding "open panel from output" feature
  * tmppanel: update lng and hlf
  * tmppanel: remove unnecessary function FormNtPath()
  * tmppanel: refactor FindListFile()
  * tmppanel: let jumping to file by Ctrl+PgUp on its own in normal mode too
  * tiny code cleanup
  * tmppanel: tiny refactor of OpenPluginW function
  * tmppanel: use Unicode string functions instead of aliases
  * tmppanel: replace TCHAR with wchar_t
  * tmppanel: replace the _T(x) macro with the L prefix
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2550 from akruphi/readme
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * readme
  * Merge pull request #2546 from akruphi/readme
  * NR/SCP/SHELL: workaround for "domains" word between user and group (#2545), improve prev fix
  * readme minor
  * readme minor
  * readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2544 from akruphi/misc
  * Merge branch 'elfmz:master' into master
  * minor correction
  * NR/SCP: try to handle situation when busybox is used but not present in PATH (touch #2524)
  * Yet more customization via menu/dialogs after #2452
  * Minor after #2542
  * Merge pull request #2543 from spnethw/netrocks_fix_incorrect_password_parsing_in_splitlocationspecification
  * NetRocks: fix incorrect password parsing in SplitLocationSpecification()
  * Merge pull request #2539 from spnethw/tmppanel_tweak_open_execute_logic_in_showmenufromlist
  * Merge pull request #2542 from omilevskyi/fix/ConsoleInput
  * Merge pull request #2540 from akruphi/misc
  * Merge branch 'icu_mode'
  * WinPort: remove not used anymore GetTempFileName and GetFullPathName
  * refactor FarMkTempEx
  * optional ability to use icu available on build system or target
  * WinPort/src/ConsoleInput.cpp: fix crash when dot is pressed in cyrillic layout
  * Merge pull request #2541 from exkrexpexfex/master
  * Crash on concurrent access to plugin info
  * new flag in EXECUTEFLAGS to run command in external terminal
  * tmppanel: added keyboard shortcut help in ShowMenuFromList()
  * README: update about far2l-wx in Ubuntu
  * Update main.cpp
  * tmppanel: tweak open/execute logic in ShowMenuFromList()
  * Merge pull request #2538 from exkrexpexfex/master
  * Count symlinks as files
  * Merge pull request #2510 from spnethw/fix_ctrl_add_alt_add_processing
  * Merge pull request #2536 from spnethw/allow_double_quotes_in_filenames
  * fix recent refactor
  * refactor recent changes
  * Merge pull request #2528 from unxed/tty_notif
  * Merge pull request #2529 from unxed/osc52prompt
  * Merge pull request #2535 from exkrexpexfex/master
  * Merge pull request #2511 from akruphi/help_after_2452
  * Merge pull request #2520 from anta999/colortest2
  * Merge pull request #2533 from spnethw/tmppanel_fixes_improvements_refactoring
  * Merge pull request #2525 from unxed/nopcre
  * Merge branch 'master' into nopcre
  * Merge pull request #2523 from ctapmex/colorer-schemes-update
  * Merge pull request #2522 from ctapmex/colorer_sync
  * Merge pull request #2515 from ctapmex/ci_update
  * Explicit SSH algorithms options
  * User Menu: use also numpad in Ctrl+Up/Down + typo in help (.Ini->.ini)
  * consts from ffic
  * inside thread
  * references
  * next sizer
  * history in TEXT
  * tmppanel: don't check exit code to avoid discarding partial output
  * Allow creation and saving-as filenames containing double quotes
  * tmppanel: minor
  * Explicit SSH algorithms options
  * tmppanel: selection remains on the host file after closing the panel
  * tmppanel: fix file copying between panels (from FarManager/ce6e0dd)
  * tmppanel: some code clean up, remove unnecessary defines
  * tmppanel: (re)load options when list file is opened from panel by Enter
  * tmppanel: GetFileInfoAndValidate() minor refactoring
  * Typo
  * tmppanel: refactor GetFileInfoAndValidate()
  * tmppanel: minor refactor
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement ShellExecute in ShowMenuFromList()
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement OpenPanelFromOutput
  * tmppanel: fix #2518 (missing null-terminator) + minor optimization
  * More compact Panel settings dialog + move marks features to subdialog
  * Prompt user to allow/disallow OSC52 usage on first run if this option is available in current environment
  * basic system tray notifications support. planned to also add ESC sequences for kitty and iTerm2, but do not understand how to send them from here
  * removed all traces of pcre
  * Removed PCRE library support
  * Add possibility customize new #2452 features from Panel dialog
  * colorer schemes v1.2.0.57
  * sync colorer with upstream;
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * fix #2517 и fix #2518
  * Merge branch 'elfmz:master' into master
  * disable build on push to master for forks
  * explicitly install python dependencies
  * hide the tag search error in git
  * disable warn developer message from cmake
  * use gcc-7 and clang-7 as minimal version of compilers
  * Merge pull request #2512 from spnethw/tmppanel_fix_menu_from_file_list_crash
  * inside: Mach-O
  * Yet more after #2452
  * Yet more after #2452
  * tmppanel: fix PANIC-PANIC crash in menu from file list
  * Help: minor
  * Another Help after #2452: Groups of file masks (from far2m help)
  * Help after #2452 + names for default highlighting groups + trim by "..." long in name column
  * Fix CtrlAdd/AltAdd in consistency with full view mode (LeftCtrl-3)
  * Merge pull request #2507 from akruphi/hilight_order
  * Merge pull request #2509 from spvkgn/inside
  * Merge pull request #2452 from anta999/colortest2
  * inside: add png, ogg, m4a
  * inside: add PE format
  * Merge pull request #2508 from exkrexpexfex/master
  * Crash on overflow when searching in a large file
  * Fix order of default Highlight for processing combined cases
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * fix incorrect chars typed instead of numbers in some cases on macs
  * sync with master
  * Merge branch 'elfmz:master' into master
  * ProcessName casesens fix
  * merge conf
  * mini fix
  * background screen (ctrl+o) splitted into lines
  * MaskGroup updated
  * fixed #2461 Garbage in the terminal + DirCfg Dialog Update
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * all fixed + dircfg dialog
  * ctrl+m select attr string style
  * fix mark inherit
  * conflict
  * update highlight
  * merge conflict
  * hold on

 -- elfmz <fenix1905@tut.by>  Sun, 30 Mar 2025 22:00:17 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.7.0-1) unstable; urgency=low

  * Merge pull request #3016 from tempergate/master
  * some versioning fixes
  * Update far2lOverlays.nix
  * fix hexitor crash (fix #3015)
  * Bump version to 2.7.0
  * some fixes
  * readme: move far2lOverlays.nix to packaging/NixOS
  * fix changelog.md autoversioning
  * move far2lOverlays.nix to packaging/NixOS
  * Merge pull request #3011 from m32/master
  * Merge pull request #3013 from mitya57/remove-vpython3
  * fix build under old macos
  * Remove vpython3 shebangs
  * Merge pull request #3009 from akruphi/hexitor
  * Merge pull request #2998 from spnethw/desktop-fix
  * Merge pull request #3005 from tempergate/master
  * Merge pull request #3007 from spnethw/openwith_plugin
  * Merge pull request #3003 from unxed/help_update
  * Merge pull request #3010 from tempergate/patch-4
  * useless code, CTRL+TAB workt without it
  * OpenWith: refactor; significantly speed up bulk file processing
  * proper order of checks
  * forward keys to framemanager
  * forward keys to framemanager
  * Update README.md
  * Update README.md
  * Update README.md
  * added Note about use Wayland and OSC 52 under Wayland
  * hexitor - minor: "Screen" label for F12 and help improvement
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * minor
  * minor
  * Fixed several problems found by @russiandesman
  * minor
  * minor
  * Help refinement WIP, 2/n, en and ru sync, Windows artifacts removal
  * Major help refactoring. 1/n, en
  * replace %U with %F in Exec= keys of .desktop files
  * Merge pull request #2997 from akruphi/readme
  * trying fix non-latin input (touch #2995 )
  * readme
  * Merge pull request #2980 from exkrexpexfex/vs16
  * Merge pull request #2986 from unxed/vt_lines_fix
  * fix Ctrl+O in editor etc (fix #2992)
  * Merge pull request #2995 from unxed/ibus_workaround_fix
  * Merge pull request #2987 from spnethw/openwith_plugin
  * Merge pull request #2993 from akruphi/misc
  * Merge pull request #2991 from m32/master
  * Made detection of IME events more precise
  * OpenWith: lazily cache MIME types to improve F3 dialog performance
  * OpenWith: more robust multi file aware app detection
  * OpenWith: don't filter multi file aware apps
  * OpenWith: help files style
  * OpenWith: help and localization minor fixes
  * Misc refactoring - Fix some PVS-Studio warnings (from far2m)
  * hilight: make "Hardlinks > 1" disabled by default
  * far:about: more accurate show win size
  * OpenWith: rearrange localized messages
  * OpenWith: show OnlyShowIn/NotShowIn in Details; minor help update
  * not used
  * implemented save_as Shift+F2 in editor
  * OpenWith: add "Disable ranking (sort alphabetically)" XDG option
  * OpenWith: minor
  * OpenWith: minor
  * OpenWith: add "Confirm opening if file count exceeds..." option
  * Fix #2981
  * Handling Zero Width Joiner
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2985 from barracuda156/macos
  * OpenWith: follow-up for macOS < 10.10
  * Merge pull request #2984 from barracuda156/arclite
  * arclite: define __STDC_FORMAT_MACROS prior to including inttypes.h
  * Merge pull request #2978 from spnethw/openwith_plugin
  * Merge pull request #2979 from Mi-Walkie-Talkie-by-Darkhorse/arclite-bugfix
  * Merge pull request #2983 from barracuda156/macos
  * OpenWith: fix build on macOS < 11 and with gcc
  * Handling emoji presentation sequence
  * OpenWith: more configurable MIME type extension
  * Merge branch 'elfmz:master' into master
  * Use correct 64-bit values formatting
  * Use UInt64 data type for file position related values
  * OpenWith: added option to load MIME type subclasses
  * Merge pull request #2973 from spnethw/openwith_plugin
  * OpenWith: some simplifications
  * OpenWith: added the ability to select multiple files
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2966 from ctapmex/build_warnings
  * warning from clang-20
  * arclite: fix warnings
  * hexitor: clang warn
  * hexitor: remove unused variable
  * fix gcc warn for unknown arg
  * Merge pull request #2970 from ctapmex/colorer
  * Merge pull request #2967 from ctapmex/ci
  * update colorer schemes
  * fix "select region"
  * workflow: add gcc 15
  * workflow: add clang-20 build
  * Merge branch 'elfmz:master' into master
  * workflow: add macos 15
  * workflow: update excludes
  * fix #2961
  * Merge pull request #2962 from unxed/hexitor
  * Merge branch 'elfmz:master' into master
  * minor fixes
  * Merge pull request #2963 from akruphi/hexitor
  * Merge pull request #2964 from spnethw/openwith_plugin
  * OpenWith: settings dialog is now accessible from the app selection menu
  * [hexitor] revert in Find dialog hex mask and history for other fields
  * Add UTF-8 cursor movement, correct character editing, and better highlighting support in Hexitor
  * Merge pull request #2957 from akruphi/info
  * Merge pull request #2958 from exkrexpexfex/multibeauty
  * Carraige return for multiline commands
  * Info
  * Merge pull request #2956 from spnethw/openwith_plugin
  * OpenWith: more accurate and spec-compliant launch command construction
  * OpenWith: adapt "Details" dialog (F3) width to the far2l window width
  * file not used
  * Merge pull request #2955 from m32/master
  * color is 64-bit long - for save/restore SetULL/SetULL should be used
  * Merge pull request #2953 from akruphi/from_far2m
  * Merge pull request #2951 from m32/master
  * Misc refactoring (from far2m)
  * stop using instance data when close dialog was executed
  * preserve color settings when dialog is cancelled
  * Merge pull request #2949 from m32/master
  * Merge branch 'elfmz:master' into master
  * handle esc key as cancel operation
  * mouse wheel as scroller
  * fix #2945
  * Merge pull request #2948 from unxed/hex-utf8
  * proper utf8 input
  * cosmetic
  * Merge pull request #2946 from unxed/hex-utf8
  * basic utf-8 support
  * Merge pull request #2944 from tempergate/master
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Merge branch 'master' of github.com:elfmz/far2l
  * make CmdLine::ShowBackground to paint directly into ScrBuf
  * Merge pull request #2943 from unxed/cosmetic
  * fix some possible flickering reasons (touch #2937)
  * a more correct formulation
  * Merge pull request #2942 from akruphi/changelog
  * Merge pull request #2936 from akruphi/from_far2m
  * Merge pull request #2930 from unxed/xubuntu_cyr
  * Merge pull request #2940 from unxed/viewer_home
  * changelog: added vt improvements info
  * Merge pull request #2905 from Dazzar56/new_color_settings
  * Merge pull request #2935 from akruphi/farabout_ibus
  * Merge pull request #2938 from unxed/fix_osc52_read
  * Merge pull request #2928 from spnethw/openwith_plugin
  * cosmetic and minor optimization
  * Reset search position to the beginning of a file on Home key press
  * OpenWith: more UI tweaks
  * Fix clipboard erasure on OSC52 read attempt
  * OpenWith: minor UI tweaks
  * OpenWith: improve mime type aliases logic
  * keyboard.cpp - Fix some PVS-Studio warnings (from far2m)
  * OpenWith: add MIME type aliases support
  * far:about: show typical ibus environment variables
  * cosmetic
  * Fixed cyrillic input on xubuntu with ibus active Fixes #2929
  * OpenWith: show associations source; improve the ranking algorithm; fixes
  * Merge pull request #2923 from m32/master
  * better keyboard handling.
  * Merge pull request #2926 from Mi-Walkie-Talkie-by-Darkhorse/arclite-uclibc
  * Make arclite plugin compatible with uClibc-ng
  * hexitor as a non-modal dialogue
  * default color for overflow arrow
  * sane default colors for menu prefix
  * Merge pull request #2916 from spnethw/openwith_plugin
  * Merge pull request #2917 from exkrexpexfex/master
  * fix crash in VTLog in debug builds (wich STL checked containers
  * Avoid errors on multiline paste execution due to trailing empty lines
  * OpenWith: improve CheckExecutable()
  * OpenWith: fix missing command line escaping in the macOS implementation
  * Merge branch 'master' of github.com:elfmz/far2l
  * fixing #2909
  * Merge pull request #2915 from akruphi/readme
  * Merge pull request #2912 from spnethw/openwith_plugin
  * Merge pull request #2910 from akruphi/farabout_scrxy
  * Readme - correction about ppa
  * OpenWith: help update
  * far:about: show ScrX and ScrY
  * Merge pull request #2908 from anta999/bigfix
  * some fixes for attribues (touch #2906)
  * A version too
  * Fixed: non-working panel plugins on Big Endian.
  * Merge pull request #2904 from spnethw/openwith_plugin
  * Merge pull request #2907 from akruphi/openwith_plugin_help
  * OpenWith: new help section with tips
  * disable debug logging
  * VT: history log now limited by memory usage instead of lines count, also log lines kept in compressed form in memory
  * add config for menu prefix and edit OverflowArrow
  * OpenWith: more accurate Exec parsing; show MIME type if app not found
  * Merge pull request #2902 from exkrexpexfex/tahoe
  * Fix crash on startup on macOS 26 Tahoe
  * Merge pull request #2901 from anta999/bigfix
  * fix memleak and cursor position glitches on resize
  * J
  * Merge branch 'master' of github.com:elfmz/far2l into bigfix
  * conflict fix
  * minor tweaks for #1099
  * Big endian colors fix
  * Merge pull request #2894 from m32/non-modal-dialog
  * Merge pull request #2878 from m32/master
  * Merge pull request #2897 from spnethw/openwith_plugin
  * Merge pull request #2898 from exkrexpexfex/overfix
  * minor
  * refactor for #1099
  * Merge pull request #2899 from unxed/hightlight_crash_fix
  * minor
  * Fixed some more crashes
  * OpenWith: various optimizations & style
  * Fixed crash
  * No text overflow marks for fixed length edit controls
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * minor
  * Merge pull request #2896 from unxed/cyr_kb_fix
  * rm unneeded
  * refactor and some fixes for #1099
  * OpenWith: refactor; help update
  * Use VK_NONAME instead of 0 to fix cyrillic input on Mint 21 and in some other setups. Fixes #2895
  * backward compatible with the API, not with the feature list in farplug-mb.h
  * prevent flickering due to ShowBackground
  * Merge pull request #2876 from akruphi/openwith_plugin
  * Merge pull request #2893 from akruphi/version
  * Merge pull request #4 from spnethw/openwith_plugin
  * OpenWith: refactor
  * Merge branch 'non-modal-dialog' of github.com:m32/far2l into non-modal-dialog
  * I forgot about this file
  * vorget to commit
  * non modal dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge pull request #3 from spnethw/openwith_plugin
  * OpenWith: some optimizations
  * Add Command line switch --version
  * Merge pull request #2 from spnethw/openwith_plugin
  * Revert "OpenWith: minor"
  * more fixes for #1099
  * Merge pull request #1 from spnethw/openwith_plugin
  * OpenWith: minor
  * OpenWith: merge Linux/BSD app providers into XDGBasedAppProvider
  * VT: more fixes for #1099
  * todo less
  * Merge pull request #2 from anta999/addgetcolor
  * Merge pull request #1 from unxed/hexitor
  * some simplifications yet fixes (touch #1099)
  * some fixes and refactor in back screen save
  * improve background screen save/restore
  * dont lose things
  * fix artifacts in editor
  * OpenWith: hot keys in dialogs + Launch button in details dialog
  * cosmetic
  * Merge pull request #2863 from unxed/work_better_without_ime
  * Merge pull request #2866 from m32/master
  * Merge branch 'master' into master
  * Merge pull request #2858 from exkrexpexfex/master
  * Merge pull request #2862 from exkrexpexfex/dialogseditoverflow
  * Merge pull request #2864 from exkrexpexfex/nrctrlenter
  * Merge pull request #2865 from exkrexpexfex/cmdeditesc
  * Merge pull request #2869 from spnethw/openwith_plugin
  * Merge pull request #2868 from unxed/kitty_locks
  * Merge pull request #2856 from akruphi/hist_except_only4cmd
  * Merge pull request #2871 from exkrexpexfex/littlebig
  * Merge pull request #2874 from barracuda156/apple
  * improvements for #1099
  * add missing semicolon->colon trick parts
  * fix colors in log
  * alternative solution for #1099
  * add new OpenWith plugin
  * Adjust colors for big-endian
  * displaynotify.mm: add a fallback to fix build on < 10.8
  * Use -fobjc-arc only with Clang
  * Fix -force_load flag on macOS
  * Allow using pre-defined wx config on macOS
  * Add GetColor to PluginAPI
  * proper codepage conversion
  * proper source codepage when converting to utf-8
  * proper return value
  * According to the spec, we should report num and caps always
  * Merge branch 'master' of github.com:m32/far2l
  * info about new plugin - hexitor
  * Fixed Russian charset. This file should have been converted as CP1251->UTF8, not CP1252->UTF8
  * Merge pull request #83 from m32/master
  * utf8 encoding
  * fix utf-8 encoding
  * include and enable hexitor in main build
  * hexitor inside main repo
  * Merge branch 'master' of github.com:m32/far2l
  * ported hexitor from far3
  * Update README.md
  * open escaped path with edit: and view: via cmdline
  * Always prepend filename with ./ whe pasting to cmd line
  * Do not lose virtual key code while handling KeyDown events with IME disabled
  * fix rendering of delete confirmation for long filenames with wide chars
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * fix dropdown menu rendering artifacts on wide chars
  * Show » « symbols when edit text overflows
  * Add support for pasting and executing multiline commands
  * Exceptions apply only to command history
  * Merge pull request #2855 from spnethw/dumper-updates
  * Merge pull request #2854 from exkrexpexfex/cmdblanks
  * debug dumper: stacktrace minor fixes, improvements and refactor
  * Treat whitespace-only input as empty in command line
  * Merge pull request #2849 from exkrexpexfex/netrocks
  * Merge pull request #2845 from anta999/arclite2
  * Merge pull request #2847 from exkrexpexfex/1
  * Merge pull request #2846 from exkrexpexfex/master
  * Merge pull request #2850 from exkrexpexfex/macsamba
  * Merge pull request #2853 from exkrexpexfex/relnbrk
  * panel update fix
  * Line breaks in regex replacement
  * netroks: enable smb on macOS
  * No prompt opening remote directories from folders history
  * multiarc: unrar 7.13
  * multiarc: unrar 7.13
  * fix mouse selection beyond left border of an edit
  * fix
  * conflict
  * bug fix, more logs
  * Merge branch 'master' of github.com:elfmz/far2l
  * refactor recent changes
  * Merge pull request #2844 from spnethw/dumper-updates
  * debug dumper: cosmetic
  * debug dumper: add atos for macOS; improve command grouping; refactor
  * minor improvement for crash.log
  * Merge branch 'master' of github.com:elfmz/far2l
  * remove temporary change
  * Merge pull request #2842 from exkrexpexfex/master
  * Merge pull request #2841 from akruphi/changelog
  * crash.log improvements: better symbols, input backtrace
  * proper magic constants for 32 bit FNV-1a hash
  * Merge pull request #2838 from spnethw/dumper-stacktrace
  * debug dumper: minor
  * debug dumper: add stacktrace support and update DUMPER.md
  * changelog after #2840
  * Merge pull request #2840 from exkrexpexfex/master
  * multiarc: 7zip 25.01
  * multiarc: 7zip 25.01
  * Merge pull request #2833 from akruphi/arclite
  * Merge pull request #2835 from unxed/fix_alt_enter
  * Merge pull request #2836 from ctapmex/optimize-logging
  * update changelog
  * fix read hex params
  * optimize background process
  * update FarColorer logger
  * update colorer library
  * Arclite: type & chain in PluginInfo (for Info Panel) + help
  * Now multiple Enter presses while holding Alt work correctly
  * Fix unneeded Alt+Enter triggering then using quick search (fixes #2834)
  * ctrl+pgdn
  * Always update Info panel when change directory inside plugin
  * Merge pull request #2821 from exkrexpexfex/master
  * Merge pull request #2829 from akruphi/minor
  * Merge pull request #2832 from anta999/arclite2
  * Merge pull request #2830 from spnethw/dumper-updates
  * Merge pull request #2828 from ctapmex/clean-build
  * debug dumper: update DUMPER.md
  * debug dumper: let's make it configurable; also some tiny fixes
  * fix2
  * fix
  * Add ability to revert through archive chain and fix bugs.
  * readme minor
  * use tabs; correct snprintf
  * fix warning for macos
  * fix python warning
  * fix clang warning
  * disable warning about unknown flags; add clang flags
  * disable warn for unrar
  * disable warn for smb plugin
  * disable warnings for scp plugin
  * change deprecated api
  * Merge pull request #2822 from ctapmex/arclite-res
  * Merge pull request #2826 from tempergate/master
  * Merge pull request #2824 from spnethw/dumper-updates
  * Merge pull request #2818 from anta999/arclite2
  * Merge pull request #2815 from ctapmex/crash-settings
  * Merge pull request #2811 from akruphi/actualization
  * Merge pull request #2817 from m32/master
  * mini fixes3
  * fix
  * more DEB open
  * fix3
  * fixes2
  * Merge branch 'elfmz:master' into master
  * Update README.md
  * Update far2lOverlays.nix
  * Merge branch 'elfmz:master' into master
  * several fixes
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Changelog, Readme, Help actualization
  * Merge pull request #2827 from ctapmex/colorer-schemes-update
  * update changelog
  * update license
  * update colorer schemes to 1.2.0.90
  * remove unused in far2l files from schemes
  * Update README.md
  * Update far2lOverlays.nix
  * Update README.md
  * Update README.md
  * Update README.md
  * Create far2lOverlays.nix
  * debug dumper: update DUMPER.md
  * debug dumper: file attributes and Unix mode decoding enhancement
  * Faster edit at the end of very large line
  * arclite: monitoring changes in auxiliary files;
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * more readable
  * Faster edit at the end of very large line
  * use letters for clarity
  * limited to letters
  * Fixed x86 build, symlinks in tar p7zip
  * Infinite file enum bug fixed
  * bring Ctrl-Q functionality back in editor
  * fix crash on close settings after change
  * Merge pull request #2810 from exkrexpexfex/master
  * Merge pull request #2670 from anta999/arclite2
  * Remaining issues on a line starting with zwsp
  * disabled by default
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Merge pull request #2809 from exkrexpexfex/master
  * multiarc: fix saving archiver switches
  * fixing freebsd cirrus
  * Merge pull request #2808 from exkrexpexfex/master
  * Settings list to configuration editor
  * Merge branch 'elfmz:master' into master
  * Settings list to configuration editor
  * Merge pull request #2807 from exkrexpexfex/master
  * Fix hotkeys for new menu items
  * Fix hotkeys for new menu items
  * Merge pull request #2806 from akruphi/NoGraphics_CheckMark
  * Merge pull request #2805 from spnethw/dumper-updates
  * fix build under macos elcapitan
  * Use '*' as checkmark in NoGraphics mode (-ag or -an)
  * debug dumper: minor changes to DUMPER.md
  * debug dumper: replace Russian comments with English translations
  * debug dumper: log boolean values using alphanumeric format
  * debug dumper: replace std::codecvt_utf8 with Wide2MB()
  * Merge pull request #2798 from tempergate/patch-2
  * Merge pull request #2803 from akruphi/cmdhist_opts
  * Merge pull request #2799 from rampitec/fix-title-overflow-in-viewer
  * Merge pull request #2802 from ctapmex/copy_py
  * Merge pull request #2795 from akruphi/fix_ma
  * Merge pull request #2796 from exkrexpexfex/master
  * Merge pull request #2797 from tempergate/patch-1
  * Actions recorded in Commands History configurable in AutoComplete & History dialog
  * Update trash.sh
  * monitoring changes in auxiliary files;
  * Merge pull request #2800 from m32/master
  * Merge pull request #2801 from ctapmex/fix_cross
  * Update README.md
  * fix draw cross
  * changelog update after July 5-6 mergers
  * Merge branch 'elfmz:master' into master
  * search/replace in editor after (Ctrl|Alt|Shift)+F3
  * after installing plugin can be opened like uedreplace
  * sort on any column
  * fix undefined variable
  * Fix title overlow in disabled viewer support code. NFC.
  * Update trash.sh
  * Update trash.sh
  * Update README.md
  * Update trash.sh
  * explanation supported trash tools
  * verbose logging for libssh2
  * Fix ma due github CodeQL warning
  * Merge pull request #2793 from ctapmex/custom_base
  * Merge pull request #2790 from mitya57/wx-icons
  * Merge pull request #2788 from mitya57/no-links-in-metainfo
  * Merge pull request #2792 from exkrexpexfex/master
  * update changelog
  * add attribute 'global' for internal packages;
  * fix typo
  * update help about logging
  * update help files
  * optimize and fix memory leak
  * update lang and help files
  * new setting - user hrs settings file
  * set order for load colorer base
  * use core methods for settings load
  * fix build on new lib
  * update colorer lib
  * Visual glitches on a line starting by zwsp
  * README: Add icons to the backends table
  * Add separate icons for WX versions of far2l and far2ledit
  * Merge pull request #2783 from zoomosis/fix-missing-header
  * Visual glitches on a line starting by zwsp
  * Merge pull request #2789 from exkrexpexfex/master
  * Merge pull request #2787 from ctapmex/colorer-schemes
  * Merge pull request #2786 from takacsd/Fix_AWS
  * Merge pull request #2782 from akruphi/misc
  * Merge pull request #2768 from unxed/macro_keys_fix
  * Merge pull request #2791 from mitya57/update-manpages
  * version_bump_patch.sh: Update version and date in the man pages
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * generate_metainfo: Remove links, keep only their text
  * update far2l changelog
  * colorer schemes v1.2.0.76
  * Remove size calculation for folders.
  * Implement AWS pagination.
  * Fix nomacro
  * Correct Y1 in Message() to favor higher positioning (from far2m)
  * Add missing header file. Fixes the build using Xcode 14 on MacOS.
  * Refactoring (from far2m)
  * help minor
  * Merge pull request #2778 from akruphi/help
  * fix clipboard confirmation not painted (fix #2777)
  * help minor
  * attempt to fix xlat (touch #2632 )
  * Update macro.cpp
  * Merge branch 'elfmz:master' into macro_keys_fix
  * Merge pull request #2774 from akruphi/from_far2m
  * Merge pull request #2772 from akruphi/MacroKeysConfig
  * Merge pull request #2776 from spnethw/fix_2775_far2l_crash_vertical_block_selection
  * Merge pull request #2765 from exkrexpexfex/dark
  * Merge pull request #2764 from exkrexpexfex/master
  * Merge pull request #2763 from Dazzar56/master
  * Merge pull request #2762 from unxed/win32-input-debug
  * Merge pull request #2760 from akruphi/readme
  * Panel modes can be changed from "Edit panel modes" menu (from far2m & Far3) and Add the "Reset" button to the panel mode edit dialog  from: https://github.com/shmuz/far2m/commit/fd58e0a9b8feeef677969b4d7ec615dd7eec9eb2  & https://github.com/shmuz/far2m/commit/959ee02f4a0cfe93bff384174299c180c2d346e3
  * fix 2775: far2l crashes when attempting to select a vertical block
  * help
  * Macro Keys configurable via ini-file or far:config (from far2m & far3)
  * cosmetic
  * Recognize Ctrl+Dot with Shift also. Fixes #2767
  * Renaming black and white to dark
  * macOS WX: junk control chars on Ctrl-Q
  * group "src" was split to "<build>,<cfg>,<code>"
  * added new group for configuration files
  * update default mask groups
  * sync with far3
  * readme & changelog actualization
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * F_ASYNC removed
  * Added debug message
  * Merge pull request #2660 from Dazzar56/debug_dump
  * Merge pull request #2759 from akruphi/from_far2m
  * add far2l-cd.sh wrapper to enable external directory change to far2l's when it exit (touch #2758)
  * CheckShortcutFolder: refactorig, improve, remove legacy (from far2m)
  * Merge pull request #2736 from ujos/get_git_branch
  * cosmetic
  * cosmetic
  * cosmetic
  * TTY/revive: filter dead instances before showing list of "lost" far2l-s (touch #2601)
  * * Git branch: Removed dependency of LIBGIT2
  * + Added 'z' command prompt variable that returns the "{current git branch} " string
  * Merge pull request #2739 from ctapmex/cmake
  * Merge pull request #2750 from unxed/kittykb
  * Merge pull request #2751 from m32/master
  * Merge pull request #2754 from ctapmex/colorer-ref
  * refactoring
  * set editorinfo local, not global
  * refactoring
  * refactoring
  * change raw pointer
  * move settings to struct
  * move local variable from heap to stack; using std::array
  * init variables
  * some optimize
  * init class members
  * remove unused function
  * warn in CerrLogger
  * remove redundant cast
  * remove empty statement
  * reformat code
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix depends
  * monitoring changes in auxiliary files
  * set cmake version in root CMakeLists only
  * fix warning about Policy CMP0175
  * smal fixes
  * Switched back to using shifted key value if unshifted is undetectable, as recommented by spec author in https://github.com/kovidgoyal/kitty/issues/8620#issuecomment-2878530117
  * Merge pull request #2746 from akruphi/from_far2m
  * Refactoring
  * Merge pull request #2738 from ctapmex/pvs-warn
  * Merge pull request #2742 from unxed/kittykb
  * Merge pull request #2747 from unxed/fix_2744
  * Merge pull request #2748 from ctapmex/colorer-update
  * Merge pull request #2749 from ctapmex/colorer-truemod
  * use 57610 instead of 0 for unshifted key code if it can not be reliably determined. explained in comment. fixes #2743 (at least before we find better way)
  * cosmetic
  * final polishing based on recent github talks
  * better approach, cosmetic
  * Correct GetDialogTitle() (from far2m)
  * enable truemod since 8-bit console color palette
  * update changelog
  * colorer schemes v1.2.0.68
  * update colorer_lib
  * fix #2744
  * fixed a typo
  * - all set of us keyboard text input keys are now generate correct values in "base layout key" field (if far2l backend generates correct key events) - use more relevant value for cases then we can not determine virtual key code correctly - make code blocks sequence more logical - better debug messages - cosmetic
  * FAR API: fix crashing on invalid dialog coordinates (from far2m & Far3)
  * some fixes
  * Merge pull request #13 from spnethw/debug_dump
  * Update DUMPER.md: add output example
  * Our implementation of the Kitty protocol is still not fully compliant with the specification. One of the discrepancies was that when the Shift key was pressed, the unicode-key-code field contained values that didn't conform to the spec for all keys except alphabetic ones. After this commit, that field will contain 0 in such cases — which is not ideal, but still better than providing incorrect values. In any case, for character codes, applications should rely on the "shifted key" or "text-as-codepoints" fields that provide chars taking in mind Shift state, so this change should not affect real-world application behavior (tested it in the kitty mode of far2l and also in turbo).
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * add p7zip support
  * Excessive type casting: string -> char * -> string.
  * object was created but was not utilized
  * It is more efficient to seek character rather than a string.
  * Merge pull request #2737 from randolf/patch-5
  * Update WinPortMain.cpp
  * Update WinPortMain.cpp
  * Merge pull request #2734 from akruphi/from_far2m
  * Merge pull request #2735 from lieff/netrocks_changelog
  * mc fix
  * NetRocks: update chengelog
  * FAR API: add event DN_DROPDOWNOPENED (from far2m & Far3)
  * Don't allow moving cursor beyond combobox text (from far2m & far3)
  * Merge pull request #2732 from akruphi/fix_dialog_combobox_empty
  * Merge branch 'master' into fix_dialog_combobox_empty
  * Merge pull request #2725 from akruphi/tmppanel_groups
  * Merge branch 'master' into tmppanel_groups
  * Merge pull request #2733 from akruphi/infolist_tuning
  * Merge pull request #2730 from akruphi/cmd_remove_trailing_spaces
  * Merge pull request #2729 from lieff/netrocks_proxy_command
  * Merge pull request #2722 from exkrexpexfex/master
  * Merge pull request #2719 from unxed/wx327fix
  * Update infolist.cpp
  * Merge pull request #2713 from akruphi/readme
  * Merge pull request #2715 from m32/master
  * describe info about GNOME keybindings from https://github.com/elfmz/far2l/issues/2731
  * Fix crash when a plugin doesn't fill Text in combobox items (from far2m)
  * refactoring (from far2m)
  * revert last symbol only if odd number of symbols '\\'
  * describe Exclusively hotkeys Wayland problems
  * Remove trailing spaces from commands and commands history (from far2m)
  * NetRocks: add support of libssh SSH_OPTIONS_PROXYCOMMAND option
  * move to src dir
  * describe in help panel mode type character 'U' for group
  * tmppanel: show file groups
  * export GetFileGroup() to plugins
  * dateformat and def_button fix
  * bring changelog entry back
  * Revert "- try to fix #2714"
  * - try to fix #2714 - added changelog entry
  * Real cells count for correct extension alignment
  * fixes https://t.me/far2l_ru/42883
  * omitted change when refactoring
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Do not show update dialog when 7s.so is absent
  * conflict fix
  * add details about switches --x11 and --wayland in help and in man
  * simplification of installed files
  * simplification of installed files
  * readme minor
  * Merge pull request #2712 from exkrexpexfex/master
  * fix progress bar
  * Move cursor to the right on a line that starts with a non-printable character
  * Merge pull request #2709 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2708 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2704 from m32/master
  * Merge pull request #2706 from mitya57/version-bump-patch
  * Merge pull request #2707 from mitya57/cmake-minimum-required
  * Bump required CMake version to 3.5
  * version_bump_patch.sh: Also update changelog
  * logged text in case of failure
  * ClipboardAllocate should allocate as many bytes as the clipboard size, not one more. Then ClipboardSize used to allocate the destination buffer adds one byte to the buffer size
  * without manipulating the clipboard size
  * Merge pull request #2703 from mitya57/update-changelog
  * Merge pull request #2702 from yurikoles/macOS
  * changelog.md: Set release date for v2.6.5
  * ci: install macOS dependencies with brew bundle
  * doc: use current macOS marketing name
  * doc: actualize python version for brew formula
  * The patch is disabled by default, and the first patch method is disabled
  * Fixed process priority in ProgressMonitor
  * 128 to 64
  * Support for nested tar archives
  * fix err
  * fix stdf plugin order
  * Merge pull request #12 from spnethw/debug_dump_work
  * debug dumper: improve hex dump format
  * debug dumper: add std::pair support
  * debug dumper: improve DCONT backend
  * debug dumper: simplify static arrays support via ContainerWrapper
  * debug dumper: add static C++ arrays alongside STL containers
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix defaults
  * Merge pull request #11 from spnethw/debug_dump_work
  * config update
  * debug dumper: a few optimizations
  * debug dumper: minor
  * debug dumper: EscapeString() uses lookup table with lazy initialization
  * debug dumper: minor
  * fix9
  * add ver2
  * winport for cp
  * debug dumper: update FARString.cpp
  * debug dumper: refactor
  * debug dumper: implement direct containers support (including nested)
  * fix2
  * fix1
  * Merge pull request #10 from spnethw/debug_dump_work
  * fix0
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Patch7zCP updated
  * debug dumper: minor DUMPER.md fix
  * debug dumper: fix style and mistakes in DUMPER.md
  * debug dumper: more accurate single char/wchar_t handling
  * Merge pull request #9 from spnethw/debug_dump_work
  * debug dumper: Update DUMPER.md
  * debug dumper: Update DUMPER.md
  * debug dumper: dumper.md
  * debug dumper: minor
  * debug dumper: minor
  * debug dumper: add support for dumping binary data buffers
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: redesign the GetNiceThreadId() logic
  * debug dumper: refactor
  * Merge pull request #8 from spnethw/debug_dump_work
  * debug dumper: add (bitmask) flags support
  * Merge pull request #7 from spnethw/debug_dump_work
  * debug dumper: fix clang error for GetNiceThreadId() function
  * Merge pull request #6 from spnethw/debug_dump_work
  * debug dumper: optimize GetNiceThreadId() function
  * Merge pull request #5 from spnethw/debug_dump_work
  * uncomment cfg code
  * fix extracting symlinks
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: more renames according to CODESTYLE.md
  * debug dumper: style
  * debug dumper: minor renames
  * debug dumper: implement thread id logging
  * debug dumper: renames according to CODESTYLE.md
  * debug dumper: improve dumpv() optimization + arguments handling
  * сommented out in CMakeLists.txt
  * fix4
  * fix3
  * fix2
  * fix1
  * fix0
  * hello arclite
  * Merge pull request #4 from spnethw/debug_dump_dumpv
  * debug dumper: some more renames
  * debug dumper: DMSG wraps text in std::string to avoid trailing '\0'
  * debug dumper: rename some variables
  * debug dumper: replace strftime() with std::put_time()
  * debug dumper: ensure parsed names equal argument count in dumpv()
  * debug dumper: refactor + null pointer access handling + tiny
  * debug dumper: fix variable transfer ​​through DUMPV + tiny
  * debug dumper: handling of conversion errors
  * debug dumper: char/wchar_t arrays support + tiny refactor/fix
  * debug dumper: handling of conversion and null pointer access errors
  * debug dumper: add static arrays and iterable containers support
  * debug dumper: add DUMPV for vars only log + refactor + improvements
  * Merge pull request #3 from spnethw/debug_dump_handle_all_output_at_once
  * debug dumper: logging string buffers using (pointer, length)
  * debug dumper: add mutex
  * debug dumper: minor cleanup
  * debug dumper: refactor to handle all output at once
  * Merge pull request #1 from spnethw/debug_dump
  * debug dumper: escape special characters in strings
  * initial version of debug dump

 -- elfmz <fenix1905@tut.by>  Sun, 26 Oct 2025 11:39:52 +0300




 -- Kate <kate@tempergate.co.uk>  Sun, 26 Oct 2025 08:19:52 +0000

far2l-core (2.6.5-1) unstable; urgency=low

  * Bump version to 2.6.5
  * Del key now clears input in elevation dialog
  * Merge pull request #2701 from ctapmex/schemes-update
  * update changelog
  * colorer schemes v1.2.0.62
  * support paste from clipboard in elevation dialog (fix #2688)
  * Merge branch 'master' of github.com:elfmz/far2l
  * stricter unix socket servers permissions
  * Merge pull request #2700 from exkrexpexfex/master
  * Handling mulribyte characters on path abbreviation
  * refactor recent changes
  * yet more tweaks for libarchive detection under mac
  * wx: fix 1sec input reaction delay after adhoc text copying
  * Merge branch 'master' of github.com:elfmz/far2l
  * multiarc/libarch: check if unicode precomposed versions of names matching when comparing filenames for extraction (touch #2613 #2696)
  * Merge pull request #2695 from exkrexpexfex/master
  * Merge pull request #2694 from akruphi/show_uid_gid
  * fix (yet again) libarchive detection on macos
  * Setattr: ability to show "uname"/"gname" or "uid: uname"/"gid: gname"
  * Reapply VMenu filter on Show() if enabled
  * Merge pull request #2692 from spnethw/fix_2588_more_accurate_adjustment_of_LeftPos_in_Viewer
  * Merge pull request #2691 from akruphi/highlighting
  * fix #2588: more accurate adjustment of LeftPos in Viewer
  * Refactoring AddDupWrap() via StrSizeOfCells()
  * Add view by F3 with wrap long line of masks for "Groups of file masks"
  * Arrange elements of dialog "Highlight files - Marking" more logically
  * Files highlighting tuning after #2690
  * Merge pull request #2690 from akruphi/highlighting_def_use_groups
  * Merge pull request #2686 from ctapmex/ubuntu2004-deprecated
  * Merge pull request #2685 from ctapmex/colorer_up
  * Merge pull request #2684 from mitya57/screenshots
  * Merge pull request #2683 from unxed/revert
  * Show in Files highlighting brief dialog with file masks after expand all masks groups
  * new ExMessager::AddDupWrap() for dumb wrap long string
  * Use Mask Groups in defaults of Files highlighting
  * ci: change gcc7 build test
  * update changelog.md
  * Add screenshots also to the README
  * Add screenshots to AppStream metadata
  * fix base catalog search
  * sync colorer with upstream;
  * Revert #2643
  * Merge pull request #2631 from mitya57/metainfo
  * Merge pull request #2679 from spnethw/hlf_update_and_cleanup_4
  * Merge pull request #2681 from m32/master
  * Merge pull request #2678 from mitya57/gcc-15
  * Merge pull request #2682 from akruphi/readme
  * readme + minor
  * proper value
  * in sync with far
  * sending information about keys state should be invisible for marco recording
  * hlf: update and cleanup (4)
  * Add missing <cstdint> include for uint16_t, to fix build with GCC 15
  * Add AppStream metainfo file
  * Merge pull request #2627 from akruphi/changelog
  * Merge pull request #2676 from atolismesh/master
  * Merge pull request #2675 from m32/master
  * Merge pull request #2677 from akruphi/cosmetics
  * Cosmetics help & menu
  * refactoring, use runlike library to recover command line
  * refactoring and bugs
  * refactoring
  * missing loop
  * Fix issue #2668: Multiarc ignores archives if the archive file name does not have an extension - update arcread.cpp
  * refactoring
  * Merge pull request #2673 from akruphi/prevent_blinking
  * prevent blinking in attributes and flags dialogs
  * Merge pull request #2651 from Dazzar56/auto-locale-fix
  * Merge pull request #2671 from Syutkin/patch-1
  * actualization after 15-16 Feb
  * Fix copy/paste AWSSDK_FOUND
  * Merge pull request #2621 from versus-13/netrocks-awss3-plugin
  * Merge pull request #2656 from spnethw/setattr_bugfixes
  * Merge remote-tracking branch 'upstream/master' into auto-locale-fix
  * Merge pull request #2643 from unxed/homekey
  * Merge pull request #2633 from akruphi/fix2082
  * Merge pull request #2619 from spnethw/ConfigClassicHotkeyLinkResolving
  * Merge pull request #2669 from mitya57/fix-duplicate-line
  * Merge pull request #2649 from unxed/kitty_plus
  * build.yml: Remove duplicate libarchive-dev line
  * Merge pull request #2645 from unxed/xterm_shift_fix
  * Merge pull request #2667 from m32/master
  * Merge pull request #2626 from spvkgn/inside
  * try fix ci
  * TTY|F: fix clipboard access dialog missing repaints (fix #2634)
  * Enable C++17
  * Merge pull request #2650 from unxed/multiarc_fix
  * Merge pull request #2612 from spnethw/fix_2605_files_highlighting_and_sort_groups_bugs
  * Merge pull request #2614 from akruphi/misc
  * Update HACKING.md
  * using api for panels
  * utility functions
  * inadequate function name
  * api for editor functions
  * progressdialog
  * testing ID generator
  * using panel api class
  * handlink keditor input callback
  * Fix build on my system
  * can be open also in dialgs
  * correct function declaration
  * correct function declaration, api for panel functions
  * some functions from libc.so
  * python api for panel handling
  * keyboard state for full screen dialogs like hexeditor
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge branch 'kitty_plus' of https://github.com/unxed/far2l into kitty_plus
  * minor fix
  * inside: minor
  * Merge pull request #2620 from akruphi/size_column_width_revert_to_6
  * Merge pull request #2635 from michaellukashov/internal-command-line-improvements
  * Merge pull request #2624 from spnethw/config_cpp_supported_tweaks_fix_wrong_flag
  * Merge pull request #2637 from m32/master
  * Merge pull request #2652 from atolismesh/master
  * Merge pull request #2611 from peter15914/fix_clipboard_null_deref
  * Merge pull request #2610 from spnethw/hlf_update_and_cleanup_3
  * Merge pull request #2609 from akruphi/readme_help
  * Merge branch 'elfmz:master' into homekey
  * Merge branch 'elfmz:master' into xterm_shift_fix
  * Merge branch 'elfmz:master' into multiarc_fix
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge pull request #2600 from anta999/colortest2
  * SetAttr: fix recursive file attributes/flags changing
  * add info about Shift fix in vanilla PuTTY
  * Add AWS S3 protocol support to NetRocks plugin
  * SetAttr: fix recursive file owner changing + wrong group mark indicating
  * far:about: show PRETTY_NAME from /etc/os-release
  * some more fixes
  * misc and cleanup
  * Update NetRocks CMakeLists.txt
  * Update NetRocks lbnfs 6.0.x compatibility
  * VTMouse now resets previously released keys
  * vt mouse refactoring
  * far:about: more about build platform
  * one more fix
  * some more fixes
  * better following spec
  * comment
  * minor
  * cosmeitc
  * minor fixes, cosmetic
  * minor fixes, cosmetic
  * fix #2615
  * fix build
  * cosmetic
  * cosmetic
  * cosmetic
  * better kitty protocol support
  * Chattr / chflags: minor
  * improvement: internal command line: edit:file: view:file: take into account the presence of special character `~` (Home directory)
  * Shift+Letters are not working in xterm if it is started as xterm -fa 'Monospace' -fs 12 -xrm '*modifyOtherKeys:2' -xrm '*formatOtherKeys:1' this commit fixes that
  * Allow using Ctrl+' as an alternative to Ctrl+`
  * Add changelog only with significant changes as user-readable text
  * close dialog after mouse click
  * refactoring, save functionality
  * save logic on ESC
  * F5=goto
  * flags in popup
  * editing and saving the file, marking places for further work TODO
  * simpler position calculation, undo buffer
  * fix elements numbering
  * hex editor plugin - WIP
  * colors from far, cursor size,  validating goto,
  * removed references to debugpy which may not be installed
  * numbering elements, dialog without border
  * buffer is too big
  * describe new functionality
  * Fix #2082 A fix for overlapping menus with panels (from far2m)
  * changelog.md: fix typo
  * readme & help + arrange keys in menu
  * Add changelog only with significant changes as user-readable text
  * inside: Dynamic section
  * fix wrong flag check
  * hlf: update and cleanup (3)
  * Revert default of Size column to 6
  * Chattr / chflags dialog: warning if try symlink
  * Bring back symlink resolving via hotkeys, as in FAR2/3
  * Chattr / chflags dialog: add Reset button and more accurately changes in List
  * New Chattr / chflags dialog
  * rgb comments
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * minimized color parser
  * setattr (Ctrl-A) count devices + disable attributes/flags if was error
  * Save errno after flags operations
  * new function ExMessager::AddMultiline() & tuning after #2576
  * fix #2605: files highlighting and sort groups bugs
  * fix potential NULL dereference in clipboard.cpp
  * Merge pull request #2599 from unxed/iterm_fix
  * Merge pull request #2597 from mitya57/issue2596
  * Merge pull request #2594 from spnethw/hlf_and_lng_update_and_cleanup_2
  * Merge pull request #2602 from m32/master
  * Merge pull request #2604 from unxed/mac_numbers_fix
  * hlf & lng: update and cleanup (2)
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * copying files via clipboard - gnome files/nautilus is supported
  * clear up
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * move far colors to farcolors.ini
  * fixed iterm2 cursor shape esc sequences see https://iterm2.com/documentation-escape-codes.html
  * Rename far2l-wx.desktop → far2l.desktop
  * Rename far2l.desktop → far2l-tty.desktop
  * show all characters
  * Merge pull request #2590 from spnethw/hlf_and_lng_update_and_cleanup
  * Merge pull request #2592 from unxed/comment_fix
  * Merge pull request #2591 from Dazzar56/auto-locale-fix
  * - removed irrelevant comment (it was screen tool related, not FreeBSD kernel console related) - added relevant comment (links to resources related to cursor shape modification escape sequences)
  * check was way too high :)
  * moved to the highest! also remove double call  setlocale()
  * moved locale check even higher
  * fix PANIC caused by ConfigOptSave() too early
  * fix incorrect interface locale on first render
  * hlf and lng: update and cleanup
  * Merge pull request #2583 from akruphi/qview_crash_fix2581
  * Merge pull request #2586 from akruphi/size_column
  * Merge pull request #2589 from m32/master
  * Merge pull request #2582 from spnethw/fix_2581_far2l_crash_in_quick_view_when_try_show_broken_symlink
  * Merge pull request #2580 from spnethw/netrocks_hlf
  * Merge pull request #2577 from akruphi/link_in_menu
  * Merge pull request #2576 from unxed/osc52prompt_ru
  * Merge pull request #2573 from mitya57/wx-desktop-files
  * WX: add as custom draw unicode range 1fb00 1fb3b; refactor
  * position in dialog, selected character and its unicode value
  * log.exception requires message
  * unused variables, prevoius label
  * Merge branch 'master' of github.com:m32/far2l
  * version with VBuf
  * old version
  * assign parameters to variables
  * Calc width taking into account also SymLinkNames
  * minor
  * Make #2452 feature with adjust column width to text more customizable
  * Adjust column width to "folder" text only if in mode it width = 0
  * Fix qview crash on broken symlinks
  * fix #2581: Far2l crash in Quick view when try show broken symlink
  * NetRocks: add Russian hlf + minor fixes in English hlf
  * refactoring
  * Merge branch 'elfmz:master' into master
  * Link item in File menu (backport from far3)
  * - auto select Russian language if system locale is ru_RU on first start - show Getting Started and OSC52 confirmation in Russian in such cases
  * Merge pull request #2575 from unxed/wiki_help
  * Add a link to community wiki to Getting Started help topic.
  * Merge pull request #2572 from unxed/cursors
  * Merge pull request #2569 from michaellukashov/minor-fix-typos
  * Merge pull request #2570 from mitya57/source-date-epoch
  * Merge pull request #2568 from michaellukashov/fix-help-current-path-info
  * Add System and FileTools categories to far2l desktop files
  * Use separate desktop files for TTY and GUI versions
  * Merge branch 'elfmz:master' into cursors
  * better cursor shaping support
  * Add support for SOURCE_DATE_EPOCH environment variable
  * Merge branch 'elfmz:master' into master
  * minor: Fix typos
  * minor: .hlf.m4: fix info about "Current Dir"
  * VT: reset _focus_change_expected upon command completion
  * Merge pull request #2567 from elfmz/tty-focus
  * Update keyboard.cpp
  * Update vtshell_ioreaders.h
  * Update vtshell_ioreaders.cpp
  * Update vtshell.cpp
  * Update vtansi.cpp
  * Update IVTShell.h
  * Update wxMain.cpp
  * Update TTYOutput.cpp
  * Update TTYInputSequenceParser.h
  * Update TTYInputSequenceParser.cpp
  * Update TTYBackend.h
  * Update TTYBackend.cpp
  * Merge pull request #2566 from elfmz/fix-new-nfs
  * fixing build with recent libnfs
  * Merge pull request #2564 from unxed/konsole_fix
  * Merge pull request #2565 from akruphi/infolist_editorconfig
  * Merge branch 'elfmz:master' into master
  * Show EditorConfig block in Info panel
  * Konsole 24.12 / KDE Plasma 6.2.4 / X11 generates \x1b[[E on F5
  * Merge pull request #2560 from spnethw/far2l_help_corrections
  * far2l hlf: add few cross references
  * far2l hlf: special commands, ui backends, panel view modes, env. vars
  * Merge pull request #2558 from akruphi/osc52_welcome_explain
  * revert back use of target-independent icu for ICU_MODE=BUILD
  * rewrite English
  * More details about OSC52 at 1st run
  * Merge pull request #2556 from michaellukashov/fix-optional-ability-to-use-icu
  * Merge pull request #2552 from spnethw/tmppanel_refactoring
  * tmppanel: remove unused isDevice() function
  * improvement: optional ability to use icu available on build system or target
  * hlf: add info regarding "open panel from output" feature
  * tmppanel: update lng and hlf
  * tmppanel: remove unnecessary function FormNtPath()
  * tmppanel: refactor FindListFile()
  * tmppanel: let jumping to file by Ctrl+PgUp on its own in normal mode too
  * tiny code cleanup
  * tmppanel: tiny refactor of OpenPluginW function
  * tmppanel: use Unicode string functions instead of aliases
  * tmppanel: replace TCHAR with wchar_t
  * tmppanel: replace the _T(x) macro with the L prefix
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2550 from akruphi/readme
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * readme
  * Merge pull request #2546 from akruphi/readme
  * NR/SCP/SHELL: workaround for "domains" word between user and group (#2545), improve prev fix
  * readme minor
  * readme minor
  * readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2544 from akruphi/misc
  * Merge branch 'elfmz:master' into master
  * minor correction
  * NR/SCP: try to handle situation when busybox is used but not present in PATH (touch #2524)
  * Yet more customization via menu/dialogs after #2452
  * Minor after #2542
  * Merge pull request #2543 from spnethw/netrocks_fix_incorrect_password_parsing_in_splitlocationspecification
  * NetRocks: fix incorrect password parsing in SplitLocationSpecification()
  * Merge pull request #2539 from spnethw/tmppanel_tweak_open_execute_logic_in_showmenufromlist
  * Merge pull request #2542 from omilevskyi/fix/ConsoleInput
  * Merge pull request #2540 from akruphi/misc
  * Merge branch 'icu_mode'
  * WinPort: remove not used anymore GetTempFileName and GetFullPathName
  * refactor FarMkTempEx
  * optional ability to use icu available on build system or target
  * WinPort/src/ConsoleInput.cpp: fix crash when dot is pressed in cyrillic layout
  * Merge pull request #2541 from exkrexpexfex/master
  * Crash on concurrent access to plugin info
  * new flag in EXECUTEFLAGS to run command in external terminal
  * tmppanel: added keyboard shortcut help in ShowMenuFromList()
  * README: update about far2l-wx in Ubuntu
  * Update main.cpp
  * tmppanel: tweak open/execute logic in ShowMenuFromList()
  * Merge pull request #2538 from exkrexpexfex/master
  * Count symlinks as files
  * Merge pull request #2510 from spnethw/fix_ctrl_add_alt_add_processing
  * Merge pull request #2536 from spnethw/allow_double_quotes_in_filenames
  * fix recent refactor
  * refactor recent changes
  * Merge pull request #2528 from unxed/tty_notif
  * Merge pull request #2529 from unxed/osc52prompt
  * Merge pull request #2535 from exkrexpexfex/master
  * Merge pull request #2511 from akruphi/help_after_2452
  * Merge pull request #2520 from anta999/colortest2
  * Merge pull request #2533 from spnethw/tmppanel_fixes_improvements_refactoring
  * Merge pull request #2525 from unxed/nopcre
  * Merge branch 'master' into nopcre
  * Merge pull request #2523 from ctapmex/colorer-schemes-update
  * Merge pull request #2522 from ctapmex/colorer_sync
  * Merge pull request #2515 from ctapmex/ci_update
  * Explicit SSH algorithms options
  * User Menu: use also numpad in Ctrl+Up/Down + typo in help (.Ini->.ini)
  * consts from ffic
  * inside thread
  * references
  * next sizer
  * history in TEXT
  * tmppanel: don't check exit code to avoid discarding partial output
  * Allow creation and saving-as filenames containing double quotes
  * tmppanel: minor
  * Explicit SSH algorithms options
  * tmppanel: selection remains on the host file after closing the panel
  * tmppanel: fix file copying between panels (from FarManager/ce6e0dd)
  * tmppanel: some code clean up, remove unnecessary defines
  * tmppanel: (re)load options when list file is opened from panel by Enter
  * tmppanel: GetFileInfoAndValidate() minor refactoring
  * Typo
  * tmppanel: refactor GetFileInfoAndValidate()
  * tmppanel: minor refactor
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement ShellExecute in ShowMenuFromList()
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement OpenPanelFromOutput
  * tmppanel: fix #2518 (missing null-terminator) + minor optimization
  * More compact Panel settings dialog + move marks features to subdialog
  * Prompt user to allow/disallow OSC52 usage on first run if this option is available in current environment
  * basic system tray notifications support. planned to also add ESC sequences for kitty and iTerm2, but do not understand how to send them from here
  * removed all traces of pcre
  * Removed PCRE library support
  * Add possibility customize new #2452 features from Panel dialog
  * colorer schemes v1.2.0.57
  * sync colorer with upstream;
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * fix #2517 и fix #2518
  * Merge branch 'elfmz:master' into master
  * disable build on push to master for forks
  * explicitly install python dependencies
  * hide the tag search error in git
  * disable warn developer message from cmake
  * use gcc-7 and clang-7 as minimal version of compilers
  * Merge pull request #2512 from spnethw/tmppanel_fix_menu_from_file_list_crash
  * inside: Mach-O
  * Yet more after #2452
  * Yet more after #2452
  * tmppanel: fix PANIC-PANIC crash in menu from file list
  * Help: minor
  * Another Help after #2452: Groups of file masks (from far2m help)
  * Help after #2452 + names for default highlighting groups + trim by "..." long in name column
  * Fix CtrlAdd/AltAdd in consistency with full view mode (LeftCtrl-3)
  * Merge pull request #2507 from akruphi/hilight_order
  * Merge pull request #2509 from spvkgn/inside
  * Merge pull request #2452 from anta999/colortest2
  * inside: add png, ogg, m4a
  * inside: add PE format
  * Merge pull request #2508 from exkrexpexfex/master
  * Crash on overflow when searching in a large file
  * Fix order of default Highlight for processing combined cases
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * fix incorrect chars typed instead of numbers in some cases on macs
  * sync with master
  * Merge branch 'elfmz:master' into master
  * ProcessName casesens fix
  * merge conf
  * mini fix
  * background screen (ctrl+o) splitted into lines
  * MaskGroup updated
  * fixed #2461 Garbage in the terminal + DirCfg Dialog Update
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * all fixed + dircfg dialog
  * ctrl+m select attr string style
  * fix mark inherit
  * conflict
  * update highlight
  * merge conflict
  * hold on

 -- elfmz <fenix1905@tut.by>  Sun, 30 Mar 2025 22:00:17 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.7.0-1) unstable; urgency=low

  * Merge pull request #3016 from tempergate/master
  * some versioning fixes
  * Update far2lOverlays.nix
  * fix hexitor crash (fix #3015)
  * Bump version to 2.7.0
  * some fixes
  * readme: move far2lOverlays.nix to packaging/NixOS
  * fix changelog.md autoversioning
  * move far2lOverlays.nix to packaging/NixOS
  * Merge pull request #3011 from m32/master
  * Merge pull request #3013 from mitya57/remove-vpython3
  * fix build under old macos
  * Remove vpython3 shebangs
  * Merge pull request #3009 from akruphi/hexitor
  * Merge pull request #2998 from spnethw/desktop-fix
  * Merge pull request #3005 from tempergate/master
  * Merge pull request #3007 from spnethw/openwith_plugin
  * Merge pull request #3003 from unxed/help_update
  * Merge pull request #3010 from tempergate/patch-4
  * useless code, CTRL+TAB workt without it
  * OpenWith: refactor; significantly speed up bulk file processing
  * proper order of checks
  * forward keys to framemanager
  * forward keys to framemanager
  * Update README.md
  * Update README.md
  * Update README.md
  * added Note about use Wayland and OSC 52 under Wayland
  * hexitor - minor: "Screen" label for F12 and help improvement
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * minor
  * minor
  * Fixed several problems found by @russiandesman
  * minor
  * minor
  * Help refinement WIP, 2/n, en and ru sync, Windows artifacts removal
  * Major help refactoring. 1/n, en
  * replace %U with %F in Exec= keys of .desktop files
  * Merge pull request #2997 from akruphi/readme
  * trying fix non-latin input (touch #2995 )
  * readme
  * Merge pull request #2980 from exkrexpexfex/vs16
  * Merge pull request #2986 from unxed/vt_lines_fix
  * fix Ctrl+O in editor etc (fix #2992)
  * Merge pull request #2995 from unxed/ibus_workaround_fix
  * Merge pull request #2987 from spnethw/openwith_plugin
  * Merge pull request #2993 from akruphi/misc
  * Merge pull request #2991 from m32/master
  * Made detection of IME events more precise
  * OpenWith: lazily cache MIME types to improve F3 dialog performance
  * OpenWith: more robust multi file aware app detection
  * OpenWith: don't filter multi file aware apps
  * OpenWith: help files style
  * OpenWith: help and localization minor fixes
  * Misc refactoring - Fix some PVS-Studio warnings (from far2m)
  * hilight: make "Hardlinks > 1" disabled by default
  * far:about: more accurate show win size
  * OpenWith: rearrange localized messages
  * OpenWith: show OnlyShowIn/NotShowIn in Details; minor help update
  * not used
  * implemented save_as Shift+F2 in editor
  * OpenWith: add "Disable ranking (sort alphabetically)" XDG option
  * OpenWith: minor
  * OpenWith: minor
  * OpenWith: add "Confirm opening if file count exceeds..." option
  * Fix #2981
  * Handling Zero Width Joiner
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2985 from barracuda156/macos
  * OpenWith: follow-up for macOS < 10.10
  * Merge pull request #2984 from barracuda156/arclite
  * arclite: define __STDC_FORMAT_MACROS prior to including inttypes.h
  * Merge pull request #2978 from spnethw/openwith_plugin
  * Merge pull request #2979 from Mi-Walkie-Talkie-by-Darkhorse/arclite-bugfix
  * Merge pull request #2983 from barracuda156/macos
  * OpenWith: fix build on macOS < 11 and with gcc
  * Handling emoji presentation sequence
  * OpenWith: more configurable MIME type extension
  * Merge branch 'elfmz:master' into master
  * Use correct 64-bit values formatting
  * Use UInt64 data type for file position related values
  * OpenWith: added option to load MIME type subclasses
  * Merge pull request #2973 from spnethw/openwith_plugin
  * OpenWith: some simplifications
  * OpenWith: added the ability to select multiple files
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2966 from ctapmex/build_warnings
  * warning from clang-20
  * arclite: fix warnings
  * hexitor: clang warn
  * hexitor: remove unused variable
  * fix gcc warn for unknown arg
  * Merge pull request #2970 from ctapmex/colorer
  * Merge pull request #2967 from ctapmex/ci
  * update colorer schemes
  * fix "select region"
  * workflow: add gcc 15
  * workflow: add clang-20 build
  * Merge branch 'elfmz:master' into master
  * workflow: add macos 15
  * workflow: update excludes
  * fix #2961
  * Merge pull request #2962 from unxed/hexitor
  * Merge branch 'elfmz:master' into master
  * minor fixes
  * Merge pull request #2963 from akruphi/hexitor
  * Merge pull request #2964 from spnethw/openwith_plugin
  * OpenWith: settings dialog is now accessible from the app selection menu
  * [hexitor] revert in Find dialog hex mask and history for other fields
  * Add UTF-8 cursor movement, correct character editing, and better highlighting support in Hexitor
  * Merge pull request #2957 from akruphi/info
  * Merge pull request #2958 from exkrexpexfex/multibeauty
  * Carraige return for multiline commands
  * Info
  * Merge pull request #2956 from spnethw/openwith_plugin
  * OpenWith: more accurate and spec-compliant launch command construction
  * OpenWith: adapt "Details" dialog (F3) width to the far2l window width
  * file not used
  * Merge pull request #2955 from m32/master
  * color is 64-bit long - for save/restore SetULL/SetULL should be used
  * Merge pull request #2953 from akruphi/from_far2m
  * Merge pull request #2951 from m32/master
  * Misc refactoring (from far2m)
  * stop using instance data when close dialog was executed
  * preserve color settings when dialog is cancelled
  * Merge pull request #2949 from m32/master
  * Merge branch 'elfmz:master' into master
  * handle esc key as cancel operation
  * mouse wheel as scroller
  * fix #2945
  * Merge pull request #2948 from unxed/hex-utf8
  * proper utf8 input
  * cosmetic
  * Merge pull request #2946 from unxed/hex-utf8
  * basic utf-8 support
  * Merge pull request #2944 from tempergate/master
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Merge branch 'master' of github.com:elfmz/far2l
  * make CmdLine::ShowBackground to paint directly into ScrBuf
  * Merge pull request #2943 from unxed/cosmetic
  * fix some possible flickering reasons (touch #2937)
  * a more correct formulation
  * Merge pull request #2942 from akruphi/changelog
  * Merge pull request #2936 from akruphi/from_far2m
  * Merge pull request #2930 from unxed/xubuntu_cyr
  * Merge pull request #2940 from unxed/viewer_home
  * changelog: added vt improvements info
  * Merge pull request #2905 from Dazzar56/new_color_settings
  * Merge pull request #2935 from akruphi/farabout_ibus
  * Merge pull request #2938 from unxed/fix_osc52_read
  * Merge pull request #2928 from spnethw/openwith_plugin
  * cosmetic and minor optimization
  * Reset search position to the beginning of a file on Home key press
  * OpenWith: more UI tweaks
  * Fix clipboard erasure on OSC52 read attempt
  * OpenWith: minor UI tweaks
  * OpenWith: improve mime type aliases logic
  * keyboard.cpp - Fix some PVS-Studio warnings (from far2m)
  * OpenWith: add MIME type aliases support
  * far:about: show typical ibus environment variables
  * cosmetic
  * Fixed cyrillic input on xubuntu with ibus active Fixes #2929
  * OpenWith: show associations source; improve the ranking algorithm; fixes
  * Merge pull request #2923 from m32/master
  * better keyboard handling.
  * Merge pull request #2926 from Mi-Walkie-Talkie-by-Darkhorse/arclite-uclibc
  * Make arclite plugin compatible with uClibc-ng
  * hexitor as a non-modal dialogue
  * default color for overflow arrow
  * sane default colors for menu prefix
  * Merge pull request #2916 from spnethw/openwith_plugin
  * Merge pull request #2917 from exkrexpexfex/master
  * fix crash in VTLog in debug builds (wich STL checked containers
  * Avoid errors on multiline paste execution due to trailing empty lines
  * OpenWith: improve CheckExecutable()
  * OpenWith: fix missing command line escaping in the macOS implementation
  * Merge branch 'master' of github.com:elfmz/far2l
  * fixing #2909
  * Merge pull request #2915 from akruphi/readme
  * Merge pull request #2912 from spnethw/openwith_plugin
  * Merge pull request #2910 from akruphi/farabout_scrxy
  * Readme - correction about ppa
  * OpenWith: help update
  * far:about: show ScrX and ScrY
  * Merge pull request #2908 from anta999/bigfix
  * some fixes for attribues (touch #2906)
  * A version too
  * Fixed: non-working panel plugins on Big Endian.
  * Merge pull request #2904 from spnethw/openwith_plugin
  * Merge pull request #2907 from akruphi/openwith_plugin_help
  * OpenWith: new help section with tips
  * disable debug logging
  * VT: history log now limited by memory usage instead of lines count, also log lines kept in compressed form in memory
  * add config for menu prefix and edit OverflowArrow
  * OpenWith: more accurate Exec parsing; show MIME type if app not found
  * Merge pull request #2902 from exkrexpexfex/tahoe
  * Fix crash on startup on macOS 26 Tahoe
  * Merge pull request #2901 from anta999/bigfix
  * fix memleak and cursor position glitches on resize
  * J
  * Merge branch 'master' of github.com:elfmz/far2l into bigfix
  * conflict fix
  * minor tweaks for #1099
  * Big endian colors fix
  * Merge pull request #2894 from m32/non-modal-dialog
  * Merge pull request #2878 from m32/master
  * Merge pull request #2897 from spnethw/openwith_plugin
  * Merge pull request #2898 from exkrexpexfex/overfix
  * minor
  * refactor for #1099
  * Merge pull request #2899 from unxed/hightlight_crash_fix
  * minor
  * Fixed some more crashes
  * OpenWith: various optimizations & style
  * Fixed crash
  * No text overflow marks for fixed length edit controls
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * minor
  * Merge pull request #2896 from unxed/cyr_kb_fix
  * rm unneeded
  * refactor and some fixes for #1099
  * OpenWith: refactor; help update
  * Use VK_NONAME instead of 0 to fix cyrillic input on Mint 21 and in some other setups. Fixes #2895
  * backward compatible with the API, not with the feature list in farplug-mb.h
  * prevent flickering due to ShowBackground
  * Merge pull request #2876 from akruphi/openwith_plugin
  * Merge pull request #2893 from akruphi/version
  * Merge pull request #4 from spnethw/openwith_plugin
  * OpenWith: refactor
  * Merge branch 'non-modal-dialog' of github.com:m32/far2l into non-modal-dialog
  * I forgot about this file
  * vorget to commit
  * non modal dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge pull request #3 from spnethw/openwith_plugin
  * OpenWith: some optimizations
  * Add Command line switch --version
  * Merge pull request #2 from spnethw/openwith_plugin
  * Revert "OpenWith: minor"
  * more fixes for #1099
  * Merge pull request #1 from spnethw/openwith_plugin
  * OpenWith: minor
  * OpenWith: merge Linux/BSD app providers into XDGBasedAppProvider
  * VT: more fixes for #1099
  * todo less
  * Merge pull request #2 from anta999/addgetcolor
  * Merge pull request #1 from unxed/hexitor
  * some simplifications yet fixes (touch #1099)
  * some fixes and refactor in back screen save
  * improve background screen save/restore
  * dont lose things
  * fix artifacts in editor
  * OpenWith: hot keys in dialogs + Launch button in details dialog
  * cosmetic
  * Merge pull request #2863 from unxed/work_better_without_ime
  * Merge pull request #2866 from m32/master
  * Merge branch 'master' into master
  * Merge pull request #2858 from exkrexpexfex/master
  * Merge pull request #2862 from exkrexpexfex/dialogseditoverflow
  * Merge pull request #2864 from exkrexpexfex/nrctrlenter
  * Merge pull request #2865 from exkrexpexfex/cmdeditesc
  * Merge pull request #2869 from spnethw/openwith_plugin
  * Merge pull request #2868 from unxed/kitty_locks
  * Merge pull request #2856 from akruphi/hist_except_only4cmd
  * Merge pull request #2871 from exkrexpexfex/littlebig
  * Merge pull request #2874 from barracuda156/apple
  * improvements for #1099
  * add missing semicolon->colon trick parts
  * fix colors in log
  * alternative solution for #1099
  * add new OpenWith plugin
  * Adjust colors for big-endian
  * displaynotify.mm: add a fallback to fix build on < 10.8
  * Use -fobjc-arc only with Clang
  * Fix -force_load flag on macOS
  * Allow using pre-defined wx config on macOS
  * Add GetColor to PluginAPI
  * proper codepage conversion
  * proper source codepage when converting to utf-8
  * proper return value
  * According to the spec, we should report num and caps always
  * Merge branch 'master' of github.com:m32/far2l
  * info about new plugin - hexitor
  * Fixed Russian charset. This file should have been converted as CP1251->UTF8, not CP1252->UTF8
  * Merge pull request #83 from m32/master
  * utf8 encoding
  * fix utf-8 encoding
  * include and enable hexitor in main build
  * hexitor inside main repo
  * Merge branch 'master' of github.com:m32/far2l
  * ported hexitor from far3
  * Update README.md
  * open escaped path with edit: and view: via cmdline
  * Always prepend filename with ./ whe pasting to cmd line
  * Do not lose virtual key code while handling KeyDown events with IME disabled
  * fix rendering of delete confirmation for long filenames with wide chars
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * fix dropdown menu rendering artifacts on wide chars
  * Show » « symbols when edit text overflows
  * Add support for pasting and executing multiline commands
  * Exceptions apply only to command history
  * Merge pull request #2855 from spnethw/dumper-updates
  * Merge pull request #2854 from exkrexpexfex/cmdblanks
  * debug dumper: stacktrace minor fixes, improvements and refactor
  * Treat whitespace-only input as empty in command line
  * Merge pull request #2849 from exkrexpexfex/netrocks
  * Merge pull request #2845 from anta999/arclite2
  * Merge pull request #2847 from exkrexpexfex/1
  * Merge pull request #2846 from exkrexpexfex/master
  * Merge pull request #2850 from exkrexpexfex/macsamba
  * Merge pull request #2853 from exkrexpexfex/relnbrk
  * panel update fix
  * Line breaks in regex replacement
  * netroks: enable smb on macOS
  * No prompt opening remote directories from folders history
  * multiarc: unrar 7.13
  * multiarc: unrar 7.13
  * fix mouse selection beyond left border of an edit
  * fix
  * conflict
  * bug fix, more logs
  * Merge branch 'master' of github.com:elfmz/far2l
  * refactor recent changes
  * Merge pull request #2844 from spnethw/dumper-updates
  * debug dumper: cosmetic
  * debug dumper: add atos for macOS; improve command grouping; refactor
  * minor improvement for crash.log
  * Merge branch 'master' of github.com:elfmz/far2l
  * remove temporary change
  * Merge pull request #2842 from exkrexpexfex/master
  * Merge pull request #2841 from akruphi/changelog
  * crash.log improvements: better symbols, input backtrace
  * proper magic constants for 32 bit FNV-1a hash
  * Merge pull request #2838 from spnethw/dumper-stacktrace
  * debug dumper: minor
  * debug dumper: add stacktrace support and update DUMPER.md
  * changelog after #2840
  * Merge pull request #2840 from exkrexpexfex/master
  * multiarc: 7zip 25.01
  * multiarc: 7zip 25.01
  * Merge pull request #2833 from akruphi/arclite
  * Merge pull request #2835 from unxed/fix_alt_enter
  * Merge pull request #2836 from ctapmex/optimize-logging
  * update changelog
  * fix read hex params
  * optimize background process
  * update FarColorer logger
  * update colorer library
  * Arclite: type & chain in PluginInfo (for Info Panel) + help
  * Now multiple Enter presses while holding Alt work correctly
  * Fix unneeded Alt+Enter triggering then using quick search (fixes #2834)
  * ctrl+pgdn
  * Always update Info panel when change directory inside plugin
  * Merge pull request #2821 from exkrexpexfex/master
  * Merge pull request #2829 from akruphi/minor
  * Merge pull request #2832 from anta999/arclite2
  * Merge pull request #2830 from spnethw/dumper-updates
  * Merge pull request #2828 from ctapmex/clean-build
  * debug dumper: update DUMPER.md
  * debug dumper: let's make it configurable; also some tiny fixes
  * fix2
  * fix
  * Add ability to revert through archive chain and fix bugs.
  * readme minor
  * use tabs; correct snprintf
  * fix warning for macos
  * fix python warning
  * fix clang warning
  * disable warning about unknown flags; add clang flags
  * disable warn for unrar
  * disable warn for smb plugin
  * disable warnings for scp plugin
  * change deprecated api
  * Merge pull request #2822 from ctapmex/arclite-res
  * Merge pull request #2826 from tempergate/master
  * Merge pull request #2824 from spnethw/dumper-updates
  * Merge pull request #2818 from anta999/arclite2
  * Merge pull request #2815 from ctapmex/crash-settings
  * Merge pull request #2811 from akruphi/actualization
  * Merge pull request #2817 from m32/master
  * mini fixes3
  * fix
  * more DEB open
  * fix3
  * fixes2
  * Merge branch 'elfmz:master' into master
  * Update README.md
  * Update far2lOverlays.nix
  * Merge branch 'elfmz:master' into master
  * several fixes
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Changelog, Readme, Help actualization
  * Merge pull request #2827 from ctapmex/colorer-schemes-update
  * update changelog
  * update license
  * update colorer schemes to 1.2.0.90
  * remove unused in far2l files from schemes
  * Update README.md
  * Update far2lOverlays.nix
  * Update README.md
  * Update README.md
  * Update README.md
  * Create far2lOverlays.nix
  * debug dumper: update DUMPER.md
  * debug dumper: file attributes and Unix mode decoding enhancement
  * Faster edit at the end of very large line
  * arclite: monitoring changes in auxiliary files;
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * more readable
  * Faster edit at the end of very large line
  * use letters for clarity
  * limited to letters
  * Fixed x86 build, symlinks in tar p7zip
  * Infinite file enum bug fixed
  * bring Ctrl-Q functionality back in editor
  * fix crash on close settings after change
  * Merge pull request #2810 from exkrexpexfex/master
  * Merge pull request #2670 from anta999/arclite2
  * Remaining issues on a line starting with zwsp
  * disabled by default
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Merge pull request #2809 from exkrexpexfex/master
  * multiarc: fix saving archiver switches
  * fixing freebsd cirrus
  * Merge pull request #2808 from exkrexpexfex/master
  * Settings list to configuration editor
  * Merge branch 'elfmz:master' into master
  * Settings list to configuration editor
  * Merge pull request #2807 from exkrexpexfex/master
  * Fix hotkeys for new menu items
  * Fix hotkeys for new menu items
  * Merge pull request #2806 from akruphi/NoGraphics_CheckMark
  * Merge pull request #2805 from spnethw/dumper-updates
  * fix build under macos elcapitan
  * Use '*' as checkmark in NoGraphics mode (-ag or -an)
  * debug dumper: minor changes to DUMPER.md
  * debug dumper: replace Russian comments with English translations
  * debug dumper: log boolean values using alphanumeric format
  * debug dumper: replace std::codecvt_utf8 with Wide2MB()
  * Merge pull request #2798 from tempergate/patch-2
  * Merge pull request #2803 from akruphi/cmdhist_opts
  * Merge pull request #2799 from rampitec/fix-title-overflow-in-viewer
  * Merge pull request #2802 from ctapmex/copy_py
  * Merge pull request #2795 from akruphi/fix_ma
  * Merge pull request #2796 from exkrexpexfex/master
  * Merge pull request #2797 from tempergate/patch-1
  * Actions recorded in Commands History configurable in AutoComplete & History dialog
  * Update trash.sh
  * monitoring changes in auxiliary files;
  * Merge pull request #2800 from m32/master
  * Merge pull request #2801 from ctapmex/fix_cross
  * Update README.md
  * fix draw cross
  * changelog update after July 5-6 mergers
  * Merge branch 'elfmz:master' into master
  * search/replace in editor after (Ctrl|Alt|Shift)+F3
  * after installing plugin can be opened like uedreplace
  * sort on any column
  * fix undefined variable
  * Fix title overlow in disabled viewer support code. NFC.
  * Update trash.sh
  * Update trash.sh
  * Update README.md
  * Update trash.sh
  * explanation supported trash tools
  * verbose logging for libssh2
  * Fix ma due github CodeQL warning
  * Merge pull request #2793 from ctapmex/custom_base
  * Merge pull request #2790 from mitya57/wx-icons
  * Merge pull request #2788 from mitya57/no-links-in-metainfo
  * Merge pull request #2792 from exkrexpexfex/master
  * update changelog
  * add attribute 'global' for internal packages;
  * fix typo
  * update help about logging
  * update help files
  * optimize and fix memory leak
  * update lang and help files
  * new setting - user hrs settings file
  * set order for load colorer base
  * use core methods for settings load
  * fix build on new lib
  * update colorer lib
  * Visual glitches on a line starting by zwsp
  * README: Add icons to the backends table
  * Add separate icons for WX versions of far2l and far2ledit
  * Merge pull request #2783 from zoomosis/fix-missing-header
  * Visual glitches on a line starting by zwsp
  * Merge pull request #2789 from exkrexpexfex/master
  * Merge pull request #2787 from ctapmex/colorer-schemes
  * Merge pull request #2786 from takacsd/Fix_AWS
  * Merge pull request #2782 from akruphi/misc
  * Merge pull request #2768 from unxed/macro_keys_fix
  * Merge pull request #2791 from mitya57/update-manpages
  * version_bump_patch.sh: Update version and date in the man pages
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * generate_metainfo: Remove links, keep only their text
  * update far2l changelog
  * colorer schemes v1.2.0.76
  * Remove size calculation for folders.
  * Implement AWS pagination.
  * Fix nomacro
  * Correct Y1 in Message() to favor higher positioning (from far2m)
  * Add missing header file. Fixes the build using Xcode 14 on MacOS.
  * Refactoring (from far2m)
  * help minor
  * Merge pull request #2778 from akruphi/help
  * fix clipboard confirmation not painted (fix #2777)
  * help minor
  * attempt to fix xlat (touch #2632 )
  * Update macro.cpp
  * Merge branch 'elfmz:master' into macro_keys_fix
  * Merge pull request #2774 from akruphi/from_far2m
  * Merge pull request #2772 from akruphi/MacroKeysConfig
  * Merge pull request #2776 from spnethw/fix_2775_far2l_crash_vertical_block_selection
  * Merge pull request #2765 from exkrexpexfex/dark
  * Merge pull request #2764 from exkrexpexfex/master
  * Merge pull request #2763 from Dazzar56/master
  * Merge pull request #2762 from unxed/win32-input-debug
  * Merge pull request #2760 from akruphi/readme
  * Panel modes can be changed from "Edit panel modes" menu (from far2m & Far3) and Add the "Reset" button to the panel mode edit dialog  from: https://github.com/shmuz/far2m/commit/fd58e0a9b8feeef677969b4d7ec615dd7eec9eb2  & https://github.com/shmuz/far2m/commit/959ee02f4a0cfe93bff384174299c180c2d346e3
  * fix 2775: far2l crashes when attempting to select a vertical block
  * help
  * Macro Keys configurable via ini-file or far:config (from far2m & far3)
  * cosmetic
  * Recognize Ctrl+Dot with Shift also. Fixes #2767
  * Renaming black and white to dark
  * macOS WX: junk control chars on Ctrl-Q
  * group "src" was split to "<build>,<cfg>,<code>"
  * added new group for configuration files
  * update default mask groups
  * sync with far3
  * readme & changelog actualization
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * F_ASYNC removed
  * Added debug message
  * Merge pull request #2660 from Dazzar56/debug_dump
  * Merge pull request #2759 from akruphi/from_far2m
  * add far2l-cd.sh wrapper to enable external directory change to far2l's when it exit (touch #2758)
  * CheckShortcutFolder: refactorig, improve, remove legacy (from far2m)
  * Merge pull request #2736 from ujos/get_git_branch
  * cosmetic
  * cosmetic
  * cosmetic
  * TTY/revive: filter dead instances before showing list of "lost" far2l-s (touch #2601)
  * * Git branch: Removed dependency of LIBGIT2
  * + Added 'z' command prompt variable that returns the "{current git branch} " string
  * Merge pull request #2739 from ctapmex/cmake
  * Merge pull request #2750 from unxed/kittykb
  * Merge pull request #2751 from m32/master
  * Merge pull request #2754 from ctapmex/colorer-ref
  * refactoring
  * set editorinfo local, not global
  * refactoring
  * refactoring
  * change raw pointer
  * move settings to struct
  * move local variable from heap to stack; using std::array
  * init variables
  * some optimize
  * init class members
  * remove unused function
  * warn in CerrLogger
  * remove redundant cast
  * remove empty statement
  * reformat code
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix depends
  * monitoring changes in auxiliary files
  * set cmake version in root CMakeLists only
  * fix warning about Policy CMP0175
  * smal fixes
  * Switched back to using shifted key value if unshifted is undetectable, as recommented by spec author in https://github.com/kovidgoyal/kitty/issues/8620#issuecomment-2878530117
  * Merge pull request #2746 from akruphi/from_far2m
  * Refactoring
  * Merge pull request #2738 from ctapmex/pvs-warn
  * Merge pull request #2742 from unxed/kittykb
  * Merge pull request #2747 from unxed/fix_2744
  * Merge pull request #2748 from ctapmex/colorer-update
  * Merge pull request #2749 from ctapmex/colorer-truemod
  * use 57610 instead of 0 for unshifted key code if it can not be reliably determined. explained in comment. fixes #2743 (at least before we find better way)
  * cosmetic
  * final polishing based on recent github talks
  * better approach, cosmetic
  * Correct GetDialogTitle() (from far2m)
  * enable truemod since 8-bit console color palette
  * update changelog
  * colorer schemes v1.2.0.68
  * update colorer_lib
  * fix #2744
  * fixed a typo
  * - all set of us keyboard text input keys are now generate correct values in "base layout key" field (if far2l backend generates correct key events) - use more relevant value for cases then we can not determine virtual key code correctly - make code blocks sequence more logical - better debug messages - cosmetic
  * FAR API: fix crashing on invalid dialog coordinates (from far2m & Far3)
  * some fixes
  * Merge pull request #13 from spnethw/debug_dump
  * Update DUMPER.md: add output example
  * Our implementation of the Kitty protocol is still not fully compliant with the specification. One of the discrepancies was that when the Shift key was pressed, the unicode-key-code field contained values that didn't conform to the spec for all keys except alphabetic ones. After this commit, that field will contain 0 in such cases — which is not ideal, but still better than providing incorrect values. In any case, for character codes, applications should rely on the "shifted key" or "text-as-codepoints" fields that provide chars taking in mind Shift state, so this change should not affect real-world application behavior (tested it in the kitty mode of far2l and also in turbo).
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * add p7zip support
  * Excessive type casting: string -> char * -> string.
  * object was created but was not utilized
  * It is more efficient to seek character rather than a string.
  * Merge pull request #2737 from randolf/patch-5
  * Update WinPortMain.cpp
  * Update WinPortMain.cpp
  * Merge pull request #2734 from akruphi/from_far2m
  * Merge pull request #2735 from lieff/netrocks_changelog
  * mc fix
  * NetRocks: update chengelog
  * FAR API: add event DN_DROPDOWNOPENED (from far2m & Far3)
  * Don't allow moving cursor beyond combobox text (from far2m & far3)
  * Merge pull request #2732 from akruphi/fix_dialog_combobox_empty
  * Merge branch 'master' into fix_dialog_combobox_empty
  * Merge pull request #2725 from akruphi/tmppanel_groups
  * Merge branch 'master' into tmppanel_groups
  * Merge pull request #2733 from akruphi/infolist_tuning
  * Merge pull request #2730 from akruphi/cmd_remove_trailing_spaces
  * Merge pull request #2729 from lieff/netrocks_proxy_command
  * Merge pull request #2722 from exkrexpexfex/master
  * Merge pull request #2719 from unxed/wx327fix
  * Update infolist.cpp
  * Merge pull request #2713 from akruphi/readme
  * Merge pull request #2715 from m32/master
  * describe info about GNOME keybindings from https://github.com/elfmz/far2l/issues/2731
  * Fix crash when a plugin doesn't fill Text in combobox items (from far2m)
  * refactoring (from far2m)
  * revert last symbol only if odd number of symbols '\\'
  * describe Exclusively hotkeys Wayland problems
  * Remove trailing spaces from commands and commands history (from far2m)
  * NetRocks: add support of libssh SSH_OPTIONS_PROXYCOMMAND option
  * move to src dir
  * describe in help panel mode type character 'U' for group
  * tmppanel: show file groups
  * export GetFileGroup() to plugins
  * dateformat and def_button fix
  * bring changelog entry back
  * Revert "- try to fix #2714"
  * - try to fix #2714 - added changelog entry
  * Real cells count for correct extension alignment
  * fixes https://t.me/far2l_ru/42883
  * omitted change when refactoring
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Do not show update dialog when 7s.so is absent
  * conflict fix
  * add details about switches --x11 and --wayland in help and in man
  * simplification of installed files
  * simplification of installed files
  * readme minor
  * Merge pull request #2712 from exkrexpexfex/master
  * fix progress bar
  * Move cursor to the right on a line that starts with a non-printable character
  * Merge pull request #2709 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2708 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2704 from m32/master
  * Merge pull request #2706 from mitya57/version-bump-patch
  * Merge pull request #2707 from mitya57/cmake-minimum-required
  * Bump required CMake version to 3.5
  * version_bump_patch.sh: Also update changelog
  * logged text in case of failure
  * ClipboardAllocate should allocate as many bytes as the clipboard size, not one more. Then ClipboardSize used to allocate the destination buffer adds one byte to the buffer size
  * without manipulating the clipboard size
  * Merge pull request #2703 from mitya57/update-changelog
  * Merge pull request #2702 from yurikoles/macOS
  * changelog.md: Set release date for v2.6.5
  * ci: install macOS dependencies with brew bundle
  * doc: use current macOS marketing name
  * doc: actualize python version for brew formula
  * The patch is disabled by default, and the first patch method is disabled
  * Fixed process priority in ProgressMonitor
  * 128 to 64
  * Support for nested tar archives
  * fix err
  * fix stdf plugin order
  * Merge pull request #12 from spnethw/debug_dump_work
  * debug dumper: improve hex dump format
  * debug dumper: add std::pair support
  * debug dumper: improve DCONT backend
  * debug dumper: simplify static arrays support via ContainerWrapper
  * debug dumper: add static C++ arrays alongside STL containers
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix defaults
  * Merge pull request #11 from spnethw/debug_dump_work
  * config update
  * debug dumper: a few optimizations
  * debug dumper: minor
  * debug dumper: EscapeString() uses lookup table with lazy initialization
  * debug dumper: minor
  * fix9
  * add ver2
  * winport for cp
  * debug dumper: update FARString.cpp
  * debug dumper: refactor
  * debug dumper: implement direct containers support (including nested)
  * fix2
  * fix1
  * Merge pull request #10 from spnethw/debug_dump_work
  * fix0
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Patch7zCP updated
  * debug dumper: minor DUMPER.md fix
  * debug dumper: fix style and mistakes in DUMPER.md
  * debug dumper: more accurate single char/wchar_t handling
  * Merge pull request #9 from spnethw/debug_dump_work
  * debug dumper: Update DUMPER.md
  * debug dumper: Update DUMPER.md
  * debug dumper: dumper.md
  * debug dumper: minor
  * debug dumper: minor
  * debug dumper: add support for dumping binary data buffers
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: redesign the GetNiceThreadId() logic
  * debug dumper: refactor
  * Merge pull request #8 from spnethw/debug_dump_work
  * debug dumper: add (bitmask) flags support
  * Merge pull request #7 from spnethw/debug_dump_work
  * debug dumper: fix clang error for GetNiceThreadId() function
  * Merge pull request #6 from spnethw/debug_dump_work
  * debug dumper: optimize GetNiceThreadId() function
  * Merge pull request #5 from spnethw/debug_dump_work
  * uncomment cfg code
  * fix extracting symlinks
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: more renames according to CODESTYLE.md
  * debug dumper: style
  * debug dumper: minor renames
  * debug dumper: implement thread id logging
  * debug dumper: renames according to CODESTYLE.md
  * debug dumper: improve dumpv() optimization + arguments handling
  * сommented out in CMakeLists.txt
  * fix4
  * fix3
  * fix2
  * fix1
  * fix0
  * hello arclite
  * Merge pull request #4 from spnethw/debug_dump_dumpv
  * debug dumper: some more renames
  * debug dumper: DMSG wraps text in std::string to avoid trailing '\0'
  * debug dumper: rename some variables
  * debug dumper: replace strftime() with std::put_time()
  * debug dumper: ensure parsed names equal argument count in dumpv()
  * debug dumper: refactor + null pointer access handling + tiny
  * debug dumper: fix variable transfer ​​through DUMPV + tiny
  * debug dumper: handling of conversion errors
  * debug dumper: char/wchar_t arrays support + tiny refactor/fix
  * debug dumper: handling of conversion and null pointer access errors
  * debug dumper: add static arrays and iterable containers support
  * debug dumper: add DUMPV for vars only log + refactor + improvements
  * Merge pull request #3 from spnethw/debug_dump_handle_all_output_at_once
  * debug dumper: logging string buffers using (pointer, length)
  * debug dumper: add mutex
  * debug dumper: minor cleanup
  * debug dumper: refactor to handle all output at once
  * Merge pull request #1 from spnethw/debug_dump
  * debug dumper: escape special characters in strings
  * initial version of debug dump

 -- elfmz <fenix1905@tut.by>  Sun, 26 Oct 2025 11:39:52 +0300




 -- Kate <kate@tempergate.co.uk>  Sun, 26 Oct 2025 08:19:52 +0000

far2l-core (2.6.5-1) unstable; urgency=low

  * Bump version to 2.6.5
  * Del key now clears input in elevation dialog
  * Merge pull request #2701 from ctapmex/schemes-update
  * update changelog
  * colorer schemes v1.2.0.62
  * support paste from clipboard in elevation dialog (fix #2688)
  * Merge branch 'master' of github.com:elfmz/far2l
  * stricter unix socket servers permissions
  * Merge pull request #2700 from exkrexpexfex/master
  * Handling mulribyte characters on path abbreviation
  * refactor recent changes
  * yet more tweaks for libarchive detection under mac
  * wx: fix 1sec input reaction delay after adhoc text copying
  * Merge branch 'master' of github.com:elfmz/far2l
  * multiarc/libarch: check if unicode precomposed versions of names matching when comparing filenames for extraction (touch #2613 #2696)
  * Merge pull request #2695 from exkrexpexfex/master
  * Merge pull request #2694 from akruphi/show_uid_gid
  * fix (yet again) libarchive detection on macos
  * Setattr: ability to show "uname"/"gname" or "uid: uname"/"gid: gname"
  * Reapply VMenu filter on Show() if enabled
  * Merge pull request #2692 from spnethw/fix_2588_more_accurate_adjustment_of_LeftPos_in_Viewer
  * Merge pull request #2691 from akruphi/highlighting
  * fix #2588: more accurate adjustment of LeftPos in Viewer
  * Refactoring AddDupWrap() via StrSizeOfCells()
  * Add view by F3 with wrap long line of masks for "Groups of file masks"
  * Arrange elements of dialog "Highlight files - Marking" more logically
  * Files highlighting tuning after #2690
  * Merge pull request #2690 from akruphi/highlighting_def_use_groups
  * Merge pull request #2686 from ctapmex/ubuntu2004-deprecated
  * Merge pull request #2685 from ctapmex/colorer_up
  * Merge pull request #2684 from mitya57/screenshots
  * Merge pull request #2683 from unxed/revert
  * Show in Files highlighting brief dialog with file masks after expand all masks groups
  * new ExMessager::AddDupWrap() for dumb wrap long string
  * Use Mask Groups in defaults of Files highlighting
  * ci: change gcc7 build test
  * update changelog.md
  * Add screenshots also to the README
  * Add screenshots to AppStream metadata
  * fix base catalog search
  * sync colorer with upstream;
  * Revert #2643
  * Merge pull request #2631 from mitya57/metainfo
  * Merge pull request #2679 from spnethw/hlf_update_and_cleanup_4
  * Merge pull request #2681 from m32/master
  * Merge pull request #2678 from mitya57/gcc-15
  * Merge pull request #2682 from akruphi/readme
  * readme + minor
  * proper value
  * in sync with far
  * sending information about keys state should be invisible for marco recording
  * hlf: update and cleanup (4)
  * Add missing <cstdint> include for uint16_t, to fix build with GCC 15
  * Add AppStream metainfo file
  * Merge pull request #2627 from akruphi/changelog
  * Merge pull request #2676 from atolismesh/master
  * Merge pull request #2675 from m32/master
  * Merge pull request #2677 from akruphi/cosmetics
  * Cosmetics help & menu
  * refactoring, use runlike library to recover command line
  * refactoring and bugs
  * refactoring
  * missing loop
  * Fix issue #2668: Multiarc ignores archives if the archive file name does not have an extension - update arcread.cpp
  * refactoring
  * Merge pull request #2673 from akruphi/prevent_blinking
  * prevent blinking in attributes and flags dialogs
  * Merge pull request #2651 from Dazzar56/auto-locale-fix
  * Merge pull request #2671 from Syutkin/patch-1
  * actualization after 15-16 Feb
  * Fix copy/paste AWSSDK_FOUND
  * Merge pull request #2621 from versus-13/netrocks-awss3-plugin
  * Merge pull request #2656 from spnethw/setattr_bugfixes
  * Merge remote-tracking branch 'upstream/master' into auto-locale-fix
  * Merge pull request #2643 from unxed/homekey
  * Merge pull request #2633 from akruphi/fix2082
  * Merge pull request #2619 from spnethw/ConfigClassicHotkeyLinkResolving
  * Merge pull request #2669 from mitya57/fix-duplicate-line
  * Merge pull request #2649 from unxed/kitty_plus
  * build.yml: Remove duplicate libarchive-dev line
  * Merge pull request #2645 from unxed/xterm_shift_fix
  * Merge pull request #2667 from m32/master
  * Merge pull request #2626 from spvkgn/inside
  * try fix ci
  * TTY|F: fix clipboard access dialog missing repaints (fix #2634)
  * Enable C++17
  * Merge pull request #2650 from unxed/multiarc_fix
  * Merge pull request #2612 from spnethw/fix_2605_files_highlighting_and_sort_groups_bugs
  * Merge pull request #2614 from akruphi/misc
  * Update HACKING.md
  * using api for panels
  * utility functions
  * inadequate function name
  * api for editor functions
  * progressdialog
  * testing ID generator
  * using panel api class
  * handlink keditor input callback
  * Fix build on my system
  * can be open also in dialgs
  * correct function declaration
  * correct function declaration, api for panel functions
  * some functions from libc.so
  * python api for panel handling
  * keyboard state for full screen dialogs like hexeditor
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge branch 'kitty_plus' of https://github.com/unxed/far2l into kitty_plus
  * minor fix
  * inside: minor
  * Merge pull request #2620 from akruphi/size_column_width_revert_to_6
  * Merge pull request #2635 from michaellukashov/internal-command-line-improvements
  * Merge pull request #2624 from spnethw/config_cpp_supported_tweaks_fix_wrong_flag
  * Merge pull request #2637 from m32/master
  * Merge pull request #2652 from atolismesh/master
  * Merge pull request #2611 from peter15914/fix_clipboard_null_deref
  * Merge pull request #2610 from spnethw/hlf_update_and_cleanup_3
  * Merge pull request #2609 from akruphi/readme_help
  * Merge branch 'elfmz:master' into homekey
  * Merge branch 'elfmz:master' into xterm_shift_fix
  * Merge branch 'elfmz:master' into multiarc_fix
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge pull request #2600 from anta999/colortest2
  * SetAttr: fix recursive file attributes/flags changing
  * add info about Shift fix in vanilla PuTTY
  * Add AWS S3 protocol support to NetRocks plugin
  * SetAttr: fix recursive file owner changing + wrong group mark indicating
  * far:about: show PRETTY_NAME from /etc/os-release
  * some more fixes
  * misc and cleanup
  * Update NetRocks CMakeLists.txt
  * Update NetRocks lbnfs 6.0.x compatibility
  * VTMouse now resets previously released keys
  * vt mouse refactoring
  * far:about: more about build platform
  * one more fix
  * some more fixes
  * better following spec
  * comment
  * minor
  * cosmeitc
  * minor fixes, cosmetic
  * minor fixes, cosmetic
  * fix #2615
  * fix build
  * cosmetic
  * cosmetic
  * cosmetic
  * better kitty protocol support
  * Chattr / chflags: minor
  * improvement: internal command line: edit:file: view:file: take into account the presence of special character `~` (Home directory)
  * Shift+Letters are not working in xterm if it is started as xterm -fa 'Monospace' -fs 12 -xrm '*modifyOtherKeys:2' -xrm '*formatOtherKeys:1' this commit fixes that
  * Allow using Ctrl+' as an alternative to Ctrl+`
  * Add changelog only with significant changes as user-readable text
  * close dialog after mouse click
  * refactoring, save functionality
  * save logic on ESC
  * F5=goto
  * flags in popup
  * editing and saving the file, marking places for further work TODO
  * simpler position calculation, undo buffer
  * fix elements numbering
  * hex editor plugin - WIP
  * colors from far, cursor size,  validating goto,
  * removed references to debugpy which may not be installed
  * numbering elements, dialog without border
  * buffer is too big
  * describe new functionality
  * Fix #2082 A fix for overlapping menus with panels (from far2m)
  * changelog.md: fix typo
  * readme & help + arrange keys in menu
  * Add changelog only with significant changes as user-readable text
  * inside: Dynamic section
  * fix wrong flag check
  * hlf: update and cleanup (3)
  * Revert default of Size column to 6
  * Chattr / chflags dialog: warning if try symlink
  * Bring back symlink resolving via hotkeys, as in FAR2/3
  * Chattr / chflags dialog: add Reset button and more accurately changes in List
  * New Chattr / chflags dialog
  * rgb comments
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * minimized color parser
  * setattr (Ctrl-A) count devices + disable attributes/flags if was error
  * Save errno after flags operations
  * new function ExMessager::AddMultiline() & tuning after #2576
  * fix #2605: files highlighting and sort groups bugs
  * fix potential NULL dereference in clipboard.cpp
  * Merge pull request #2599 from unxed/iterm_fix
  * Merge pull request #2597 from mitya57/issue2596
  * Merge pull request #2594 from spnethw/hlf_and_lng_update_and_cleanup_2
  * Merge pull request #2602 from m32/master
  * Merge pull request #2604 from unxed/mac_numbers_fix
  * hlf & lng: update and cleanup (2)
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * copying files via clipboard - gnome files/nautilus is supported
  * clear up
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * move far colors to farcolors.ini
  * fixed iterm2 cursor shape esc sequences see https://iterm2.com/documentation-escape-codes.html
  * Rename far2l-wx.desktop → far2l.desktop
  * Rename far2l.desktop → far2l-tty.desktop
  * show all characters
  * Merge pull request #2590 from spnethw/hlf_and_lng_update_and_cleanup
  * Merge pull request #2592 from unxed/comment_fix
  * Merge pull request #2591 from Dazzar56/auto-locale-fix
  * - removed irrelevant comment (it was screen tool related, not FreeBSD kernel console related) - added relevant comment (links to resources related to cursor shape modification escape sequences)
  * check was way too high :)
  * moved to the highest! also remove double call  setlocale()
  * moved locale check even higher
  * fix PANIC caused by ConfigOptSave() too early
  * fix incorrect interface locale on first render
  * hlf and lng: update and cleanup
  * Merge pull request #2583 from akruphi/qview_crash_fix2581
  * Merge pull request #2586 from akruphi/size_column
  * Merge pull request #2589 from m32/master
  * Merge pull request #2582 from spnethw/fix_2581_far2l_crash_in_quick_view_when_try_show_broken_symlink
  * Merge pull request #2580 from spnethw/netrocks_hlf
  * Merge pull request #2577 from akruphi/link_in_menu
  * Merge pull request #2576 from unxed/osc52prompt_ru
  * Merge pull request #2573 from mitya57/wx-desktop-files
  * WX: add as custom draw unicode range 1fb00 1fb3b; refactor
  * position in dialog, selected character and its unicode value
  * log.exception requires message
  * unused variables, prevoius label
  * Merge branch 'master' of github.com:m32/far2l
  * version with VBuf
  * old version
  * assign parameters to variables
  * Calc width taking into account also SymLinkNames
  * minor
  * Make #2452 feature with adjust column width to text more customizable
  * Adjust column width to "folder" text only if in mode it width = 0
  * Fix qview crash on broken symlinks
  * fix #2581: Far2l crash in Quick view when try show broken symlink
  * NetRocks: add Russian hlf + minor fixes in English hlf
  * refactoring
  * Merge branch 'elfmz:master' into master
  * Link item in File menu (backport from far3)
  * - auto select Russian language if system locale is ru_RU on first start - show Getting Started and OSC52 confirmation in Russian in such cases
  * Merge pull request #2575 from unxed/wiki_help
  * Add a link to community wiki to Getting Started help topic.
  * Merge pull request #2572 from unxed/cursors
  * Merge pull request #2569 from michaellukashov/minor-fix-typos
  * Merge pull request #2570 from mitya57/source-date-epoch
  * Merge pull request #2568 from michaellukashov/fix-help-current-path-info
  * Add System and FileTools categories to far2l desktop files
  * Use separate desktop files for TTY and GUI versions
  * Merge branch 'elfmz:master' into cursors
  * better cursor shaping support
  * Add support for SOURCE_DATE_EPOCH environment variable
  * Merge branch 'elfmz:master' into master
  * minor: Fix typos
  * minor: .hlf.m4: fix info about "Current Dir"
  * VT: reset _focus_change_expected upon command completion
  * Merge pull request #2567 from elfmz/tty-focus
  * Update keyboard.cpp
  * Update vtshell_ioreaders.h
  * Update vtshell_ioreaders.cpp
  * Update vtshell.cpp
  * Update vtansi.cpp
  * Update IVTShell.h
  * Update wxMain.cpp
  * Update TTYOutput.cpp
  * Update TTYInputSequenceParser.h
  * Update TTYInputSequenceParser.cpp
  * Update TTYBackend.h
  * Update TTYBackend.cpp
  * Merge pull request #2566 from elfmz/fix-new-nfs
  * fixing build with recent libnfs
  * Merge pull request #2564 from unxed/konsole_fix
  * Merge pull request #2565 from akruphi/infolist_editorconfig
  * Merge branch 'elfmz:master' into master
  * Show EditorConfig block in Info panel
  * Konsole 24.12 / KDE Plasma 6.2.4 / X11 generates \x1b[[E on F5
  * Merge pull request #2560 from spnethw/far2l_help_corrections
  * far2l hlf: add few cross references
  * far2l hlf: special commands, ui backends, panel view modes, env. vars
  * Merge pull request #2558 from akruphi/osc52_welcome_explain
  * revert back use of target-independent icu for ICU_MODE=BUILD
  * rewrite English
  * More details about OSC52 at 1st run
  * Merge pull request #2556 from michaellukashov/fix-optional-ability-to-use-icu
  * Merge pull request #2552 from spnethw/tmppanel_refactoring
  * tmppanel: remove unused isDevice() function
  * improvement: optional ability to use icu available on build system or target
  * hlf: add info regarding "open panel from output" feature
  * tmppanel: update lng and hlf
  * tmppanel: remove unnecessary function FormNtPath()
  * tmppanel: refactor FindListFile()
  * tmppanel: let jumping to file by Ctrl+PgUp on its own in normal mode too
  * tiny code cleanup
  * tmppanel: tiny refactor of OpenPluginW function
  * tmppanel: use Unicode string functions instead of aliases
  * tmppanel: replace TCHAR with wchar_t
  * tmppanel: replace the _T(x) macro with the L prefix
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2550 from akruphi/readme
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * readme
  * Merge pull request #2546 from akruphi/readme
  * NR/SCP/SHELL: workaround for "domains" word between user and group (#2545), improve prev fix
  * readme minor
  * readme minor
  * readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2544 from akruphi/misc
  * Merge branch 'elfmz:master' into master
  * minor correction
  * NR/SCP: try to handle situation when busybox is used but not present in PATH (touch #2524)
  * Yet more customization via menu/dialogs after #2452
  * Minor after #2542
  * Merge pull request #2543 from spnethw/netrocks_fix_incorrect_password_parsing_in_splitlocationspecification
  * NetRocks: fix incorrect password parsing in SplitLocationSpecification()
  * Merge pull request #2539 from spnethw/tmppanel_tweak_open_execute_logic_in_showmenufromlist
  * Merge pull request #2542 from omilevskyi/fix/ConsoleInput
  * Merge pull request #2540 from akruphi/misc
  * Merge branch 'icu_mode'
  * WinPort: remove not used anymore GetTempFileName and GetFullPathName
  * refactor FarMkTempEx
  * optional ability to use icu available on build system or target
  * WinPort/src/ConsoleInput.cpp: fix crash when dot is pressed in cyrillic layout
  * Merge pull request #2541 from exkrexpexfex/master
  * Crash on concurrent access to plugin info
  * new flag in EXECUTEFLAGS to run command in external terminal
  * tmppanel: added keyboard shortcut help in ShowMenuFromList()
  * README: update about far2l-wx in Ubuntu
  * Update main.cpp
  * tmppanel: tweak open/execute logic in ShowMenuFromList()
  * Merge pull request #2538 from exkrexpexfex/master
  * Count symlinks as files
  * Merge pull request #2510 from spnethw/fix_ctrl_add_alt_add_processing
  * Merge pull request #2536 from spnethw/allow_double_quotes_in_filenames
  * fix recent refactor
  * refactor recent changes
  * Merge pull request #2528 from unxed/tty_notif
  * Merge pull request #2529 from unxed/osc52prompt
  * Merge pull request #2535 from exkrexpexfex/master
  * Merge pull request #2511 from akruphi/help_after_2452
  * Merge pull request #2520 from anta999/colortest2
  * Merge pull request #2533 from spnethw/tmppanel_fixes_improvements_refactoring
  * Merge pull request #2525 from unxed/nopcre
  * Merge branch 'master' into nopcre
  * Merge pull request #2523 from ctapmex/colorer-schemes-update
  * Merge pull request #2522 from ctapmex/colorer_sync
  * Merge pull request #2515 from ctapmex/ci_update
  * Explicit SSH algorithms options
  * User Menu: use also numpad in Ctrl+Up/Down + typo in help (.Ini->.ini)
  * consts from ffic
  * inside thread
  * references
  * next sizer
  * history in TEXT
  * tmppanel: don't check exit code to avoid discarding partial output
  * Allow creation and saving-as filenames containing double quotes
  * tmppanel: minor
  * Explicit SSH algorithms options
  * tmppanel: selection remains on the host file after closing the panel
  * tmppanel: fix file copying between panels (from FarManager/ce6e0dd)
  * tmppanel: some code clean up, remove unnecessary defines
  * tmppanel: (re)load options when list file is opened from panel by Enter
  * tmppanel: GetFileInfoAndValidate() minor refactoring
  * Typo
  * tmppanel: refactor GetFileInfoAndValidate()
  * tmppanel: minor refactor
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement ShellExecute in ShowMenuFromList()
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement OpenPanelFromOutput
  * tmppanel: fix #2518 (missing null-terminator) + minor optimization
  * More compact Panel settings dialog + move marks features to subdialog
  * Prompt user to allow/disallow OSC52 usage on first run if this option is available in current environment
  * basic system tray notifications support. planned to also add ESC sequences for kitty and iTerm2, but do not understand how to send them from here
  * removed all traces of pcre
  * Removed PCRE library support
  * Add possibility customize new #2452 features from Panel dialog
  * colorer schemes v1.2.0.57
  * sync colorer with upstream;
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * fix #2517 и fix #2518
  * Merge branch 'elfmz:master' into master
  * disable build on push to master for forks
  * explicitly install python dependencies
  * hide the tag search error in git
  * disable warn developer message from cmake
  * use gcc-7 and clang-7 as minimal version of compilers
  * Merge pull request #2512 from spnethw/tmppanel_fix_menu_from_file_list_crash
  * inside: Mach-O
  * Yet more after #2452
  * Yet more after #2452
  * tmppanel: fix PANIC-PANIC crash in menu from file list
  * Help: minor
  * Another Help after #2452: Groups of file masks (from far2m help)
  * Help after #2452 + names for default highlighting groups + trim by "..." long in name column
  * Fix CtrlAdd/AltAdd in consistency with full view mode (LeftCtrl-3)
  * Merge pull request #2507 from akruphi/hilight_order
  * Merge pull request #2509 from spvkgn/inside
  * Merge pull request #2452 from anta999/colortest2
  * inside: add png, ogg, m4a
  * inside: add PE format
  * Merge pull request #2508 from exkrexpexfex/master
  * Crash on overflow when searching in a large file
  * Fix order of default Highlight for processing combined cases
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * fix incorrect chars typed instead of numbers in some cases on macs
  * sync with master
  * Merge branch 'elfmz:master' into master
  * ProcessName casesens fix
  * merge conf
  * mini fix
  * background screen (ctrl+o) splitted into lines
  * MaskGroup updated
  * fixed #2461 Garbage in the terminal + DirCfg Dialog Update
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * all fixed + dircfg dialog
  * ctrl+m select attr string style
  * fix mark inherit
  * conflict
  * update highlight
  * merge conflict
  * hold on

 -- elfmz <fenix1905@tut.by>  Sun, 30 Mar 2025 22:00:17 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.7.0-1) unstable; urgency=low

  * Merge pull request #3016 from tempergate/master
  * some versioning fixes
  * Update far2lOverlays.nix
  * fix hexitor crash (fix #3015)
  * Bump version to 2.7.0
  * some fixes
  * readme: move far2lOverlays.nix to packaging/NixOS
  * fix changelog.md autoversioning
  * move far2lOverlays.nix to packaging/NixOS
  * Merge pull request #3011 from m32/master
  * Merge pull request #3013 from mitya57/remove-vpython3
  * fix build under old macos
  * Remove vpython3 shebangs
  * Merge pull request #3009 from akruphi/hexitor
  * Merge pull request #2998 from spnethw/desktop-fix
  * Merge pull request #3005 from tempergate/master
  * Merge pull request #3007 from spnethw/openwith_plugin
  * Merge pull request #3003 from unxed/help_update
  * Merge pull request #3010 from tempergate/patch-4
  * useless code, CTRL+TAB workt without it
  * OpenWith: refactor; significantly speed up bulk file processing
  * proper order of checks
  * forward keys to framemanager
  * forward keys to framemanager
  * Update README.md
  * Update README.md
  * Update README.md
  * added Note about use Wayland and OSC 52 under Wayland
  * hexitor - minor: "Screen" label for F12 and help improvement
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * Update far2lOverlays.nix
  * minor
  * minor
  * Fixed several problems found by @russiandesman
  * minor
  * minor
  * Help refinement WIP, 2/n, en and ru sync, Windows artifacts removal
  * Major help refactoring. 1/n, en
  * replace %U with %F in Exec= keys of .desktop files
  * Merge pull request #2997 from akruphi/readme
  * trying fix non-latin input (touch #2995 )
  * readme
  * Merge pull request #2980 from exkrexpexfex/vs16
  * Merge pull request #2986 from unxed/vt_lines_fix
  * fix Ctrl+O in editor etc (fix #2992)
  * Merge pull request #2995 from unxed/ibus_workaround_fix
  * Merge pull request #2987 from spnethw/openwith_plugin
  * Merge pull request #2993 from akruphi/misc
  * Merge pull request #2991 from m32/master
  * Made detection of IME events more precise
  * OpenWith: lazily cache MIME types to improve F3 dialog performance
  * OpenWith: more robust multi file aware app detection
  * OpenWith: don't filter multi file aware apps
  * OpenWith: help files style
  * OpenWith: help and localization minor fixes
  * Misc refactoring - Fix some PVS-Studio warnings (from far2m)
  * hilight: make "Hardlinks > 1" disabled by default
  * far:about: more accurate show win size
  * OpenWith: rearrange localized messages
  * OpenWith: show OnlyShowIn/NotShowIn in Details; minor help update
  * not used
  * implemented save_as Shift+F2 in editor
  * OpenWith: add "Disable ranking (sort alphabetically)" XDG option
  * OpenWith: minor
  * OpenWith: minor
  * OpenWith: add "Confirm opening if file count exceeds..." option
  * Fix #2981
  * Handling Zero Width Joiner
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2985 from barracuda156/macos
  * OpenWith: follow-up for macOS < 10.10
  * Merge pull request #2984 from barracuda156/arclite
  * arclite: define __STDC_FORMAT_MACROS prior to including inttypes.h
  * Merge pull request #2978 from spnethw/openwith_plugin
  * Merge pull request #2979 from Mi-Walkie-Talkie-by-Darkhorse/arclite-bugfix
  * Merge pull request #2983 from barracuda156/macos
  * OpenWith: fix build on macOS < 11 and with gcc
  * Handling emoji presentation sequence
  * OpenWith: more configurable MIME type extension
  * Merge branch 'elfmz:master' into master
  * Use correct 64-bit values formatting
  * Use UInt64 data type for file position related values
  * OpenWith: added option to load MIME type subclasses
  * Merge pull request #2973 from spnethw/openwith_plugin
  * OpenWith: some simplifications
  * OpenWith: added the ability to select multiple files
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2966 from ctapmex/build_warnings
  * warning from clang-20
  * arclite: fix warnings
  * hexitor: clang warn
  * hexitor: remove unused variable
  * fix gcc warn for unknown arg
  * Merge pull request #2970 from ctapmex/colorer
  * Merge pull request #2967 from ctapmex/ci
  * update colorer schemes
  * fix "select region"
  * workflow: add gcc 15
  * workflow: add clang-20 build
  * Merge branch 'elfmz:master' into master
  * workflow: add macos 15
  * workflow: update excludes
  * fix #2961
  * Merge pull request #2962 from unxed/hexitor
  * Merge branch 'elfmz:master' into master
  * minor fixes
  * Merge pull request #2963 from akruphi/hexitor
  * Merge pull request #2964 from spnethw/openwith_plugin
  * OpenWith: settings dialog is now accessible from the app selection menu
  * [hexitor] revert in Find dialog hex mask and history for other fields
  * Add UTF-8 cursor movement, correct character editing, and better highlighting support in Hexitor
  * Merge pull request #2957 from akruphi/info
  * Merge pull request #2958 from exkrexpexfex/multibeauty
  * Carraige return for multiline commands
  * Info
  * Merge pull request #2956 from spnethw/openwith_plugin
  * OpenWith: more accurate and spec-compliant launch command construction
  * OpenWith: adapt "Details" dialog (F3) width to the far2l window width
  * file not used
  * Merge pull request #2955 from m32/master
  * color is 64-bit long - for save/restore SetULL/SetULL should be used
  * Merge pull request #2953 from akruphi/from_far2m
  * Merge pull request #2951 from m32/master
  * Misc refactoring (from far2m)
  * stop using instance data when close dialog was executed
  * preserve color settings when dialog is cancelled
  * Merge pull request #2949 from m32/master
  * Merge branch 'elfmz:master' into master
  * handle esc key as cancel operation
  * mouse wheel as scroller
  * fix #2945
  * Merge pull request #2948 from unxed/hex-utf8
  * proper utf8 input
  * cosmetic
  * Merge pull request #2946 from unxed/hex-utf8
  * basic utf-8 support
  * Merge pull request #2944 from tempergate/master
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Update far2l.desktop
  * Update far2l-tty.desktop
  * Merge branch 'master' of github.com:elfmz/far2l
  * make CmdLine::ShowBackground to paint directly into ScrBuf
  * Merge pull request #2943 from unxed/cosmetic
  * fix some possible flickering reasons (touch #2937)
  * a more correct formulation
  * Merge pull request #2942 from akruphi/changelog
  * Merge pull request #2936 from akruphi/from_far2m
  * Merge pull request #2930 from unxed/xubuntu_cyr
  * Merge pull request #2940 from unxed/viewer_home
  * changelog: added vt improvements info
  * Merge pull request #2905 from Dazzar56/new_color_settings
  * Merge pull request #2935 from akruphi/farabout_ibus
  * Merge pull request #2938 from unxed/fix_osc52_read
  * Merge pull request #2928 from spnethw/openwith_plugin
  * cosmetic and minor optimization
  * Reset search position to the beginning of a file on Home key press
  * OpenWith: more UI tweaks
  * Fix clipboard erasure on OSC52 read attempt
  * OpenWith: minor UI tweaks
  * OpenWith: improve mime type aliases logic
  * keyboard.cpp - Fix some PVS-Studio warnings (from far2m)
  * OpenWith: add MIME type aliases support
  * far:about: show typical ibus environment variables
  * cosmetic
  * Fixed cyrillic input on xubuntu with ibus active Fixes #2929
  * OpenWith: show associations source; improve the ranking algorithm; fixes
  * Merge pull request #2923 from m32/master
  * better keyboard handling.
  * Merge pull request #2926 from Mi-Walkie-Talkie-by-Darkhorse/arclite-uclibc
  * Make arclite plugin compatible with uClibc-ng
  * hexitor as a non-modal dialogue
  * default color for overflow arrow
  * sane default colors for menu prefix
  * Merge pull request #2916 from spnethw/openwith_plugin
  * Merge pull request #2917 from exkrexpexfex/master
  * fix crash in VTLog in debug builds (wich STL checked containers
  * Avoid errors on multiline paste execution due to trailing empty lines
  * OpenWith: improve CheckExecutable()
  * OpenWith: fix missing command line escaping in the macOS implementation
  * Merge branch 'master' of github.com:elfmz/far2l
  * fixing #2909
  * Merge pull request #2915 from akruphi/readme
  * Merge pull request #2912 from spnethw/openwith_plugin
  * Merge pull request #2910 from akruphi/farabout_scrxy
  * Readme - correction about ppa
  * OpenWith: help update
  * far:about: show ScrX and ScrY
  * Merge pull request #2908 from anta999/bigfix
  * some fixes for attribues (touch #2906)
  * A version too
  * Fixed: non-working panel plugins on Big Endian.
  * Merge pull request #2904 from spnethw/openwith_plugin
  * Merge pull request #2907 from akruphi/openwith_plugin_help
  * OpenWith: new help section with tips
  * disable debug logging
  * VT: history log now limited by memory usage instead of lines count, also log lines kept in compressed form in memory
  * add config for menu prefix and edit OverflowArrow
  * OpenWith: more accurate Exec parsing; show MIME type if app not found
  * Merge pull request #2902 from exkrexpexfex/tahoe
  * Fix crash on startup on macOS 26 Tahoe
  * Merge pull request #2901 from anta999/bigfix
  * fix memleak and cursor position glitches on resize
  * J
  * Merge branch 'master' of github.com:elfmz/far2l into bigfix
  * conflict fix
  * minor tweaks for #1099
  * Big endian colors fix
  * Merge pull request #2894 from m32/non-modal-dialog
  * Merge pull request #2878 from m32/master
  * Merge pull request #2897 from spnethw/openwith_plugin
  * Merge pull request #2898 from exkrexpexfex/overfix
  * minor
  * refactor for #1099
  * Merge pull request #2899 from unxed/hightlight_crash_fix
  * minor
  * Fixed some more crashes
  * OpenWith: various optimizations & style
  * Fixed crash
  * No text overflow marks for fixed length edit controls
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * minor
  * Merge pull request #2896 from unxed/cyr_kb_fix
  * rm unneeded
  * refactor and some fixes for #1099
  * OpenWith: refactor; help update
  * Use VK_NONAME instead of 0 to fix cyrillic input on Mint 21 and in some other setups. Fixes #2895
  * backward compatible with the API, not with the feature list in farplug-mb.h
  * prevent flickering due to ShowBackground
  * Merge pull request #2876 from akruphi/openwith_plugin
  * Merge pull request #2893 from akruphi/version
  * Merge pull request #4 from spnethw/openwith_plugin
  * OpenWith: refactor
  * Merge branch 'non-modal-dialog' of github.com:m32/far2l into non-modal-dialog
  * I forgot about this file
  * vorget to commit
  * non modal dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge pull request #3 from spnethw/openwith_plugin
  * OpenWith: some optimizations
  * Add Command line switch --version
  * Merge pull request #2 from spnethw/openwith_plugin
  * Revert "OpenWith: minor"
  * more fixes for #1099
  * Merge pull request #1 from spnethw/openwith_plugin
  * OpenWith: minor
  * OpenWith: merge Linux/BSD app providers into XDGBasedAppProvider
  * VT: more fixes for #1099
  * todo less
  * Merge pull request #2 from anta999/addgetcolor
  * Merge pull request #1 from unxed/hexitor
  * some simplifications yet fixes (touch #1099)
  * some fixes and refactor in back screen save
  * improve background screen save/restore
  * dont lose things
  * fix artifacts in editor
  * OpenWith: hot keys in dialogs + Launch button in details dialog
  * cosmetic
  * Merge pull request #2863 from unxed/work_better_without_ime
  * Merge pull request #2866 from m32/master
  * Merge branch 'master' into master
  * Merge pull request #2858 from exkrexpexfex/master
  * Merge pull request #2862 from exkrexpexfex/dialogseditoverflow
  * Merge pull request #2864 from exkrexpexfex/nrctrlenter
  * Merge pull request #2865 from exkrexpexfex/cmdeditesc
  * Merge pull request #2869 from spnethw/openwith_plugin
  * Merge pull request #2868 from unxed/kitty_locks
  * Merge pull request #2856 from akruphi/hist_except_only4cmd
  * Merge pull request #2871 from exkrexpexfex/littlebig
  * Merge pull request #2874 from barracuda156/apple
  * improvements for #1099
  * add missing semicolon->colon trick parts
  * fix colors in log
  * alternative solution for #1099
  * add new OpenWith plugin
  * Adjust colors for big-endian
  * displaynotify.mm: add a fallback to fix build on < 10.8
  * Use -fobjc-arc only with Clang
  * Fix -force_load flag on macOS
  * Allow using pre-defined wx config on macOS
  * Add GetColor to PluginAPI
  * proper codepage conversion
  * proper source codepage when converting to utf-8
  * proper return value
  * According to the spec, we should report num and caps always
  * Merge branch 'master' of github.com:m32/far2l
  * info about new plugin - hexitor
  * Fixed Russian charset. This file should have been converted as CP1251->UTF8, not CP1252->UTF8
  * Merge pull request #83 from m32/master
  * utf8 encoding
  * fix utf-8 encoding
  * include and enable hexitor in main build
  * hexitor inside main repo
  * Merge branch 'master' of github.com:m32/far2l
  * ported hexitor from far3
  * Update README.md
  * open escaped path with edit: and view: via cmdline
  * Always prepend filename with ./ whe pasting to cmd line
  * Do not lose virtual key code while handling KeyDown events with IME disabled
  * fix rendering of delete confirmation for long filenames with wide chars
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * Show » « symbols when edit text overflows
  * fix dropdown menu rendering artifacts on wide chars
  * Show » « symbols when edit text overflows
  * Add support for pasting and executing multiline commands
  * Exceptions apply only to command history
  * Merge pull request #2855 from spnethw/dumper-updates
  * Merge pull request #2854 from exkrexpexfex/cmdblanks
  * debug dumper: stacktrace minor fixes, improvements and refactor
  * Treat whitespace-only input as empty in command line
  * Merge pull request #2849 from exkrexpexfex/netrocks
  * Merge pull request #2845 from anta999/arclite2
  * Merge pull request #2847 from exkrexpexfex/1
  * Merge pull request #2846 from exkrexpexfex/master
  * Merge pull request #2850 from exkrexpexfex/macsamba
  * Merge pull request #2853 from exkrexpexfex/relnbrk
  * panel update fix
  * Line breaks in regex replacement
  * netroks: enable smb on macOS
  * No prompt opening remote directories from folders history
  * multiarc: unrar 7.13
  * multiarc: unrar 7.13
  * fix mouse selection beyond left border of an edit
  * fix
  * conflict
  * bug fix, more logs
  * Merge branch 'master' of github.com:elfmz/far2l
  * refactor recent changes
  * Merge pull request #2844 from spnethw/dumper-updates
  * debug dumper: cosmetic
  * debug dumper: add atos for macOS; improve command grouping; refactor
  * minor improvement for crash.log
  * Merge branch 'master' of github.com:elfmz/far2l
  * remove temporary change
  * Merge pull request #2842 from exkrexpexfex/master
  * Merge pull request #2841 from akruphi/changelog
  * crash.log improvements: better symbols, input backtrace
  * proper magic constants for 32 bit FNV-1a hash
  * Merge pull request #2838 from spnethw/dumper-stacktrace
  * debug dumper: minor
  * debug dumper: add stacktrace support and update DUMPER.md
  * changelog after #2840
  * Merge pull request #2840 from exkrexpexfex/master
  * multiarc: 7zip 25.01
  * multiarc: 7zip 25.01
  * Merge pull request #2833 from akruphi/arclite
  * Merge pull request #2835 from unxed/fix_alt_enter
  * Merge pull request #2836 from ctapmex/optimize-logging
  * update changelog
  * fix read hex params
  * optimize background process
  * update FarColorer logger
  * update colorer library
  * Arclite: type & chain in PluginInfo (for Info Panel) + help
  * Now multiple Enter presses while holding Alt work correctly
  * Fix unneeded Alt+Enter triggering then using quick search (fixes #2834)
  * ctrl+pgdn
  * Always update Info panel when change directory inside plugin
  * Merge pull request #2821 from exkrexpexfex/master
  * Merge pull request #2829 from akruphi/minor
  * Merge pull request #2832 from anta999/arclite2
  * Merge pull request #2830 from spnethw/dumper-updates
  * Merge pull request #2828 from ctapmex/clean-build
  * debug dumper: update DUMPER.md
  * debug dumper: let's make it configurable; also some tiny fixes
  * fix2
  * fix
  * Add ability to revert through archive chain and fix bugs.
  * readme minor
  * use tabs; correct snprintf
  * fix warning for macos
  * fix python warning
  * fix clang warning
  * disable warning about unknown flags; add clang flags
  * disable warn for unrar
  * disable warn for smb plugin
  * disable warnings for scp plugin
  * change deprecated api
  * Merge pull request #2822 from ctapmex/arclite-res
  * Merge pull request #2826 from tempergate/master
  * Merge pull request #2824 from spnethw/dumper-updates
  * Merge pull request #2818 from anta999/arclite2
  * Merge pull request #2815 from ctapmex/crash-settings
  * Merge pull request #2811 from akruphi/actualization
  * Merge pull request #2817 from m32/master
  * mini fixes3
  * fix
  * more DEB open
  * fix3
  * fixes2
  * Merge branch 'elfmz:master' into master
  * Update README.md
  * Update far2lOverlays.nix
  * Merge branch 'elfmz:master' into master
  * several fixes
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Changelog, Readme, Help actualization
  * Merge pull request #2827 from ctapmex/colorer-schemes-update
  * update changelog
  * update license
  * update colorer schemes to 1.2.0.90
  * remove unused in far2l files from schemes
  * Update README.md
  * Update far2lOverlays.nix
  * Update README.md
  * Update README.md
  * Update README.md
  * Create far2lOverlays.nix
  * debug dumper: update DUMPER.md
  * debug dumper: file attributes and Unix mode decoding enhancement
  * Faster edit at the end of very large line
  * arclite: monitoring changes in auxiliary files;
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * Faster edit at the end of very large line
  * more readable
  * Faster edit at the end of very large line
  * use letters for clarity
  * limited to letters
  * Fixed x86 build, symlinks in tar p7zip
  * Infinite file enum bug fixed
  * bring Ctrl-Q functionality back in editor
  * fix crash on close settings after change
  * Merge pull request #2810 from exkrexpexfex/master
  * Merge pull request #2670 from anta999/arclite2
  * Remaining issues on a line starting with zwsp
  * disabled by default
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Merge pull request #2809 from exkrexpexfex/master
  * multiarc: fix saving archiver switches
  * fixing freebsd cirrus
  * Merge pull request #2808 from exkrexpexfex/master
  * Settings list to configuration editor
  * Merge branch 'elfmz:master' into master
  * Settings list to configuration editor
  * Merge pull request #2807 from exkrexpexfex/master
  * Fix hotkeys for new menu items
  * Fix hotkeys for new menu items
  * Merge pull request #2806 from akruphi/NoGraphics_CheckMark
  * Merge pull request #2805 from spnethw/dumper-updates
  * fix build under macos elcapitan
  * Use '*' as checkmark in NoGraphics mode (-ag or -an)
  * debug dumper: minor changes to DUMPER.md
  * debug dumper: replace Russian comments with English translations
  * debug dumper: log boolean values using alphanumeric format
  * debug dumper: replace std::codecvt_utf8 with Wide2MB()
  * Merge pull request #2798 from tempergate/patch-2
  * Merge pull request #2803 from akruphi/cmdhist_opts
  * Merge pull request #2799 from rampitec/fix-title-overflow-in-viewer
  * Merge pull request #2802 from ctapmex/copy_py
  * Merge pull request #2795 from akruphi/fix_ma
  * Merge pull request #2796 from exkrexpexfex/master
  * Merge pull request #2797 from tempergate/patch-1
  * Actions recorded in Commands History configurable in AutoComplete & History dialog
  * Update trash.sh
  * monitoring changes in auxiliary files;
  * Merge pull request #2800 from m32/master
  * Merge pull request #2801 from ctapmex/fix_cross
  * Update README.md
  * fix draw cross
  * changelog update after July 5-6 mergers
  * Merge branch 'elfmz:master' into master
  * search/replace in editor after (Ctrl|Alt|Shift)+F3
  * after installing plugin can be opened like uedreplace
  * sort on any column
  * fix undefined variable
  * Fix title overlow in disabled viewer support code. NFC.
  * Update trash.sh
  * Update trash.sh
  * Update README.md
  * Update trash.sh
  * explanation supported trash tools
  * verbose logging for libssh2
  * Fix ma due github CodeQL warning
  * Merge pull request #2793 from ctapmex/custom_base
  * Merge pull request #2790 from mitya57/wx-icons
  * Merge pull request #2788 from mitya57/no-links-in-metainfo
  * Merge pull request #2792 from exkrexpexfex/master
  * update changelog
  * add attribute 'global' for internal packages;
  * fix typo
  * update help about logging
  * update help files
  * optimize and fix memory leak
  * update lang and help files
  * new setting - user hrs settings file
  * set order for load colorer base
  * use core methods for settings load
  * fix build on new lib
  * update colorer lib
  * Visual glitches on a line starting by zwsp
  * README: Add icons to the backends table
  * Add separate icons for WX versions of far2l and far2ledit
  * Merge pull request #2783 from zoomosis/fix-missing-header
  * Visual glitches on a line starting by zwsp
  * Merge pull request #2789 from exkrexpexfex/master
  * Merge pull request #2787 from ctapmex/colorer-schemes
  * Merge pull request #2786 from takacsd/Fix_AWS
  * Merge pull request #2782 from akruphi/misc
  * Merge pull request #2768 from unxed/macro_keys_fix
  * Merge pull request #2791 from mitya57/update-manpages
  * version_bump_patch.sh: Update version and date in the man pages
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * far:config and far:about in commands menu
  * generate_metainfo: Remove links, keep only their text
  * update far2l changelog
  * colorer schemes v1.2.0.76
  * Remove size calculation for folders.
  * Implement AWS pagination.
  * Fix nomacro
  * Correct Y1 in Message() to favor higher positioning (from far2m)
  * Add missing header file. Fixes the build using Xcode 14 on MacOS.
  * Refactoring (from far2m)
  * help minor
  * Merge pull request #2778 from akruphi/help
  * fix clipboard confirmation not painted (fix #2777)
  * help minor
  * attempt to fix xlat (touch #2632 )
  * Update macro.cpp
  * Merge branch 'elfmz:master' into macro_keys_fix
  * Merge pull request #2774 from akruphi/from_far2m
  * Merge pull request #2772 from akruphi/MacroKeysConfig
  * Merge pull request #2776 from spnethw/fix_2775_far2l_crash_vertical_block_selection
  * Merge pull request #2765 from exkrexpexfex/dark
  * Merge pull request #2764 from exkrexpexfex/master
  * Merge pull request #2763 from Dazzar56/master
  * Merge pull request #2762 from unxed/win32-input-debug
  * Merge pull request #2760 from akruphi/readme
  * Panel modes can be changed from "Edit panel modes" menu (from far2m & Far3) and Add the "Reset" button to the panel mode edit dialog  from: https://github.com/shmuz/far2m/commit/fd58e0a9b8feeef677969b4d7ec615dd7eec9eb2  & https://github.com/shmuz/far2m/commit/959ee02f4a0cfe93bff384174299c180c2d346e3
  * fix 2775: far2l crashes when attempting to select a vertical block
  * help
  * Macro Keys configurable via ini-file or far:config (from far2m & far3)
  * cosmetic
  * Recognize Ctrl+Dot with Shift also. Fixes #2767
  * Renaming black and white to dark
  * macOS WX: junk control chars on Ctrl-Q
  * group "src" was split to "<build>,<cfg>,<code>"
  * added new group for configuration files
  * update default mask groups
  * sync with far3
  * readme & changelog actualization
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * F_ASYNC removed
  * Added debug message
  * Merge pull request #2660 from Dazzar56/debug_dump
  * Merge pull request #2759 from akruphi/from_far2m
  * add far2l-cd.sh wrapper to enable external directory change to far2l's when it exit (touch #2758)
  * CheckShortcutFolder: refactorig, improve, remove legacy (from far2m)
  * Merge pull request #2736 from ujos/get_git_branch
  * cosmetic
  * cosmetic
  * cosmetic
  * TTY/revive: filter dead instances before showing list of "lost" far2l-s (touch #2601)
  * * Git branch: Removed dependency of LIBGIT2
  * + Added 'z' command prompt variable that returns the "{current git branch} " string
  * Merge pull request #2739 from ctapmex/cmake
  * Merge pull request #2750 from unxed/kittykb
  * Merge pull request #2751 from m32/master
  * Merge pull request #2754 from ctapmex/colorer-ref
  * refactoring
  * set editorinfo local, not global
  * refactoring
  * refactoring
  * change raw pointer
  * move settings to struct
  * move local variable from heap to stack; using std::array
  * init variables
  * some optimize
  * init class members
  * remove unused function
  * warn in CerrLogger
  * remove redundant cast
  * remove empty statement
  * reformat code
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix depends
  * monitoring changes in auxiliary files
  * set cmake version in root CMakeLists only
  * fix warning about Policy CMP0175
  * smal fixes
  * Switched back to using shifted key value if unshifted is undetectable, as recommented by spec author in https://github.com/kovidgoyal/kitty/issues/8620#issuecomment-2878530117
  * Merge pull request #2746 from akruphi/from_far2m
  * Refactoring
  * Merge pull request #2738 from ctapmex/pvs-warn
  * Merge pull request #2742 from unxed/kittykb
  * Merge pull request #2747 from unxed/fix_2744
  * Merge pull request #2748 from ctapmex/colorer-update
  * Merge pull request #2749 from ctapmex/colorer-truemod
  * use 57610 instead of 0 for unshifted key code if it can not be reliably determined. explained in comment. fixes #2743 (at least before we find better way)
  * cosmetic
  * final polishing based on recent github talks
  * better approach, cosmetic
  * Correct GetDialogTitle() (from far2m)
  * enable truemod since 8-bit console color palette
  * update changelog
  * colorer schemes v1.2.0.68
  * update colorer_lib
  * fix #2744
  * fixed a typo
  * - all set of us keyboard text input keys are now generate correct values in "base layout key" field (if far2l backend generates correct key events) - use more relevant value for cases then we can not determine virtual key code correctly - make code blocks sequence more logical - better debug messages - cosmetic
  * FAR API: fix crashing on invalid dialog coordinates (from far2m & Far3)
  * some fixes
  * Merge pull request #13 from spnethw/debug_dump
  * Update DUMPER.md: add output example
  * Our implementation of the Kitty protocol is still not fully compliant with the specification. One of the discrepancies was that when the Shift key was pressed, the unicode-key-code field contained values that didn't conform to the spec for all keys except alphabetic ones. After this commit, that field will contain 0 in such cases — which is not ideal, but still better than providing incorrect values. In any case, for character codes, applications should rely on the "shifted key" or "text-as-codepoints" fields that provide chars taking in mind Shift state, so this change should not affect real-world application behavior (tested it in the kitty mode of far2l and also in turbo).
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * add p7zip support
  * Excessive type casting: string -> char * -> string.
  * object was created but was not utilized
  * It is more efficient to seek character rather than a string.
  * Merge pull request #2737 from randolf/patch-5
  * Update WinPortMain.cpp
  * Update WinPortMain.cpp
  * Merge pull request #2734 from akruphi/from_far2m
  * Merge pull request #2735 from lieff/netrocks_changelog
  * mc fix
  * NetRocks: update chengelog
  * FAR API: add event DN_DROPDOWNOPENED (from far2m & Far3)
  * Don't allow moving cursor beyond combobox text (from far2m & far3)
  * Merge pull request #2732 from akruphi/fix_dialog_combobox_empty
  * Merge branch 'master' into fix_dialog_combobox_empty
  * Merge pull request #2725 from akruphi/tmppanel_groups
  * Merge branch 'master' into tmppanel_groups
  * Merge pull request #2733 from akruphi/infolist_tuning
  * Merge pull request #2730 from akruphi/cmd_remove_trailing_spaces
  * Merge pull request #2729 from lieff/netrocks_proxy_command
  * Merge pull request #2722 from exkrexpexfex/master
  * Merge pull request #2719 from unxed/wx327fix
  * Update infolist.cpp
  * Merge pull request #2713 from akruphi/readme
  * Merge pull request #2715 from m32/master
  * describe info about GNOME keybindings from https://github.com/elfmz/far2l/issues/2731
  * Fix crash when a plugin doesn't fill Text in combobox items (from far2m)
  * refactoring (from far2m)
  * revert last symbol only if odd number of symbols '\\'
  * describe Exclusively hotkeys Wayland problems
  * Remove trailing spaces from commands and commands history (from far2m)
  * NetRocks: add support of libssh SSH_OPTIONS_PROXYCOMMAND option
  * move to src dir
  * describe in help panel mode type character 'U' for group
  * tmppanel: show file groups
  * export GetFileGroup() to plugins
  * dateformat and def_button fix
  * bring changelog entry back
  * Revert "- try to fix #2714"
  * - try to fix #2714 - added changelog entry
  * Real cells count for correct extension alignment
  * fixes https://t.me/far2l_ru/42883
  * omitted change when refactoring
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Do not show update dialog when 7s.so is absent
  * conflict fix
  * add details about switches --x11 and --wayland in help and in man
  * simplification of installed files
  * simplification of installed files
  * readme minor
  * Merge pull request #2712 from exkrexpexfex/master
  * fix progress bar
  * Move cursor to the right on a line that starts with a non-printable character
  * Merge pull request #2709 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2708 from exkrexpexfex/master
  * Various non-printable characters on F5 ShwSpc
  * Merge pull request #2704 from m32/master
  * Merge pull request #2706 from mitya57/version-bump-patch
  * Merge pull request #2707 from mitya57/cmake-minimum-required
  * Bump required CMake version to 3.5
  * version_bump_patch.sh: Also update changelog
  * logged text in case of failure
  * ClipboardAllocate should allocate as many bytes as the clipboard size, not one more. Then ClipboardSize used to allocate the destination buffer adds one byte to the buffer size
  * without manipulating the clipboard size
  * Merge pull request #2703 from mitya57/update-changelog
  * Merge pull request #2702 from yurikoles/macOS
  * changelog.md: Set release date for v2.6.5
  * ci: install macOS dependencies with brew bundle
  * doc: use current macOS marketing name
  * doc: actualize python version for brew formula
  * The patch is disabled by default, and the first patch method is disabled
  * Fixed process priority in ProgressMonitor
  * 128 to 64
  * Support for nested tar archives
  * fix err
  * fix stdf plugin order
  * Merge pull request #12 from spnethw/debug_dump_work
  * debug dumper: improve hex dump format
  * debug dumper: add std::pair support
  * debug dumper: improve DCONT backend
  * debug dumper: simplify static arrays support via ContainerWrapper
  * debug dumper: add static C++ arrays alongside STL containers
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * fix defaults
  * Merge pull request #11 from spnethw/debug_dump_work
  * config update
  * debug dumper: a few optimizations
  * debug dumper: minor
  * debug dumper: EscapeString() uses lookup table with lazy initialization
  * debug dumper: minor
  * fix9
  * add ver2
  * winport for cp
  * debug dumper: update FARString.cpp
  * debug dumper: refactor
  * debug dumper: implement direct containers support (including nested)
  * fix2
  * fix1
  * Merge pull request #10 from spnethw/debug_dump_work
  * fix0
  * Merge branch 'master' of github.com:elfmz/far2l into arclite2
  * Patch7zCP updated
  * debug dumper: minor DUMPER.md fix
  * debug dumper: fix style and mistakes in DUMPER.md
  * debug dumper: more accurate single char/wchar_t handling
  * Merge pull request #9 from spnethw/debug_dump_work
  * debug dumper: Update DUMPER.md
  * debug dumper: Update DUMPER.md
  * debug dumper: dumper.md
  * debug dumper: minor
  * debug dumper: minor
  * debug dumper: add support for dumping binary data buffers
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: redesign the GetNiceThreadId() logic
  * debug dumper: refactor
  * Merge pull request #8 from spnethw/debug_dump_work
  * debug dumper: add (bitmask) flags support
  * Merge pull request #7 from spnethw/debug_dump_work
  * debug dumper: fix clang error for GetNiceThreadId() function
  * Merge pull request #6 from spnethw/debug_dump_work
  * debug dumper: optimize GetNiceThreadId() function
  * Merge pull request #5 from spnethw/debug_dump_work
  * uncomment cfg code
  * fix extracting symlinks
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: refactor
  * debug dumper: more renames according to CODESTYLE.md
  * debug dumper: style
  * debug dumper: minor renames
  * debug dumper: implement thread id logging
  * debug dumper: renames according to CODESTYLE.md
  * debug dumper: improve dumpv() optimization + arguments handling
  * сommented out in CMakeLists.txt
  * fix4
  * fix3
  * fix2
  * fix1
  * fix0
  * hello arclite
  * Merge pull request #4 from spnethw/debug_dump_dumpv
  * debug dumper: some more renames
  * debug dumper: DMSG wraps text in std::string to avoid trailing '\0'
  * debug dumper: rename some variables
  * debug dumper: replace strftime() with std::put_time()
  * debug dumper: ensure parsed names equal argument count in dumpv()
  * debug dumper: refactor + null pointer access handling + tiny
  * debug dumper: fix variable transfer ​​through DUMPV + tiny
  * debug dumper: handling of conversion errors
  * debug dumper: char/wchar_t arrays support + tiny refactor/fix
  * debug dumper: handling of conversion and null pointer access errors
  * debug dumper: add static arrays and iterable containers support
  * debug dumper: add DUMPV for vars only log + refactor + improvements
  * Merge pull request #3 from spnethw/debug_dump_handle_all_output_at_once
  * debug dumper: logging string buffers using (pointer, length)
  * debug dumper: add mutex
  * debug dumper: minor cleanup
  * debug dumper: refactor to handle all output at once
  * Merge pull request #1 from spnethw/debug_dump
  * debug dumper: escape special characters in strings
  * initial version of debug dump

 -- elfmz <fenix1905@tut.by>  Sun, 26 Oct 2025 11:39:52 +0300




 -- Kate <kate@tempergate.co.uk>  Sun, 26 Oct 2025 08:19:52 +0000

far2l-core (2.6.5-1) unstable; urgency=low

  * Bump version to 2.6.5
  * Del key now clears input in elevation dialog
  * Merge pull request #2701 from ctapmex/schemes-update
  * update changelog
  * colorer schemes v1.2.0.62
  * support paste from clipboard in elevation dialog (fix #2688)
  * Merge branch 'master' of github.com:elfmz/far2l
  * stricter unix socket servers permissions
  * Merge pull request #2700 from exkrexpexfex/master
  * Handling mulribyte characters on path abbreviation
  * refactor recent changes
  * yet more tweaks for libarchive detection under mac
  * wx: fix 1sec input reaction delay after adhoc text copying
  * Merge branch 'master' of github.com:elfmz/far2l
  * multiarc/libarch: check if unicode precomposed versions of names matching when comparing filenames for extraction (touch #2613 #2696)
  * Merge pull request #2695 from exkrexpexfex/master
  * Merge pull request #2694 from akruphi/show_uid_gid
  * fix (yet again) libarchive detection on macos
  * Setattr: ability to show "uname"/"gname" or "uid: uname"/"gid: gname"
  * Reapply VMenu filter on Show() if enabled
  * Merge pull request #2692 from spnethw/fix_2588_more_accurate_adjustment_of_LeftPos_in_Viewer
  * Merge pull request #2691 from akruphi/highlighting
  * fix #2588: more accurate adjustment of LeftPos in Viewer
  * Refactoring AddDupWrap() via StrSizeOfCells()
  * Add view by F3 with wrap long line of masks for "Groups of file masks"
  * Arrange elements of dialog "Highlight files - Marking" more logically
  * Files highlighting tuning after #2690
  * Merge pull request #2690 from akruphi/highlighting_def_use_groups
  * Merge pull request #2686 from ctapmex/ubuntu2004-deprecated
  * Merge pull request #2685 from ctapmex/colorer_up
  * Merge pull request #2684 from mitya57/screenshots
  * Merge pull request #2683 from unxed/revert
  * Show in Files highlighting brief dialog with file masks after expand all masks groups
  * new ExMessager::AddDupWrap() for dumb wrap long string
  * Use Mask Groups in defaults of Files highlighting
  * ci: change gcc7 build test
  * update changelog.md
  * Add screenshots also to the README
  * Add screenshots to AppStream metadata
  * fix base catalog search
  * sync colorer with upstream;
  * Revert #2643
  * Merge pull request #2631 from mitya57/metainfo
  * Merge pull request #2679 from spnethw/hlf_update_and_cleanup_4
  * Merge pull request #2681 from m32/master
  * Merge pull request #2678 from mitya57/gcc-15
  * Merge pull request #2682 from akruphi/readme
  * readme + minor
  * proper value
  * in sync with far
  * sending information about keys state should be invisible for marco recording
  * hlf: update and cleanup (4)
  * Add missing <cstdint> include for uint16_t, to fix build with GCC 15
  * Add AppStream metainfo file
  * Merge pull request #2627 from akruphi/changelog
  * Merge pull request #2676 from atolismesh/master
  * Merge pull request #2675 from m32/master
  * Merge pull request #2677 from akruphi/cosmetics
  * Cosmetics help & menu
  * refactoring, use runlike library to recover command line
  * refactoring and bugs
  * refactoring
  * missing loop
  * Fix issue #2668: Multiarc ignores archives if the archive file name does not have an extension - update arcread.cpp
  * refactoring
  * Merge pull request #2673 from akruphi/prevent_blinking
  * prevent blinking in attributes and flags dialogs
  * Merge pull request #2651 from Dazzar56/auto-locale-fix
  * Merge pull request #2671 from Syutkin/patch-1
  * actualization after 15-16 Feb
  * Fix copy/paste AWSSDK_FOUND
  * Merge pull request #2621 from versus-13/netrocks-awss3-plugin
  * Merge pull request #2656 from spnethw/setattr_bugfixes
  * Merge remote-tracking branch 'upstream/master' into auto-locale-fix
  * Merge pull request #2643 from unxed/homekey
  * Merge pull request #2633 from akruphi/fix2082
  * Merge pull request #2619 from spnethw/ConfigClassicHotkeyLinkResolving
  * Merge pull request #2669 from mitya57/fix-duplicate-line
  * Merge pull request #2649 from unxed/kitty_plus
  * build.yml: Remove duplicate libarchive-dev line
  * Merge pull request #2645 from unxed/xterm_shift_fix
  * Merge pull request #2667 from m32/master
  * Merge pull request #2626 from spvkgn/inside
  * try fix ci
  * TTY|F: fix clipboard access dialog missing repaints (fix #2634)
  * Enable C++17
  * Merge pull request #2650 from unxed/multiarc_fix
  * Merge pull request #2612 from spnethw/fix_2605_files_highlighting_and_sort_groups_bugs
  * Merge pull request #2614 from akruphi/misc
  * Update HACKING.md
  * using api for panels
  * utility functions
  * inadequate function name
  * api for editor functions
  * progressdialog
  * testing ID generator
  * using panel api class
  * handlink keditor input callback
  * Fix build on my system
  * can be open also in dialgs
  * correct function declaration
  * correct function declaration, api for panel functions
  * some functions from libc.so
  * python api for panel handling
  * keyboard state for full screen dialogs like hexeditor
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge branch 'kitty_plus' of https://github.com/unxed/far2l into kitty_plus
  * minor fix
  * inside: minor
  * Merge pull request #2620 from akruphi/size_column_width_revert_to_6
  * Merge pull request #2635 from michaellukashov/internal-command-line-improvements
  * Merge pull request #2624 from spnethw/config_cpp_supported_tweaks_fix_wrong_flag
  * Merge pull request #2637 from m32/master
  * Merge pull request #2652 from atolismesh/master
  * Merge pull request #2611 from peter15914/fix_clipboard_null_deref
  * Merge pull request #2610 from spnethw/hlf_update_and_cleanup_3
  * Merge pull request #2609 from akruphi/readme_help
  * Merge branch 'elfmz:master' into homekey
  * Merge branch 'elfmz:master' into xterm_shift_fix
  * Merge branch 'elfmz:master' into multiarc_fix
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge pull request #2600 from anta999/colortest2
  * SetAttr: fix recursive file attributes/flags changing
  * add info about Shift fix in vanilla PuTTY
  * Add AWS S3 protocol support to NetRocks plugin
  * SetAttr: fix recursive file owner changing + wrong group mark indicating
  * far:about: show PRETTY_NAME from /etc/os-release
  * some more fixes
  * misc and cleanup
  * Update NetRocks CMakeLists.txt
  * Update NetRocks lbnfs 6.0.x compatibility
  * VTMouse now resets previously released keys
  * vt mouse refactoring
  * far:about: more about build platform
  * one more fix
  * some more fixes
  * better following spec
  * comment
  * minor
  * cosmeitc
  * minor fixes, cosmetic
  * minor fixes, cosmetic
  * fix #2615
  * fix build
  * cosmetic
  * cosmetic
  * cosmetic
  * better kitty protocol support
  * Chattr / chflags: minor
  * improvement: internal command line: edit:file: view:file: take into account the presence of special character `~` (Home directory)
  * Shift+Letters are not working in xterm if it is started as xterm -fa 'Monospace' -fs 12 -xrm '*modifyOtherKeys:2' -xrm '*formatOtherKeys:1' this commit fixes that
  * Allow using Ctrl+' as an alternative to Ctrl+`
  * Add changelog only with significant changes as user-readable text
  * close dialog after mouse click
  * refactoring, save functionality
  * save logic on ESC
  * F5=goto
  * flags in popup
  * editing and saving the file, marking places for further work TODO
  * simpler position calculation, undo buffer
  * fix elements numbering
  * hex editor plugin - WIP
  * colors from far, cursor size,  validating goto,
  * removed references to debugpy which may not be installed
  * numbering elements, dialog without border
  * buffer is too big
  * describe new functionality
  * Fix #2082 A fix for overlapping menus with panels (from far2m)
  * changelog.md: fix typo
  * readme & help + arrange keys in menu
  * Add changelog only with significant changes as user-readable text
  * inside: Dynamic section
  * fix wrong flag check
  * hlf: update and cleanup (3)
  * Revert default of Size column to 6
  * Chattr / chflags dialog: warning if try symlink
  * Bring back symlink resolving via hotkeys, as in FAR2/3
  * Chattr / chflags dialog: add Reset button and more accurately changes in List
  * New Chattr / chflags dialog
  * rgb comments
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * minimized color parser
  * setattr (Ctrl-A) count devices + disable attributes/flags if was error
  * Save errno after flags operations
  * new function ExMessager::AddMultiline() & tuning after #2576
  * fix #2605: files highlighting and sort groups bugs
  * fix potential NULL dereference in clipboard.cpp
  * Merge pull request #2599 from unxed/iterm_fix
  * Merge pull request #2597 from mitya57/issue2596
  * Merge pull request #2594 from spnethw/hlf_and_lng_update_and_cleanup_2
  * Merge pull request #2602 from m32/master
  * Merge pull request #2604 from unxed/mac_numbers_fix
  * hlf & lng: update and cleanup (2)
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * copying files via clipboard - gnome files/nautilus is supported
  * clear up
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * move far colors to farcolors.ini
  * fixed iterm2 cursor shape esc sequences see https://iterm2.com/documentation-escape-codes.html
  * Rename far2l-wx.desktop → far2l.desktop
  * Rename far2l.desktop → far2l-tty.desktop
  * show all characters
  * Merge pull request #2590 from spnethw/hlf_and_lng_update_and_cleanup
  * Merge pull request #2592 from unxed/comment_fix
  * Merge pull request #2591 from Dazzar56/auto-locale-fix
  * - removed irrelevant comment (it was screen tool related, not FreeBSD kernel console related) - added relevant comment (links to resources related to cursor shape modification escape sequences)
  * check was way too high :)
  * moved to the highest! also remove double call  setlocale()
  * moved locale check even higher
  * fix PANIC caused by ConfigOptSave() too early
  * fix incorrect interface locale on first render
  * hlf and lng: update and cleanup
  * Merge pull request #2583 from akruphi/qview_crash_fix2581
  * Merge pull request #2586 from akruphi/size_column
  * Merge pull request #2589 from m32/master
  * Merge pull request #2582 from spnethw/fix_2581_far2l_crash_in_quick_view_when_try_show_broken_symlink
  * Merge pull request #2580 from spnethw/netrocks_hlf
  * Merge pull request #2577 from akruphi/link_in_menu
  * Merge pull request #2576 from unxed/osc52prompt_ru
  * Merge pull request #2573 from mitya57/wx-desktop-files
  * WX: add as custom draw unicode range 1fb00 1fb3b; refactor
  * position in dialog, selected character and its unicode value
  * log.exception requires message
  * unused variables, prevoius label
  * Merge branch 'master' of github.com:m32/far2l
  * version with VBuf
  * old version
  * assign parameters to variables
  * Calc width taking into account also SymLinkNames
  * minor
  * Make #2452 feature with adjust column width to text more customizable
  * Adjust column width to "folder" text only if in mode it width = 0
  * Fix qview crash on broken symlinks
  * fix #2581: Far2l crash in Quick view when try show broken symlink
  * NetRocks: add Russian hlf + minor fixes in English hlf
  * refactoring
  * Merge branch 'elfmz:master' into master
  * Link item in File menu (backport from far3)
  * - auto select Russian language if system locale is ru_RU on first start - show Getting Started and OSC52 confirmation in Russian in such cases
  * Merge pull request #2575 from unxed/wiki_help
  * Add a link to community wiki to Getting Started help topic.
  * Merge pull request #2572 from unxed/cursors
  * Merge pull request #2569 from michaellukashov/minor-fix-typos
  * Merge pull request #2570 from mitya57/source-date-epoch
  * Merge pull request #2568 from michaellukashov/fix-help-current-path-info
  * Add System and FileTools categories to far2l desktop files
  * Use separate desktop files for TTY and GUI versions
  * Merge branch 'elfmz:master' into cursors
  * better cursor shaping support
  * Add support for SOURCE_DATE_EPOCH environment variable
  * Merge branch 'elfmz:master' into master
  * minor: Fix typos
  * minor: .hlf.m4: fix info about "Current Dir"
  * VT: reset _focus_change_expected upon command completion
  * Merge pull request #2567 from elfmz/tty-focus
  * Update keyboard.cpp
  * Update vtshell_ioreaders.h
  * Update vtshell_ioreaders.cpp
  * Update vtshell.cpp
  * Update vtansi.cpp
  * Update IVTShell.h
  * Update wxMain.cpp
  * Update TTYOutput.cpp
  * Update TTYInputSequenceParser.h
  * Update TTYInputSequenceParser.cpp
  * Update TTYBackend.h
  * Update TTYBackend.cpp
  * Merge pull request #2566 from elfmz/fix-new-nfs
  * fixing build with recent libnfs
  * Merge pull request #2564 from unxed/konsole_fix
  * Merge pull request #2565 from akruphi/infolist_editorconfig
  * Merge branch 'elfmz:master' into master
  * Show EditorConfig block in Info panel
  * Konsole 24.12 / KDE Plasma 6.2.4 / X11 generates \x1b[[E on F5
  * Merge pull request #2560 from spnethw/far2l_help_corrections
  * far2l hlf: add few cross references
  * far2l hlf: special commands, ui backends, panel view modes, env. vars
  * Merge pull request #2558 from akruphi/osc52_welcome_explain
  * revert back use of target-independent icu for ICU_MODE=BUILD
  * rewrite English
  * More details about OSC52 at 1st run
  * Merge pull request #2556 from michaellukashov/fix-optional-ability-to-use-icu
  * Merge pull request #2552 from spnethw/tmppanel_refactoring
  * tmppanel: remove unused isDevice() function
  * improvement: optional ability to use icu available on build system or target
  * hlf: add info regarding "open panel from output" feature
  * tmppanel: update lng and hlf
  * tmppanel: remove unnecessary function FormNtPath()
  * tmppanel: refactor FindListFile()
  * tmppanel: let jumping to file by Ctrl+PgUp on its own in normal mode too
  * tiny code cleanup
  * tmppanel: tiny refactor of OpenPluginW function
  * tmppanel: use Unicode string functions instead of aliases
  * tmppanel: replace TCHAR with wchar_t
  * tmppanel: replace the _T(x) macro with the L prefix
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2550 from akruphi/readme
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * readme
  * Merge pull request #2546 from akruphi/readme
  * NR/SCP/SHELL: workaround for "domains" word between user and group (#2545), improve prev fix
  * readme minor
  * readme minor
  * readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2544 from akruphi/misc
  * Merge branch 'elfmz:master' into master
  * minor correction
  * NR/SCP: try to handle situation when busybox is used but not present in PATH (touch #2524)
  * Yet more customization via menu/dialogs after #2452
  * Minor after #2542
  * Merge pull request #2543 from spnethw/netrocks_fix_incorrect_password_parsing_in_splitlocationspecification
  * NetRocks: fix incorrect password parsing in SplitLocationSpecification()
  * Merge pull request #2539 from spnethw/tmppanel_tweak_open_execute_logic_in_showmenufromlist
  * Merge pull request #2542 from omilevskyi/fix/ConsoleInput
  * Merge pull request #2540 from akruphi/misc
  * Merge branch 'icu_mode'
  * WinPort: remove not used anymore GetTempFileName and GetFullPathName
  * refactor FarMkTempEx
  * optional ability to use icu available on build system or target
  * WinPort/src/ConsoleInput.cpp: fix crash when dot is pressed in cyrillic layout
  * Merge pull request #2541 from exkrexpexfex/master
  * Crash on concurrent access to plugin info
  * new flag in EXECUTEFLAGS to run command in external terminal
  * tmppanel: added keyboard shortcut help in ShowMenuFromList()
  * README: update about far2l-wx in Ubuntu
  * Update main.cpp
  * tmppanel: tweak open/execute logic in ShowMenuFromList()
  * Merge pull request #2538 from exkrexpexfex/master
  * Count symlinks as files
  * Merge pull request #2510 from spnethw/fix_ctrl_add_alt_add_processing
  * Merge pull request #2536 from spnethw/allow_double_quotes_in_filenames
  * fix recent refactor
  * refactor recent changes
  * Merge pull request #2528 from unxed/tty_notif
  * Merge pull request #2529 from unxed/osc52prompt
  * Merge pull request #2535 from exkrexpexfex/master
  * Merge pull request #2511 from akruphi/help_after_2452
  * Merge pull request #2520 from anta999/colortest2
  * Merge pull request #2533 from spnethw/tmppanel_fixes_improvements_refactoring
  * Merge pull request #2525 from unxed/nopcre
  * Merge branch 'master' into nopcre
  * Merge pull request #2523 from ctapmex/colorer-schemes-update
  * Merge pull request #2522 from ctapmex/colorer_sync
  * Merge pull request #2515 from ctapmex/ci_update
  * Explicit SSH algorithms options
  * User Menu: use also numpad in Ctrl+Up/Down + typo in help (.Ini->.ini)
  * consts from ffic
  * inside thread
  * references
  * next sizer
  * history in TEXT
  * tmppanel: don't check exit code to avoid discarding partial output
  * Allow creation and saving-as filenames containing double quotes
  * tmppanel: minor
  * Explicit SSH algorithms options
  * tmppanel: selection remains on the host file after closing the panel
  * tmppanel: fix file copying between panels (from FarManager/ce6e0dd)
  * tmppanel: some code clean up, remove unnecessary defines
  * tmppanel: (re)load options when list file is opened from panel by Enter
  * tmppanel: GetFileInfoAndValidate() minor refactoring
  * Typo
  * tmppanel: refactor GetFileInfoAndValidate()
  * tmppanel: minor refactor
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement ShellExecute in ShowMenuFromList()
  * tmppanel: fix free call with garbage argument + fix memory leak
  * tmppanel: implement OpenPanelFromOutput
  * tmppanel: fix #2518 (missing null-terminator) + minor optimization
  * More compact Panel settings dialog + move marks features to subdialog
  * Prompt user to allow/disallow OSC52 usage on first run if this option is available in current environment
  * basic system tray notifications support. planned to also add ESC sequences for kitty and iTerm2, but do not understand how to send them from here
  * removed all traces of pcre
  * Removed PCRE library support
  * Add possibility customize new #2452 features from Panel dialog
  * colorer schemes v1.2.0.57
  * sync colorer with upstream;
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * fix #2517 и fix #2518
  * Merge branch 'elfmz:master' into master
  * disable build on push to master for forks
  * explicitly install python dependencies
  * hide the tag search error in git
  * disable warn developer message from cmake
  * use gcc-7 and clang-7 as minimal version of compilers
  * Merge pull request #2512 from spnethw/tmppanel_fix_menu_from_file_list_crash
  * inside: Mach-O
  * Yet more after #2452
  * Yet more after #2452
  * tmppanel: fix PANIC-PANIC crash in menu from file list
  * Help: minor
  * Another Help after #2452: Groups of file masks (from far2m help)
  * Help after #2452 + names for default highlighting groups + trim by "..." long in name column
  * Fix CtrlAdd/AltAdd in consistency with full view mode (LeftCtrl-3)
  * Merge pull request #2507 from akruphi/hilight_order
  * Merge pull request #2509 from spvkgn/inside
  * Merge pull request #2452 from anta999/colortest2
  * inside: add png, ogg, m4a
  * inside: add PE format
  * Merge pull request #2508 from exkrexpexfex/master
  * Crash on overflow when searching in a large file
  * Fix order of default Highlight for processing combined cases
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into mac_numbers_fix
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * fix incorrect chars typed instead of numbers in some cases on macs
  * sync with master
  * Merge branch 'elfmz:master' into master
  * ProcessName casesens fix
  * merge conf
  * mini fix
  * background screen (ctrl+o) splitted into lines
  * MaskGroup updated
  * fixed #2461 Garbage in the terminal + DirCfg Dialog Update
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * all fixed + dircfg dialog
  * ctrl+m select attr string style
  * fix mark inherit
  * conflict
  * update highlight
  * merge conflict
  * hold on

 -- elfmz <fenix1905@tut.by>  Sun, 30 Mar 2025 22:00:17 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
